﻿<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:s="uuid:BDC6E3F0-6DA3-11d1-A2A3-00AA00C14882" xmlns:dt="uuid:C2F41010-65B3-11d1-A29F-00AA00C14882" xmlns:rs="urn:schemas-microsoft-com:rowset" xmlns:z="#RowsetSchema" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:w="http://schemas.openxmlformats.org/wordprocessingml/2006/main" exclude-result-prefixes="dt rs s z w">
  <xsl:output method="xml" indent="yes" encoding="utf-8" standalone="yes" version="1.0" />
  <xsl:decimal-format decimal-separator="," grouping-separator="." />
  <xsl:variable name="kfirma">
    <xsl:choose>
      <xsl:when test="//s:ElementType[@name='row']/s:AttributeType[@rs:name='Firma']">
        <xsl:value-of select="//s:ElementType[@name='row']/s:AttributeType[@rs:name='Firma']/@name" />
      </xsl:when>
      <xsl:otherwise>Firma</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="kundencode">
    <xsl:choose>
      <xsl:when test="//s:ElementType[@name='row']/s:AttributeType[@rs:name='Kunden-Code']">
        <xsl:value-of select="//s:ElementType[@name='row']/s:AttributeType[@rs:name='Kunden-Code']/@name" />
      </xsl:when>
      <xsl:otherwise>Kunden-Code</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="heute">
    <xsl:choose>
      <xsl:when test="//s:ElementType[@name='row']/s:AttributeType[@rs:name='Heute']">
        <xsl:value-of select="//s:ElementType[@name='row']/s:AttributeType[@rs:name='Heute']/@name" />
      </xsl:when>
      <xsl:otherwise>Heute</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="bestellnr">
    <xsl:choose>
      <xsl:when test="//s:ElementType[@name='rBestellungen']/s:AttributeType[@rs:name='Bestell-Nr']">
        <xsl:value-of select="//s:ElementType[@name='rBestellungen']/s:AttributeType[@rs:name='Bestell-Nr']/@name" />
      </xsl:when>
      <xsl:otherwise>Bestell-Nr</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="bestelldatum">
    <xsl:choose>
      <xsl:when test="//s:ElementType[@name='rBestellungen']/s:AttributeType[@rs:name='Bestelldatum']">
        <xsl:value-of select="//s:ElementType[@name='rBestellungen']/s:AttributeType[@rs:name='Bestelldatum']/@name" />
      </xsl:when>
      <xsl:otherwise>Bestelldatum</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="endpreis">
    <xsl:choose>
      <xsl:when test="//s:ElementType[@name='rBestellungen']/s:AttributeType[@rs:name='Endpreis']">
        <xsl:value-of select="//s:ElementType[@name='rBestellungen']/s:AttributeType[@rs:name='Endpreis']/@name" />
      </xsl:when>
      <xsl:otherwise>Endpreis</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="vorname">
    <xsl:choose>
      <xsl:when test="//s:ElementType[@name='rBestellungen']/s:AttributeType[@rs:name='Vorname']">
        <xsl:value-of select="//s:ElementType[@name='rBestellungen']/s:AttributeType[@rs:name='Vorname']/@name" />
      </xsl:when>
      <xsl:otherwise>Vorname</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="nachname">
    <xsl:choose>
      <xsl:when test="//s:ElementType[@name='rBestellungen']/s:AttributeType[@rs:name='Nachname']">
        <xsl:value-of select="//s:ElementType[@name='rBestellungen']/s:AttributeType[@rs:name='Nachname']/@name" />
      </xsl:when>
      <xsl:otherwise>Nachname</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="lieferdatum">
    <xsl:choose>
      <xsl:when test="//s:ElementType[@name='rBestellungen']/s:AttributeType[@rs:name='Lieferdatum']">
        <xsl:value-of select="//s:ElementType[@name='rBestellungen']/s:AttributeType[@rs:name='Lieferdatum']/@name" />
      </xsl:when>
      <xsl:otherwise>Lieferdatum</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="versanddatum">
    <xsl:choose>
      <xsl:when test="//s:ElementType[@name='rBestellungen']/s:AttributeType[@rs:name='Versanddatum']">
        <xsl:value-of select="//s:ElementType[@name='rBestellungen']/s:AttributeType[@rs:name='Versanddatum']/@name" />
      </xsl:when>
      <xsl:otherwise>Versanddatum</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="bfirma">
    <xsl:choose>
      <xsl:when test="//s:ElementType[@name='rBestellungen']/s:AttributeType[@rs:name='Firma']">
        <xsl:value-of select="//s:ElementType[@name='rBestellungen']/s:AttributeType[@rs:name='Firma']/@name" />
      </xsl:when>
      <xsl:otherwise>Firma</xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:template match="//xml">
    <xsl:processing-instruction name="mso-application">
      <xsl:text>progid="Word.Document"</xsl:text>
    </xsl:processing-instruction>
    <pkg:package xmlns:pkg="http://schemas.microsoft.com/office/2006/xmlPackage">
      <pkg:part pkg:name="/_rels/.rels" pkg:contentType="application/vnd.openxmlformats-package.relationships+xml" pkg:padding="512">
        <pkg:xmlData>
          <Relationships xmlns="http://schemas.openxmlformats.org/package/2006/relationships">
            <Relationship Id="rId1" Type="http://schemas.openxmlformats.org/officeDocument/2006/relationships/officeDocument" Target="word/document.xml" />
          </Relationships>
        </pkg:xmlData>
      </pkg:part>
      <pkg:part pkg:name="/word/_rels/document.xml.rels" pkg:contentType="application/vnd.openxmlformats-package.relationships+xml" pkg:padding="256">
        <pkg:xmlData>
          <Relationships xmlns="http://schemas.openxmlformats.org/package/2006/relationships">
            <Relationship Id="rId8" Type="http://schemas.openxmlformats.org/officeDocument/2006/relationships/footer" Target="footer1.xml" />
            <Relationship Id="rId7" Type="http://schemas.openxmlformats.org/officeDocument/2006/relationships/image" Target="media/image2.png" />
            <Relationship Id="rId2" Type="http://schemas.openxmlformats.org/officeDocument/2006/relationships/settings" Target="settings.xml" />
            <Relationship Id="rId1" Type="http://schemas.openxmlformats.org/officeDocument/2006/relationships/styles" Target="styles.xml" />
            <Relationship Id="rId6" Type="http://schemas.openxmlformats.org/officeDocument/2006/relationships/image" Target="media/image1.png" />
            <Relationship Id="rId5" Type="http://schemas.openxmlformats.org/officeDocument/2006/relationships/endnotes" Target="endnotes.xml" />
            <Relationship Id="rId4" Type="http://schemas.openxmlformats.org/officeDocument/2006/relationships/footnotes" Target="footnotes.xml" />
            <Relationship Id="rId9" Type="http://schemas.openxmlformats.org/officeDocument/2006/relationships/fontTable" Target="fontTable.xml" />
          </Relationships>
        </pkg:xmlData>
      </pkg:part>
      <pkg:part pkg:name="/word/document.xml" pkg:contentType="application/vnd.openxmlformats-officedocument.wordprocessingml.document.main+xml">
        <pkg:xmlData>
          <w:document xmlns:ve="http://schemas.openxmlformats.org/markup-compatibility/2006" xmlns:o="urn:schemas-microsoft-com:office:office" xmlns:r="http://schemas.openxmlformats.org/officeDocument/2006/relationships" xmlns:m="http://schemas.openxmlformats.org/officeDocument/2006/math" xmlns:v="urn:schemas-microsoft-com:vml" xmlns:wp="http://schemas.openxmlformats.org/drawingml/2006/wordprocessingDrawing" xmlns:w10="urn:schemas-microsoft-com:office:word" xmlns:w="http://schemas.openxmlformats.org/wordprocessingml/2006/main" xmlns:wne="http://schemas.microsoft.com/office/word/2006/wordml">
            <w:body>
              <w:p>
                <w:pPr>
                  <w:rPr>
                    <w:lang w:val="en-GB" />
                  </w:rPr>
                </w:pPr>
                <w:r>
                  <w:rPr>
                    <w:noProof />
                    <w:lang w:val="en-GB" w:eastAsia="en-GB" />
                  </w:rPr>
                  <w:drawing>
                    <wp:anchor distT="0" distB="0" distL="114300" distR="114300" simplePos="0" relativeHeight="251659264" behindDoc="0" locked="0" layoutInCell="1" allowOverlap="1">
                      <wp:simplePos x="0" y="0" />
                      <wp:positionH relativeFrom="column">
                        <wp:posOffset>64770</wp:posOffset>
                      </wp:positionH>
                      <wp:positionV relativeFrom="paragraph">
                        <wp:posOffset>121920</wp:posOffset>
                      </wp:positionV>
                      <wp:extent cx="800735" cy="800735" />
                      <wp:effectExtent l="19050" t="0" r="0" b="0" />
                      <wp:wrapNone />
                      <wp:docPr id="3" name="Picture 1" />
                      <wp:cNvGraphicFramePr>
                        <a:graphicFrameLocks noChangeAspect="1" xmlns:a="http://schemas.openxmlformats.org/drawingml/2006/main" />
                      </wp:cNvGraphicFramePr>
                      <a:graphic xmlns:a="http://schemas.openxmlformats.org/drawingml/2006/main">
                        <a:graphicData uri="http://schemas.openxmlformats.org/drawingml/2006/picture">
                          <pic:pic xmlns:pic="http://schemas.openxmlformats.org/drawingml/2006/picture">
                            <pic:nvPicPr>
                              <pic:cNvPr id="0" name="Picture 1" />
                              <pic:cNvPicPr>
                                <a:picLocks noChangeAspect="1" noChangeArrowheads="1" />
                              </pic:cNvPicPr>
                            </pic:nvPicPr>
                            <pic:blipFill>
                              <a:blip r:embed="rId6" cstate="print" />
                              <a:srcRect />
                              <a:stretch>
                                <a:fillRect />
                              </a:stretch>
                            </pic:blipFill>
                            <pic:spPr bwMode="auto">
                              <a:xfrm>
                                <a:off x="0" y="0" />
                                <a:ext cx="800735" cy="800735" />
                              </a:xfrm>
                              <a:prstGeom prst="rect">
                                <a:avLst />
                              </a:prstGeom>
                              <a:noFill />
                              <a:ln w="9525">
                                <a:noFill />
                                <a:miter lim="800000" />
                                <a:headEnd />
                                <a:tailEnd />
                              </a:ln>
                            </pic:spPr>
                          </pic:pic>
                        </a:graphicData>
                      </a:graphic>
                    </wp:anchor>
                  </w:drawing>
                </w:r>
              </w:p>
              <w:p>
                <w:pPr>
                  <w:rPr>
                    <w:lang w:val="en-GB" />
                  </w:rPr>
                </w:pPr>
                <w:r>
                  <w:rPr>
                    <w:noProof />
                    <w:lang w:val="en-GB" w:eastAsia="en-GB" />
                  </w:rPr>
                  <w:drawing>
                    <wp:anchor distT="0" distB="0" distL="114300" distR="114300" simplePos="0" relativeHeight="251660288" behindDoc="0" locked="0" layoutInCell="1" allowOverlap="1">
                      <wp:simplePos x="0" y="0" />
                      <wp:positionH relativeFrom="column">
                        <wp:posOffset>903605</wp:posOffset>
                      </wp:positionH>
                      <wp:positionV relativeFrom="paragraph">
                        <wp:posOffset>161290</wp:posOffset>
                      </wp:positionV>
                      <wp:extent cx="1321435" cy="397510" />
                      <wp:effectExtent l="19050" t="0" r="0" b="0" />
                      <wp:wrapNone />
                      <wp:docPr id="2" name="Picture 1" />
                      <wp:cNvGraphicFramePr>
                        <a:graphicFrameLocks noChangeAspect="1" xmlns:a="http://schemas.openxmlformats.org/drawingml/2006/main" />
                      </wp:cNvGraphicFramePr>
                      <a:graphic xmlns:a="http://schemas.openxmlformats.org/drawingml/2006/main">
                        <a:graphicData uri="http://schemas.openxmlformats.org/drawingml/2006/picture">
                          <pic:pic xmlns:pic="http://schemas.openxmlformats.org/drawingml/2006/picture">
                            <pic:nvPicPr>
                              <pic:cNvPr id="0" name="Picture 1" />
                              <pic:cNvPicPr>
                                <a:picLocks noChangeAspect="1" noChangeArrowheads="1" />
                              </pic:cNvPicPr>
                            </pic:nvPicPr>
                            <pic:blipFill>
                              <a:blip r:embed="rId7" cstate="print" />
                              <a:srcRect />
                              <a:stretch>
                                <a:fillRect />
                              </a:stretch>
                            </pic:blipFill>
                            <pic:spPr bwMode="auto">
                              <a:xfrm>
                                <a:off x="0" y="0" />
                                <a:ext cx="1321435" cy="397510" />
                              </a:xfrm>
                              <a:prstGeom prst="rect">
                                <a:avLst />
                              </a:prstGeom>
                              <a:noFill />
                              <a:ln w="9525">
                                <a:noFill />
                                <a:miter lim="800000" />
                                <a:headEnd />
                                <a:tailEnd />
                              </a:ln>
                            </pic:spPr>
                          </pic:pic>
                        </a:graphicData>
                      </a:graphic>
                    </wp:anchor>
                  </w:drawing>
                </w:r>
              </w:p>
              <w:p>
                <w:pPr>
                  <w:jc w:val="right" />
                </w:pPr>
                <w:r>
                  <w:t>Bericht von Bestellungen durch Kunden</w:t>
                </w:r>
              </w:p>
              <w:p />
              <w:p />
              <w:p />
              <w:p />
              <xsl:if test="not(//xml/rs:data/z:row)">
                <w:p>
                  <w:r>
                    <w:t>No matching Kunden records.</w:t>
                  </w:r>
                </w:p>
              </xsl:if>
              <xsl:apply-templates select="rs:data/z:row" />
              <w:p>
                <w:pPr>
                  <w:rPr>
                    <w:lang w:val="en-GB" />
                  </w:rPr>
                </w:pPr>
                <w:r>
                  <w:rPr>
                    <w:lang w:val="en-GB" />
                  </w:rPr>
                  <w:t>Ende des Berichts</w:t>
                </w:r>
                <w:r>
                  <w:rPr>
                    <w:lang w:val="en-GB" />
                  </w:rPr>
                  <w:t>.</w:t>
                </w:r>
              </w:p>
              <w:sectPr>
                <w:footerReference w:type="default" r:id="rId8" />
                <w:pgSz w:w="11906" w:h="16838" />
                <w:pgMar w:top="1418" w:right="1418" w:bottom="1134" w:left="1418" w:header="709" w:footer="709" w:gutter="0" />
                <w:cols w:space="708" />
                <w:docGrid w:linePitch="360" />
              </w:sectPr>
            </w:body>
          </w:document>
        </pkg:xmlData>
      </pkg:part>
      <pkg:part pkg:name="/word/footnotes.xml" pkg:contentType="application/vnd.openxmlformats-officedocument.wordprocessingml.footnotes+xml">
        <pkg:xmlData>
          <w:footnotes xmlns:ve="http://schemas.openxmlformats.org/markup-compatibility/2006" xmlns:o="urn:schemas-microsoft-com:office:office" xmlns:r="http://schemas.openxmlformats.org/officeDocument/2006/relationships" xmlns:m="http://schemas.openxmlformats.org/officeDocument/2006/math" xmlns:v="urn:schemas-microsoft-com:vml" xmlns:wp="http://schemas.openxmlformats.org/drawingml/2006/wordprocessingDrawing" xmlns:w10="urn:schemas-microsoft-com:office:word" xmlns:w="http://schemas.openxmlformats.org/wordprocessingml/2006/main" xmlns:wne="http://schemas.microsoft.com/office/word/2006/wordml">
            <w:footnote w:type="separator" w:id="-1">
              <w:p>
                <w:r>
                  <w:separator />
                </w:r>
              </w:p>
            </w:footnote>
            <w:footnote w:type="continuationSeparator" w:id="0">
              <w:p>
                <w:r>
                  <w:continuationSeparator />
                </w:r>
              </w:p>
            </w:footnote>
          </w:footnotes>
        </pkg:xmlData>
      </pkg:part>
      <pkg:part pkg:name="/word/endnotes.xml" pkg:contentType="application/vnd.openxmlformats-officedocument.wordprocessingml.endnotes+xml">
        <pkg:xmlData>
          <w:endnotes xmlns:ve="http://schemas.openxmlformats.org/markup-compatibility/2006" xmlns:o="urn:schemas-microsoft-com:office:office" xmlns:r="http://schemas.openxmlformats.org/officeDocument/2006/relationships" xmlns:m="http://schemas.openxmlformats.org/officeDocument/2006/math" xmlns:v="urn:schemas-microsoft-com:vml" xmlns:wp="http://schemas.openxmlformats.org/drawingml/2006/wordprocessingDrawing" xmlns:w10="urn:schemas-microsoft-com:office:word" xmlns:w="http://schemas.openxmlformats.org/wordprocessingml/2006/main" xmlns:wne="http://schemas.microsoft.com/office/word/2006/wordml">
            <w:endnote w:type="separator" w:id="-1">
              <w:p>
                <w:r>
                  <w:separator />
                </w:r>
              </w:p>
            </w:endnote>
            <w:endnote w:type="continuationSeparator" w:id="0">
              <w:p>
                <w:r>
                  <w:continuationSeparator />
                </w:r>
              </w:p>
            </w:endnote>
          </w:endnotes>
        </pkg:xmlData>
      </pkg:part>
      <pkg:part pkg:name="/word/footer1.xml" pkg:contentType="application/vnd.openxmlformats-officedocument.wordprocessingml.footer+xml">
        <pkg:xmlData>
          <w:ftr xmlns:ve="http://schemas.openxmlformats.org/markup-compatibility/2006" xmlns:o="urn:schemas-microsoft-com:office:office" xmlns:r="http://schemas.openxmlformats.org/officeDocument/2006/relationships" xmlns:m="http://schemas.openxmlformats.org/officeDocument/2006/math" xmlns:v="urn:schemas-microsoft-com:vml" xmlns:wp="http://schemas.openxmlformats.org/drawingml/2006/wordprocessingDrawing" xmlns:w10="urn:schemas-microsoft-com:office:word" xmlns:w="http://schemas.openxmlformats.org/wordprocessingml/2006/main" xmlns:wne="http://schemas.microsoft.com/office/word/2006/wordml">
            <w:p>
              <w:pPr>
                <w:pStyle w:val="Footer" />
                <w:rPr>
                  <w:lang w:val="en-GB" />
                </w:rPr>
              </w:pPr>
              <w:r>
                <w:rPr>
                  <w:lang w:val="en-GB" />
                </w:rPr>
                <w:t>
                  <xsl:value-of select="ms:format-date(//z:row[1]/@*[local-name()= $heute],'dd.MM.yyyy')" />
                </w:t>
              </w:r>
            </w:p>
          </w:ftr>
        </pkg:xmlData>
      </pkg:part>
      <pkg:part pkg:name="/word/media/image1.png" pkg:contentType="image/png" pkg:compression="store">
        <pkg:binaryData>iVBORw0KGgoAAAANSUhEUgAAAFQAAABUBAMAAADuRQ3yAAAAAXNSR0ICQMB9xQAAADBQTFRFAAAA
gAAAAIAAgIAAAACAgACAAICAgICAwMDA/wAAAP8A//8AAAD//wD/AP//////ex+xxAAAAAlwSFlz
AAAOzgAADsQBNLAtfQAABX1JREFUSMeNlrtrHFcUxq8coxlDmLHKVDFqYlwIQSqjwilcuBBe8h+o
GlyttpNDwBo7IbnC4t4EF0GVjCujwghSJGQLqXBhgojqFIElhPWtzowlIV17xT35zoxs67GvfaBl
9rfnfuc7j5HiPo+DRr+rqt/FnZ1x0eOd7d0x0flk/uV46MH23fJyYyx0fse671fHQQ/myZK+vTsG
eueVIXL/rY5Gy5fGkbGaGyPR7fkQvAs6/3QUevzV3cLhqWm1MQLdjo0xzjr2ndXhaJlaQ8aQZy5e
NYaiu0qT0cTBGCQ4DD2ODbnCBwrWcHGuE86iiMkumI7xGhLKaAh6569AZFynCGRE+WD0ckzB68Iq
S4YuHnlaqXJEhXWmJE2OOXA0CPV5IOe9ed1ShTEFrhwNQI9jQvWJKC1VjDaAhFL1R5MYKcHQ15yq
1LjqHNXoiz56Lt1nnJKHhRVF0Drvh/6JOsn59rXVKikg1cpz/SJ6vD0T4D6kEoImRSjYs9bl/EW0
VETaURBH1W9pURTeS+CV1nn0eMdQARho8u1P7eRBCOxFxMHb8+ir61VQB/PTdHMpSXA+wgZrly+f
Q/cSXel0lVSlUmZtvXxzoM6iu9OgXCEWaLd0X6kYZ2PINL6buH0GNTNOS08JusS6FS0L6q1FM/qJ
xim0vCTR4CnovMO5Uh2UCi9btebnp9BkhohFKmYwb7VaS8stXoZTkhiO/Gb5AypBiQLCGrI/Vmmp
ZYmKt2era2/ViVJkVQ2gQdmFlMuWNcJqa/3P6QkaLr2Qgdam6gGTly20S1Fx8NZjKT385QR99NyJ
/8YhqnauZEStwiEtjYGEwVM1Gp5V5pPUCotF56WFAKMREkUooIP9dzcr9N8GFSIUChwC+5LLUqJW
3cIWnyD6yjrQvWdwHgyUogG0oEuR4moTYB1Zi6b1/PBvoM9eYJ9JpZzW2mhnIx9FCidXtkpmYoZ/
sq42bgRJXGoKFLgB2lK1+TIGXlf0zTU1PR27moQGwMyRF19N3Ve+EKmI/dm62tuYqQyoYO0wI9GR
aimEtIWv50t+8+ZraH23AUclMRwPhwpobaUtScrKD9Hcwn4mDvDGjBykCc5oKXlUog0eVCXQ0oi4
ym/WKl/3rmE9FCRVEdRH5RG6JdSNXNR/ELQq7A0jO9Lpk/aMjsp6YLh+4+L+lyc9cO2aCVZiyk5l
HZUyW1aLoEqU5Sfr75vw0QMMv3b1OgxIC2hVWD6xdu1Dv85I9Z2RvkCNorwSUHlVZ7p26+PATEdo
2Hr3Yf8eLYmAWqXM18o/p2br3Rf3NfZe9YWPYJekVZ1uRe36KbR3HbtV2zpKdIQeSDlbPFkVKytn
9sDWU8Zw2SplFDZSaUYfdtX6GbTMtcewaA5e2gVre7E4lCNgxPtt/H4hxbi7EUoQxFekNdkswmEG
2q+l59DyOe4UGvnjHojbhpoMoRZbrl1YxT5Ha2FP2Q5mAA/qdqn26gLKMXrLgq6Xi8qy6urbj8DH
T1tP72MMcPZVgJNqYfGwiRrEW33Q3h8x5r8DbkpRlqlkEQL8qTvyqfvWVgxITUwotdDMFsQEOsxt
X5Rn8yl1dWJKZZMIOpmpZrY44MbJ7fjqJDWzLEskaHdyYSG2A9DeZgKRWRdvyppNDMYmD0DRQ/RD
k6gLchE4XUkHor3ZhBD3sOsWQ9akPOfBUf2sxDxE6hn+M1LpEJQ/SboIK6mR6TzeGoL29mOgyKvZ
NRQv87CovTxG8tSle+ax5aEo70NtM5PXOaUX0V4v6R5CgClmeQTK7U3Ji2ju1kiU20mW3aNOziPR
3q/tbrNJs7dGo8xzCTzd5HHQ3u+B5rbGQtvtMNseD+W5zbk2j4ci7taYaK9v0P5R9/sF5f8Bflhq
Q1hmXrsAAAAASUVORK5CYII=</pkg:binaryData>
      </pkg:part>
      <pkg:part pkg:name="/word/media/image2.png" pkg:contentType="image/png" pkg:compression="store">
        <pkg:binaryData>iVBORw0KGgoAAAANSUhEUgAAAIwAAAAqBAMAAACTq67+AAAAAXNSR0ICQMB9xQAAADBQTFRFAAAA
gAAAAIAAgIAAAACAgACAAICAgICAwMDA/wAAAP8A//8AAAD//wD/AP//////ex+xxAAAAAlwSFlz
AAAOzgAADsQBNLAtfQAAAdJJREFUSMfdlVtuxDAIRWcH3RSSP7MZS/5k00j5pJcLeVXpI+lIVcdR
YozNGWww8/CntMdrYkRkgpAdvu4mwt6rjw+nObZUTbmKtvQGsoZNGyrT6OSMIc19hg5GkAenDbOY
keGO0QwBimnDQO+GZTIU6wODVwMNVHihHNscM1P8whSzYZf+ADNJ6LGG5jDVxFD2DQtAYjqIK8a4
l8B0SsCE8/GzB4xJYRpsCzM2jNOJwCglYpQH8wHDjWIrWhglcYfRxNCxDxh6tmEUmO6FgWrD2B4z
jpg4dt1junfpeXpTjPcYKQz3d/SGzqwYA8I+x4zCBPGIscqlc4zJKSbcYcC5kVHHswScypmvLUFq
pxjI/Zg3zKXKmzSLd8HYV5hKNd1n8eKW0vQbTNyIuToGKsS8ihGxuCmIgdp6G/eYtmEsdT4Gupnf
MaInBap8qRlvGJykn/uiu9TOMHYTY9z2ivHbmEjUR4aEmKpnP2uFCUoUigwLg3EJs6wmBd5kWBiI
jMMP27Jaq4g+o/0bDELYKrKsF82kXcdY88XMeMnVKzWuYvwJmCp/0iVL/m8wqJzN+LBq3MY0WzG3
vZHVl/sYWG6+/DmGf17YVjyM1r30u9ReEvMOlfMipDe62h0AAAAASUVORK5CYII=</pkg:binaryData>
      </pkg:part>
      <pkg:part pkg:name="/word/settings.xml" pkg:contentType="application/vnd.openxmlformats-officedocument.wordprocessingml.settings+xml">
        <pkg:xmlData>
          <w:settings xmlns:o="urn:schemas-microsoft-com:office:office" xmlns:r="http://schemas.openxmlformats.org/officeDocument/2006/relationships" xmlns:m="http://schemas.openxmlformats.org/officeDocument/2006/math" xmlns:v="urn:schemas-microsoft-com:vml" xmlns:w10="urn:schemas-microsoft-com:office:word" xmlns:w="http://schemas.openxmlformats.org/wordprocessingml/2006/main" xmlns:sl="http://schemas.openxmlformats.org/schemaLibrary/2006/main">
            <w:zoom w:val="bestFit" w:percent="151" />
            <w:activeWritingStyle w:appName="MSWord" w:lang="de-CH" w:vendorID="64" w:dllVersion="131078" w:nlCheck="1" w:checkStyle="1" />
            <w:activeWritingStyle w:appName="MSWord" w:lang="de-DE" w:vendorID="64" w:dllVersion="131078" w:nlCheck="1" w:checkStyle="1" />
            <w:activeWritingStyle w:appName="MSWord" w:lang="en-GB" w:vendorID="64" w:dllVersion="131078" w:nlCheck="1" w:checkStyle="1" />
            <w:stylePaneFormatFilter w:val="3D01" />
            <w:revisionView w:markup="0" />
            <w:defaultTabStop w:val="709" />
            <w:hyphenationZone w:val="425" />
            <w:characterSpacingControl w:val="doNotCompress" />
            <w:footnotePr>
              <w:footnote w:id="-1" />
              <w:footnote w:id="0" />
            </w:footnotePr>
            <w:endnotePr>
              <w:endnote w:id="-1" />
              <w:endnote w:id="0" />
            </w:endnotePr>
            <w:compat>
              <w:doNotExpandShiftReturn />
            </w:compat>
            <m:mathPr>
              <m:mathFont m:val="Cambria Math" />
              <m:brkBin m:val="before" />
              <m:brkBinSub m:val="--" />
              <m:smallFrac m:val="off" />
              <m:dispDef />
              <m:lMargin m:val="0" />
              <m:rMargin m:val="0" />
              <m:defJc m:val="centerGroup" />
              <m:wrapIndent m:val="1440" />
              <m:intLim m:val="subSup" />
              <m:naryLim m:val="undOvr" />
            </m:mathPr>
            <w:themeFontLang w:val="en-GB" />
            <w:clrSchemeMapping w:bg1="light1" w:t1="dark1" w:bg2="light2" w:t2="dark2" w:accent1="accent1" w:accent2="accent2" w:accent3="accent3" w:accent4="accent4" w:accent5="accent5" w:accent6="accent6" w:hyperlink="hyperlink" w:followedHyperlink="followedHyperlink" />
            <w:doNotIncludeSubdocsInStats />
            <w:shapeDefaults>
              <o:shapedefaults v:ext="edit" spidmax="2050" />
              <o:shapelayout v:ext="edit">
                <o:idmap v:ext="edit" data="1" />
              </o:shapelayout>
            </w:shapeDefaults>
            <w:decimalSymbol w:val="." />
            <w:listSeparator w:val="," />
          </w:settings>
        </pkg:xmlData>
      </pkg:part>
      <pkg:part pkg:name="/word/fontTable.xml" pkg:contentType="application/vnd.openxmlformats-officedocument.wordprocessingml.fontTable+xml">
        <pkg:xmlData>
          <w:fonts xmlns:r="http://schemas.openxmlformats.org/officeDocument/2006/relationships" xmlns:w="http://schemas.openxmlformats.org/wordprocessingml/2006/main">
            <w:font w:name="Times New Roman">
              <w:panose1 w:val="02020603050405020304" />
              <w:charset w:val="00" />
              <w:family w:val="roman" />
              <w:pitch w:val="variable" />
              <w:sig w:usb0="E0002AEF" w:usb1="C0007841" w:usb2="00000009" w:usb3="00000000" w:csb0="000001FF" w:csb1="00000000" />
            </w:font>
            <w:font w:name="Cambria">
              <w:panose1 w:val="02040503050406030204" />
              <w:charset w:val="00" />
              <w:family w:val="roman" />
              <w:pitch w:val="variable" />
              <w:sig w:usb0="A00002EF" w:usb1="4000004B" w:usb2="00000000" w:usb3="00000000" w:csb0="0000009F" w:csb1="00000000" />
            </w:font>
            <w:font w:name="SimSun">
              <w:altName w:val="宋体" />
              <w:panose1 w:val="02010600030101010101" />
              <w:charset w:val="86" />
              <w:family w:val="auto" />
              <w:pitch w:val="variable" />
              <w:sig w:usb0="00000003" w:usb1="288F0000" w:usb2="00000016" w:usb3="00000000" w:csb0="00040001" w:csb1="00000000" />
            </w:font>
            <w:font w:name="Tahoma">
              <w:panose1 w:val="020B0604030504040204" />
              <w:charset w:val="00" />
              <w:family w:val="swiss" />
              <w:pitch w:val="variable" />
              <w:sig w:usb0="E1002AFF" w:usb1="C000605B" w:usb2="00000029" w:usb3="00000000" w:csb0="000101FF" w:csb1="00000000" />
            </w:font>
            <w:font w:name="Calibri">
              <w:panose1 w:val="020F0502020204030204" />
              <w:charset w:val="00" />
              <w:family w:val="swiss" />
              <w:pitch w:val="variable" />
              <w:sig w:usb0="A00002EF" w:usb1="4000207B" w:usb2="00000000" w:usb3="00000000" w:csb0="0000009F" w:csb1="00000000" />
            </w:font>
            <w:font w:name="Arial">
              <w:panose1 w:val="020B0604020202020204" />
              <w:charset w:val="00" />
              <w:family w:val="swiss" />
              <w:pitch w:val="variable" />
              <w:sig w:usb0="E0002AFF" w:usb1="C0007843" w:usb2="00000009" w:usb3="00000000" w:csb0="000001FF" w:csb1="00000000" />
            </w:font>
          </w:fonts>
        </pkg:xmlData>
      </pkg:part>
      <pkg:part pkg:name="/word/styles.xml" pkg:contentType="application/vnd.openxmlformats-officedocument.wordprocessingml.styles+xml">
        <pkg:xmlData>
          <w:styles xmlns:r="http://schemas.openxmlformats.org/officeDocument/2006/relationships" xmlns:w="http://schemas.openxmlformats.org/wordprocessingml/2006/main">
            <w:docDefaults>
              <w:rPrDefault>
                <w:rPr>
                  <w:rFonts w:ascii="Times New Roman" w:eastAsia="Times New Roman" w:hAnsi="Times New Roman" w:cs="Times New Roman" />
                  <w:lang w:val="en-GB" w:eastAsia="zh-CN" w:bidi="ar-SA" />
                </w:rPr>
              </w:rPrDefault>
              <w:pPrDefault />
            </w:docDefaults>
            <w:latentStyles w:defLockedState="0" w:defUIPriority="0" w:defSemiHidden="0" w:defUnhideWhenUsed="0" w:defQFormat="0" w:count="267">
              <w:lsdException w:name="Normal" w:qFormat="1" />
              <w:lsdException w:name="heading 1" w:qFormat="1" />
              <w:lsdException w:name="heading 2" w:semiHidden="1" w:unhideWhenUsed="1" w:qFormat="1" />
              <w:lsdException w:name="heading 3" w:semiHidden="1" w:unhideWhenUsed="1" w:qFormat="1" />
              <w:lsdException w:name="heading 4" w:semiHidden="1" w:unhideWhenUsed="1" w:qFormat="1" />
              <w:lsdException w:name="heading 5" w:semiHidden="1" w:unhideWhenUsed="1" w:qFormat="1" />
              <w:lsdException w:name="heading 6" w:semiHidden="1" w:unhideWhenUsed="1" w:qFormat="1" />
              <w:lsdException w:name="heading 7" w:semiHidden="1" w:unhideWhenUsed="1" w:qFormat="1" />
              <w:lsdException w:name="heading 8" w:semiHidden="1" w:unhideWhenUsed="1" w:qFormat="1" />
              <w:lsdException w:name="heading 9" w:semiHidden="1" w:unhideWhenUsed="1" w:qFormat="1" />
              <w:lsdException w:name="caption" w:semiHidden="1" w:unhideWhenUsed="1" w:qFormat="1" />
              <w:lsdException w:name="Title" w:qFormat="1" />
              <w:lsdException w:name="Subtitle" w:qFormat="1" />
              <w:lsdException w:name="Strong" w:qFormat="1" />
              <w:lsdException w:name="Emphasis" w:qFormat="1" />
              <w:lsdException w:name="Placeholder Text" w:semiHidden="1" w:uiPriority="99" />
              <w:lsdException w:name="No Spacing" w:uiPriority="1" w:qFormat="1" />
              <w:lsdException w:name="Light Shading" w:uiPriority="60" />
              <w:lsdException w:name="Light List" w:uiPriority="61" />
              <w:lsdException w:name="Light Grid" w:uiPriority="62" />
              <w:lsdException w:name="Medium Shading 1" w:uiPriority="63" />
              <w:lsdException w:name="Medium Shading 2" w:uiPriority="64" />
              <w:lsdException w:name="Medium List 1" w:uiPriority="65" />
              <w:lsdException w:name="Medium List 2" w:uiPriority="66" />
              <w:lsdException w:name="Medium Grid 1" w:uiPriority="67" />
              <w:lsdException w:name="Medium Grid 2" w:uiPriority="68" />
              <w:lsdException w:name="Medium Grid 3" w:uiPriority="69" />
              <w:lsdException w:name="Dark List" w:uiPriority="70" />
              <w:lsdException w:name="Colorful Shading" w:uiPriority="71" />
              <w:lsdException w:name="Colorful List" w:uiPriority="72" />
              <w:lsdException w:name="Colorful Grid" w:uiPriority="73" />
              <w:lsdException w:name="Light Shading Accent 1" w:uiPriority="60" />
              <w:lsdException w:name="Light List Accent 1" w:uiPriority="61" />
              <w:lsdException w:name="Light Grid Accent 1" w:uiPriority="62" />
              <w:lsdException w:name="Medium Shading 1 Accent 1" w:uiPriority="63" />
              <w:lsdException w:name="Medium Shading 2 Accent 1" w:uiPriority="64" />
              <w:lsdException w:name="Medium List 1 Accent 1" w:uiPriority="65" />
              <w:lsdException w:name="Revision" w:semiHidden="1" w:uiPriority="99" />
              <w:lsdException w:name="List Paragraph" w:uiPriority="34" w:qFormat="1" />
              <w:lsdException w:name="Quote" w:uiPriority="29" w:qFormat="1" />
              <w:lsdException w:name="Intense Quote" w:uiPriority="30" w:qFormat="1" />
              <w:lsdException w:name="Medium List 2 Accent 1" w:uiPriority="66" />
              <w:lsdException w:name="Medium Grid 1 Accent 1" w:uiPriority="67" />
              <w:lsdException w:name="Medium Grid 2 Accent 1" w:uiPriority="68" />
              <w:lsdException w:name="Medium Grid 3 Accent 1" w:uiPriority="69" />
              <w:lsdException w:name="Dark List Accent 1" w:uiPriority="70" />
              <w:lsdException w:name="Colorful Shading Accent 1" w:uiPriority="71" />
              <w:lsdException w:name="Colorful List Accent 1" w:uiPriority="72" />
              <w:lsdException w:name="Colorful Grid Accent 1" w:uiPriority="73" />
              <w:lsdException w:name="Light Shading Accent 2" w:uiPriority="60" />
              <w:lsdException w:name="Light List Accent 2" w:uiPriority="61" />
              <w:lsdException w:name="Light Grid Accent 2" w:uiPriority="62" />
              <w:lsdException w:name="Medium Shading 1 Accent 2" w:uiPriority="63" />
              <w:lsdException w:name="Medium Shading 2 Accent 2" w:uiPriority="64" />
              <w:lsdException w:name="Medium List 1 Accent 2" w:uiPriority="65" />
              <w:lsdException w:name="Medium List 2 Accent 2" w:uiPriority="66" />
              <w:lsdException w:name="Medium Grid 1 Accent 2" w:uiPriority="67" />
              <w:lsdException w:name="Medium Grid 2 Accent 2" w:uiPriority="68" />
              <w:lsdException w:name="Medium Grid 3 Accent 2" w:uiPriority="69" />
              <w:lsdException w:name="Dark List Accent 2" w:uiPriority="70" />
              <w:lsdException w:name="Colorful Shading Accent 2" w:uiPriority="71" />
              <w:lsdException w:name="Colorful List Accent 2" w:uiPriority="72" />
              <w:lsdException w:name="Colorful Grid Accent 2" w:uiPriority="73" />
              <w:lsdException w:name="Light Shading Accent 3" w:uiPriority="60" />
              <w:lsdException w:name="Light List Accent 3" w:uiPriority="61" />
              <w:lsdException w:name="Light Grid Accent 3" w:uiPriority="62" />
              <w:lsdException w:name="Medium Shading 1 Accent 3" w:uiPriority="63" />
              <w:lsdException w:name="Medium Shading 2 Accent 3" w:uiPriority="64" />
              <w:lsdException w:name="Medium List 1 Accent 3" w:uiPriority="65" />
              <w:lsdException w:name="Medium List 2 Accent 3" w:uiPriority="66" />
              <w:lsdException w:name="Medium Grid 1 Accent 3" w:uiPriority="67" />
              <w:lsdException w:name="Medium Grid 2 Accent 3" w:uiPriority="68" />
              <w:lsdException w:name="Medium Grid 3 Accent 3" w:uiPriority="69" />
              <w:lsdException w:name="Dark List Accent 3" w:uiPriority="70" />
              <w:lsdException w:name="Colorful Shading Accent 3" w:uiPriority="71" />
              <w:lsdException w:name="Colorful List Accent 3" w:uiPriority="72" />
              <w:lsdException w:name="Colorful Grid Accent 3" w:uiPriority="73" />
              <w:lsdException w:name="Light Shading Accent 4" w:uiPriority="60" />
              <w:lsdException w:name="Light List Accent 4" w:uiPriority="61" />
              <w:lsdException w:name="Light Grid Accent 4" w:uiPriority="62" />
              <w:lsdException w:name="Medium Shading 1 Accent 4" w:uiPriority="63" />
              <w:lsdException w:name="Medium Shading 2 Accent 4" w:uiPriority="64" />
              <w:lsdException w:name="Medium List 1 Accent 4" w:uiPriority="65" />
              <w:lsdException w:name="Medium List 2 Accent 4" w:uiPriority="66" />
              <w:lsdException w:name="Medium Grid 1 Accent 4" w:uiPriority="67" />
              <w:lsdException w:name="Medium Grid 2 Accent 4" w:uiPriority="68" />
              <w:lsdException w:name="Medium Grid 3 Accent 4" w:uiPriority="69" />
              <w:lsdException w:name="Dark List Accent 4" w:uiPriority="70" />
              <w:lsdException w:name="Colorful Shading Accent 4" w:uiPriority="71" />
              <w:lsdException w:name="Colorful List Accent 4" w:uiPriority="72" />
              <w:lsdException w:name="Colorful Grid Accent 4" w:uiPriority="73" />
              <w:lsdException w:name="Light Shading Accent 5" w:uiPriority="60" />
              <w:lsdException w:name="Light List Accent 5" w:uiPriority="61" />
              <w:lsdException w:name="Light Grid Accent 5" w:uiPriority="62" />
              <w:lsdException w:name="Medium Shading 1 Accent 5" w:uiPriority="63" />
              <w:lsdException w:name="Medium Shading 2 Accent 5" w:uiPriority="64" />
              <w:lsdException w:name="Medium List 1 Accent 5" w:uiPriority="65" />
              <w:lsdException w:name="Medium List 2 Accent 5" w:uiPriority="66" />
              <w:lsdException w:name="Medium Grid 1 Accent 5" w:uiPriority="67" />
              <w:lsdException w:name="Medium Grid 2 Accent 5" w:uiPriority="68" />
              <w:lsdException w:name="Medium Grid 3 Accent 5" w:uiPriority="69" />
              <w:lsdException w:name="Dark List Accent 5" w:uiPriority="70" />
              <w:lsdException w:name="Colorful Shading Accent 5" w:uiPriority="71" />
              <w:lsdException w:name="Colorful List Accent 5" w:uiPriority="72" />
              <w:lsdException w:name="Colorful Grid Accent 5" w:uiPriority="73" />
              <w:lsdException w:name="Light Shading Accent 6" w:uiPriority="60" />
              <w:lsdException w:name="Light List Accent 6" w:uiPriority="61" />
              <w:lsdException w:name="Light Grid Accent 6" w:uiPriority="62" />
              <w:lsdException w:name="Medium Shading 1 Accent 6" w:uiPriority="63" />
              <w:lsdException w:name="Medium Shading 2 Accent 6" w:uiPriority="64" />
              <w:lsdException w:name="Medium List 1 Accent 6" w:uiPriority="65" />
              <w:lsdException w:name="Medium List 2 Accent 6" w:uiPriority="66" />
              <w:lsdException w:name="Medium Grid 1 Accent 6" w:uiPriority="67" />
              <w:lsdException w:name="Medium Grid 2 Accent 6" w:uiPriority="68" />
              <w:lsdException w:name="Medium Grid 3 Accent 6" w:uiPriority="69" />
              <w:lsdException w:name="Dark List Accent 6" w:uiPriority="70" />
              <w:lsdException w:name="Colorful Shading Accent 6" w:uiPriority="71" />
              <w:lsdException w:name="Colorful List Accent 6" w:uiPriority="72" />
              <w:lsdException w:name="Colorful Grid Accent 6" w:uiPriority="73" />
              <w:lsdException w:name="Subtle Emphasis" w:uiPriority="19" w:qFormat="1" />
              <w:lsdException w:name="Intense Emphasis" w:uiPriority="21" w:qFormat="1" />
              <w:lsdException w:name="Subtle Reference" w:uiPriority="31" w:qFormat="1" />
              <w:lsdException w:name="Intense Reference" w:uiPriority="32" w:qFormat="1" />
              <w:lsdException w:name="Book Title" w:uiPriority="33" w:qFormat="1" />
              <w:lsdException w:name="Bibliography" w:semiHidden="1" w:uiPriority="37" w:unhideWhenUsed="1" />
              <w:lsdException w:name="TOC Heading" w:semiHidden="1" w:uiPriority="39" w:unhideWhenUsed="1" w:qFormat="1" />
            </w:latentStyles>
            <w:style w:type="paragraph" w:default="1" w:styleId="Normal">
              <w:name w:val="Normal" />
              <w:qFormat />
              <w:rPr>
                <w:sz w:val="24" />
                <w:szCs w:val="24" />
                <w:lang w:val="de-DE" w:eastAsia="de-DE" />
              </w:rPr>
            </w:style>
            <w:style w:type="paragraph" w:styleId="Heading1">
              <w:name w:val="heading 1" />
              <w:basedOn w:val="Normal" />
              <w:next w:val="Normal" />
              <w:link w:val="Heading1Char" />
              <w:qFormat />
              <w:pPr>
                <w:keepNext />
                <w:keepLines />
                <w:spacing w:before="480" />
                <w:outlineLvl w:val="0" />
              </w:pPr>
              <w:rPr>
                <w:rFonts w:ascii="Cambria" w:eastAsia="SimSun" w:hAnsi="Cambria" />
                <w:b />
                <w:bCs />
                <w:color w:val="365F91" />
                <w:sz w:val="28" />
                <w:szCs w:val="28" />
              </w:rPr>
            </w:style>
            <w:style w:type="paragraph" w:styleId="Heading2">
              <w:name w:val="heading 2" />
              <w:basedOn w:val="Normal" />
              <w:next w:val="Normal" />
              <w:link w:val="Heading2Char" />
              <w:unhideWhenUsed />
              <w:qFormat />
              <w:pPr>
                <w:keepNext />
                <w:keepLines />
                <w:spacing w:before="200" />
                <w:outlineLvl w:val="1" />
              </w:pPr>
              <w:rPr>
                <w:rFonts w:ascii="Cambria" w:eastAsia="SimSun" w:hAnsi="Cambria" />
                <w:b />
                <w:bCs />
                <w:color w:val="4F81BD" />
                <w:sz w:val="26" />
                <w:szCs w:val="26" />
              </w:rPr>
            </w:style>
            <w:style w:type="character" w:default="1" w:styleId="DefaultParagraphFont">
              <w:name w:val="Default Paragraph Font" />
              <w:uiPriority w:val="1" />
              <w:semiHidden />
              <w:unhideWhenUsed />
            </w:style>
            <w:style w:type="table" w:default="1" w:styleId="TableNormal">
              <w:name w:val="Normal Table" />
              <w:uiPriority w:val="99" />
              <w:semiHidden />
              <w:unhideWhenUsed />
              <w:qFormat />
              <w:tblPr>
                <w:tblInd w:w="0" w:type="dxa" />
                <w:tblCellMar>
                  <w:top w:w="0" w:type="dxa" />
                  <w:left w:w="108" w:type="dxa" />
                  <w:bottom w:w="0" w:type="dxa" />
                  <w:right w:w="108" w:type="dxa" />
                </w:tblCellMar>
              </w:tblPr>
            </w:style>
            <w:style w:type="numbering" w:default="1" w:styleId="NoList">
              <w:name w:val="No List" />
              <w:uiPriority w:val="99" />
              <w:semiHidden />
              <w:unhideWhenUsed />
            </w:style>
            <w:style w:type="character" w:styleId="PlaceholderText">
              <w:name w:val="Placeholder Text" />
              <w:basedOn w:val="DefaultParagraphFont" />
              <w:uiPriority w:val="99" />
              <w:semiHidden />
              <w:rPr>
                <w:color w:val="808080" />
              </w:rPr>
            </w:style>
            <w:style w:type="table" w:styleId="TableGrid">
              <w:name w:val="Table Grid" />
              <w:basedOn w:val="TableNormal" />
              <w:tblPr>
                <w:tblInd w:w="0" w:type="dxa" />
                <w:tblBorders>
                  <w:top w:val="single" w:sz="4" w:space="0" w:color="000000" />
                  <w:left w:val="single" w:sz="4" w:space="0" w:color="000000" />
                  <w:bottom w:val="single" w:sz="4" w:space="0" w:color="000000" />
                  <w:right w:val="single" w:sz="4" w:space="0" w:color="000000" />
                  <w:insideH w:val="single" w:sz="4" w:space="0" w:color="000000" />
                  <w:insideV w:val="single" w:sz="4" w:space="0" w:color="000000" />
                </w:tblBorders>
                <w:tblCellMar>
                  <w:top w:w="0" w:type="dxa" />
                  <w:left w:w="108" w:type="dxa" />
                  <w:bottom w:w="0" w:type="dxa" />
                  <w:right w:w="108" w:type="dxa" />
                </w:tblCellMar>
              </w:tblPr>
            </w:style>
            <w:style w:type="paragraph" w:styleId="BalloonText">
              <w:name w:val="Balloon Text" />
              <w:basedOn w:val="Normal" />
              <w:link w:val="BalloonTextChar" />
              <w:rPr>
                <w:rFonts w:ascii="Tahoma" w:hAnsi="Tahoma" w:cs="Tahoma" />
                <w:sz w:val="16" />
                <w:szCs w:val="16" />
              </w:rPr>
            </w:style>
            <w:style w:type="character" w:customStyle="1" w:styleId="BalloonTextChar">
              <w:name w:val="Balloon Text Char" />
              <w:basedOn w:val="DefaultParagraphFont" />
              <w:link w:val="BalloonText" />
              <w:rPr>
                <w:rFonts w:ascii="Tahoma" w:hAnsi="Tahoma" w:cs="Tahoma" />
                <w:sz w:val="16" />
                <w:szCs w:val="16" />
                <w:lang w:val="de-DE" w:eastAsia="de-DE" />
              </w:rPr>
            </w:style>
            <w:style w:type="table" w:styleId="TableClassic3">
              <w:name w:val="Table Classic 3" />
              <w:basedOn w:val="TableNormal" />
              <w:rPr>
                <w:color w:val="000080" />
              </w:rPr>
              <w:tblPr>
                <w:tblInd w:w="0" w:type="dxa" />
                <w:tblBorders>
                  <w:top w:val="single" w:sz="12" w:space="0" w:color="000000" />
                  <w:left w:val="single" w:sz="12" w:space="0" w:color="000000" />
                  <w:bottom w:val="single" w:sz="12" w:space="0" w:color="000000" />
                  <w:right w:val="single" w:sz="12" w:space="0" w:color="000000" />
                </w:tblBorders>
                <w:tblCellMar>
                  <w:top w:w="0" w:type="dxa" />
                  <w:left w:w="108" w:type="dxa" />
                  <w:bottom w:w="0" w:type="dxa" />
                  <w:right w:w="108" w:type="dxa" />
                </w:tblCellMar>
              </w:tblPr>
              <w:tcPr>
                <w:shd w:val="solid" w:color="C0C0C0" w:fill="FFFFFF" />
              </w:tcPr>
              <w:tblStylePr w:type="firstRow">
                <w:rPr>
                  <w:b />
                  <w:bCs />
                  <w:i />
                  <w:iCs />
                  <w:color w:val="FFFFFF" />
                </w:rPr>
                <w:tblPr />
                <w:tcPr>
                  <w:tcBorders>
                    <w:bottom w:val="single" w:sz="6" w:space="0" w:color="000000" />
                    <w:tl2br w:val="none" w:sz="0" w:space="0" w:color="auto" />
                    <w:tr2bl w:val="none" w:sz="0" w:space="0" w:color="auto" />
                  </w:tcBorders>
                  <w:shd w:val="solid" w:color="000080" w:fill="FFFFFF" />
                </w:tcPr>
              </w:tblStylePr>
              <w:tblStylePr w:type="lastRow">
                <w:rPr>
                  <w:color w:val="000080" />
                </w:rPr>
                <w:tblPr />
                <w:tcPr>
                  <w:tcBorders>
                    <w:top w:val="single" w:sz="12" w:space="0" w:color="000000" />
                    <w:tl2br w:val="none" w:sz="0" w:space="0" w:color="auto" />
                    <w:tr2bl w:val="none" w:sz="0" w:space="0" w:color="auto" />
                  </w:tcBorders>
                  <w:shd w:val="solid" w:color="FFFFFF" w:fill="FFFFFF" />
                </w:tcPr>
              </w:tblStylePr>
              <w:tblStylePr w:type="firstCol">
                <w:rPr>
                  <w:b />
                  <w:bCs />
                  <w:color w:val="000000" />
                </w:rPr>
                <w:tblPr />
                <w:tcPr>
                  <w:tcBorders>
                    <w:tl2br w:val="none" w:sz="0" w:space="0" w:color="auto" />
                    <w:tr2bl w:val="none" w:sz="0" w:space="0" w:color="auto" />
                  </w:tcBorders>
                </w:tcPr>
              </w:tblStylePr>
            </w:style>
            <w:style w:type="character" w:customStyle="1" w:styleId="Heading1Char">
              <w:name w:val="Heading 1 Char" />
              <w:basedOn w:val="DefaultParagraphFont" />
              <w:link w:val="Heading1" />
              <w:rPr>
                <w:rFonts w:ascii="Cambria" w:eastAsia="SimSun" w:hAnsi="Cambria" w:cs="Times New Roman" />
                <w:b />
                <w:bCs />
                <w:color w:val="365F91" />
                <w:sz w:val="28" />
                <w:szCs w:val="28" />
                <w:lang w:val="de-DE" w:eastAsia="de-DE" />
              </w:rPr>
            </w:style>
            <w:style w:type="character" w:customStyle="1" w:styleId="Heading2Char">
              <w:name w:val="Heading 2 Char" />
              <w:basedOn w:val="DefaultParagraphFont" />
              <w:link w:val="Heading2" />
              <w:rPr>
                <w:rFonts w:ascii="Cambria" w:eastAsia="SimSun" w:hAnsi="Cambria" w:cs="Times New Roman" />
                <w:b />
                <w:bCs />
                <w:color w:val="4F81BD" />
                <w:sz w:val="26" />
                <w:szCs w:val="26" />
                <w:lang w:val="de-DE" w:eastAsia="de-DE" />
              </w:rPr>
            </w:style>
            <w:style w:type="paragraph" w:styleId="Header">
              <w:name w:val="header" />
              <w:basedOn w:val="Normal" />
              <w:link w:val="HeaderChar" />
              <w:pPr>
                <w:tabs>
                  <w:tab w:val="center" w:pos="4513" />
                  <w:tab w:val="right" w:pos="9026" />
                </w:tabs>
              </w:pPr>
            </w:style>
            <w:style w:type="character" w:customStyle="1" w:styleId="HeaderChar">
              <w:name w:val="Header Char" />
              <w:basedOn w:val="DefaultParagraphFont" />
              <w:link w:val="Header" />
              <w:rPr>
                <w:sz w:val="24" />
                <w:szCs w:val="24" />
                <w:lang w:val="de-DE" w:eastAsia="de-DE" />
              </w:rPr>
            </w:style>
            <w:style w:type="paragraph" w:styleId="Footer">
              <w:name w:val="footer" />
              <w:basedOn w:val="Normal" />
              <w:link w:val="FooterChar" />
              <w:pPr>
                <w:tabs>
                  <w:tab w:val="center" w:pos="4513" />
                  <w:tab w:val="right" w:pos="9026" />
                </w:tabs>
              </w:pPr>
            </w:style>
            <w:style w:type="character" w:customStyle="1" w:styleId="FooterChar">
              <w:name w:val="Footer Char" />
              <w:basedOn w:val="DefaultParagraphFont" />
              <w:link w:val="Footer" />
              <w:rPr>
                <w:sz w:val="24" />
                <w:szCs w:val="24" />
                <w:lang w:val="de-DE" w:eastAsia="de-DE" />
              </w:rPr>
            </w:style>
          </w:styles>
        </pkg:xmlData>
      </pkg:part>
    </pkg:package>
  </xsl:template>
  <xsl:template match="rs:data/z:row">
    <w:p xmlns:w="http://schemas.openxmlformats.org/wordprocessingml/2006/main" />
    <w:p>
      <w:pPr>
        <w:tabs>
          <w:tab w:val="left" w:pos="1701" />
        </w:tabs>
      </w:pPr>
      <w:r>
        <w:t>Firma:</w:t>
      </w:r>
      <w:r>
        <w:tab />
      </w:r>
      <w:r>
        <w:t>
          <xsl:value-of select="@*[local-name()= $kfirma]" />
        </w:t>
      </w:r>
    </w:p>
    <w:p>
      <w:pPr>
        <w:tabs>
          <w:tab w:val="left" w:pos="1701" />
        </w:tabs>
      </w:pPr>
      <w:r>
        <w:t>Kunden-Code:</w:t>
      </w:r>
      <w:r>
        <w:tab />
      </w:r>
      <w:r>
        <w:t>
          <xsl:value-of select="@*[local-name()= $kundencode]" />
        </w:t>
      </w:r>
    </w:p>
    <w:p />
    <xsl:choose>
      <xsl:when test="not(rBestellungen)">
        <w:p>
          <w:r>
            <w:t>No matching Bestellungen records.</w:t>
          </w:r>
        </w:p>
      </xsl:when>
      <xsl:otherwise>
        <w:tbl>
          <w:tblPr>
            <w:tblW w:w="0" w:type="auto" />
            <w:tblBorders>
              <w:top w:val="single" w:sz="4" w:space="0" w:color="000000" />
              <w:left w:val="single" w:sz="4" w:space="0" w:color="000000" />
              <w:bottom w:val="single" w:sz="4" w:space="0" w:color="000000" />
              <w:right w:val="single" w:sz="4" w:space="0" w:color="000000" />
              <w:insideH w:val="single" w:sz="4" w:space="0" w:color="000000" />
              <w:insideV w:val="single" w:sz="4" w:space="0" w:color="000000" />
            </w:tblBorders>
            <w:tblLayout w:type="fixed" />
            <w:tblLook w:val="04A0" />
          </w:tblPr>
          <w:tblGrid>
            <w:gridCol w:w="964" />
            <w:gridCol w:w="1191" />
            <w:gridCol w:w="1134" />
            <w:gridCol w:w="1701" />
            <w:gridCol w:w="1134" />
            <w:gridCol w:w="1304" />
            <w:gridCol w:w="1756" />
          </w:tblGrid>
          <w:tr>
            <w:tc>
              <w:tcPr>
                <w:tcW w:w="964" w:type="dxa" />
                <w:shd w:val="clear" w:color="auto" w:fill="8DB3E2" w:themeFill="text2" w:themeFillTint="66" />
              </w:tcPr>
              <w:p>
                <w:pPr>
                  <w:rPr>
                    <w:rFonts w:asciiTheme="minorHAnsi" w:hAnsiTheme="minorHAnsi" w:cs="Arial" />
                    <w:i />
                    <w:sz w:val="18" />
                    <w:szCs w:val="18" />
                  </w:rPr>
                </w:pPr>
                <w:r>
                  <w:rPr>
                    <w:rFonts w:asciiTheme="minorHAnsi" w:hAnsiTheme="minorHAnsi" w:cs="Arial" />
                    <w:i />
                    <w:sz w:val="18" />
                    <w:szCs w:val="18" />
                    <w:lang w:val="en-GB" />
                  </w:rPr>
                  <w:t>Bestell-Nr</w:t>
                </w:r>
              </w:p>
            </w:tc>
            <w:tc>
              <w:tcPr>
                <w:tcW w:w="1191" w:type="dxa" />
                <w:shd w:val="clear" w:color="auto" w:fill="8DB3E2" w:themeFill="text2" w:themeFillTint="66" />
              </w:tcPr>
              <w:p>
                <w:pPr>
                  <w:rPr>
                    <w:rFonts w:asciiTheme="minorHAnsi" w:hAnsiTheme="minorHAnsi" w:cs="Arial" />
                    <w:i />
                    <w:sz w:val="18" />
                    <w:szCs w:val="18" />
                    <w:lang w:val="en-GB" />
                  </w:rPr>
                </w:pPr>
                <w:r>
                  <w:rPr>
                    <w:rFonts w:asciiTheme="minorHAnsi" w:hAnsiTheme="minorHAnsi" w:cs="Arial" />
                    <w:i />
                    <w:sz w:val="18" />
                    <w:szCs w:val="18" />
                    <w:lang w:val="en-GB" />
                  </w:rPr>
                  <w:t>Bestelldatum</w:t>
                </w:r>
              </w:p>
            </w:tc>
            <w:tc>
              <w:tcPr>
                <w:tcW w:w="1134" w:type="dxa" />
                <w:shd w:val="clear" w:color="auto" w:fill="8DB3E2" w:themeFill="text2" w:themeFillTint="66" />
              </w:tcPr>
              <w:p>
                <w:pPr>
                  <w:jc w:val="right" />
                  <w:rPr>
                    <w:rFonts w:asciiTheme="minorHAnsi" w:hAnsiTheme="minorHAnsi" w:cs="Arial" />
                    <w:i />
                    <w:sz w:val="18" />
                    <w:szCs w:val="18" />
                  </w:rPr>
                </w:pPr>
                <w:r>
                  <w:rPr>
                    <w:rFonts w:asciiTheme="minorHAnsi" w:hAnsiTheme="minorHAnsi" w:cs="Arial" />
                    <w:i />
                    <w:sz w:val="18" />
                    <w:szCs w:val="18" />
                  </w:rPr>
                  <w:t>Endpreis</w:t>
                </w:r>
              </w:p>
            </w:tc>
            <w:tc>
              <w:tcPr>
                <w:tcW w:w="1701" w:type="dxa" />
                <w:shd w:val="clear" w:color="auto" w:fill="8DB3E2" w:themeFill="text2" w:themeFillTint="66" />
              </w:tcPr>
              <w:p>
                <w:pPr>
                  <w:rPr>
                    <w:rFonts w:asciiTheme="minorHAnsi" w:hAnsiTheme="minorHAnsi" w:cs="Arial" />
                    <w:i />
                    <w:sz w:val="18" />
                    <w:szCs w:val="18" />
                  </w:rPr>
                </w:pPr>
                <w:r>
                  <w:rPr>
                    <w:rFonts w:asciiTheme="minorHAnsi" w:hAnsiTheme="minorHAnsi" w:cs="Arial" />
                    <w:i />
                    <w:sz w:val="18" />
                    <w:szCs w:val="18" />
                    <w:lang w:val="en-GB" />
                  </w:rPr>
                  <w:t>Verkaufsberater</w:t>
                </w:r>
              </w:p>
            </w:tc>
            <w:tc>
              <w:tcPr>
                <w:tcW w:w="1134" w:type="dxa" />
                <w:shd w:val="clear" w:color="auto" w:fill="8DB3E2" w:themeFill="text2" w:themeFillTint="66" />
              </w:tcPr>
              <w:p>
                <w:pPr>
                  <w:rPr>
                    <w:rFonts w:asciiTheme="minorHAnsi" w:hAnsiTheme="minorHAnsi" w:cs="Arial" />
                    <w:i />
                    <w:sz w:val="18" />
                    <w:szCs w:val="18" />
                  </w:rPr>
                </w:pPr>
                <w:r>
                  <w:rPr>
                    <w:rFonts w:asciiTheme="minorHAnsi" w:hAnsiTheme="minorHAnsi" w:cs="Arial" />
                    <w:i />
                    <w:sz w:val="18" />
                    <w:szCs w:val="18" />
                    <w:lang w:val="en-GB" />
                  </w:rPr>
                  <w:t>Lieferdatum</w:t>
                </w:r>
              </w:p>
            </w:tc>
            <w:tc>
              <w:tcPr>
                <w:tcW w:w="1304" w:type="dxa" />
                <w:shd w:val="clear" w:color="auto" w:fill="8DB3E2" w:themeFill="text2" w:themeFillTint="66" />
              </w:tcPr>
              <w:p>
                <w:pPr>
                  <w:rPr>
                    <w:rFonts w:asciiTheme="minorHAnsi" w:hAnsiTheme="minorHAnsi" w:cs="Arial" />
                    <w:i />
                    <w:sz w:val="18" />
                    <w:szCs w:val="18" />
                  </w:rPr>
                </w:pPr>
                <w:r>
                  <w:rPr>
                    <w:rFonts w:asciiTheme="minorHAnsi" w:hAnsiTheme="minorHAnsi" w:cs="Arial" />
                    <w:i />
                    <w:sz w:val="18" />
                    <w:szCs w:val="18" />
                    <w:lang w:val="en-GB" />
                  </w:rPr>
                  <w:t>Versanddatum</w:t>
                </w:r>
              </w:p>
            </w:tc>
            <w:tc>
              <w:tcPr>
                <w:tcW w:w="1756" w:type="dxa" />
                <w:shd w:val="clear" w:color="auto" w:fill="8DB3E2" w:themeFill="text2" w:themeFillTint="66" />
              </w:tcPr>
              <w:p>
                <w:pPr>
                  <w:rPr>
                    <w:rFonts w:asciiTheme="minorHAnsi" w:hAnsiTheme="minorHAnsi" w:cs="Arial" />
                    <w:i />
                    <w:sz w:val="18" />
                    <w:szCs w:val="18" />
                  </w:rPr>
                </w:pPr>
                <w:r>
                  <w:rPr>
                    <w:rFonts w:asciiTheme="minorHAnsi" w:hAnsiTheme="minorHAnsi" w:cs="Arial" />
                    <w:i />
                    <w:sz w:val="18" />
                    <w:szCs w:val="18" />
                    <w:lang w:val="en-GB" />
                  </w:rPr>
                  <w:t>Versand per</w:t>
                </w:r>
              </w:p>
            </w:tc>
          </w:tr>
          <xsl:apply-templates select="rBestellungen" />
          <w:tr>
            <w:tc>
              <w:tcPr>
                <w:tcW w:w="964" w:type="dxa" />
                <w:tcBorders>
                  <w:top w:val="single" w:sz="8" w:space="0" w:color="000000" />
                </w:tcBorders>
              </w:tcPr>
              <w:p>
                <w:pPr>
                  <w:rPr>
                    <w:rFonts w:asciiTheme="minorHAnsi" w:hAnsiTheme="minorHAnsi" />
                    <w:sz w:val="16" />
                    <w:szCs w:val="16" />
                    <w:lang w:val="en-GB" />
                  </w:rPr>
                </w:pPr>
              </w:p>
            </w:tc>
            <w:tc>
              <w:tcPr>
                <w:tcW w:w="1191" w:type="dxa" />
                <w:tcBorders>
                  <w:top w:val="single" w:sz="8" w:space="0" w:color="000000" />
                </w:tcBorders>
              </w:tcPr>
              <w:p>
                <w:pPr>
                  <w:rPr>
                    <w:rFonts w:asciiTheme="minorHAnsi" w:hAnsiTheme="minorHAnsi" />
                    <w:sz w:val="16" />
                    <w:szCs w:val="16" />
                    <w:lang w:val="en-GB" />
                  </w:rPr>
                </w:pPr>
              </w:p>
            </w:tc>
            <w:tc>
              <w:tcPr>
                <w:tcW w:w="1134" w:type="dxa" />
                <w:tcBorders>
                  <w:top w:val="single" w:sz="8" w:space="0" w:color="000000" />
                </w:tcBorders>
              </w:tcPr>
              <w:p>
                <w:pPr>
                  <w:jc w:val="right" />
                  <w:rPr>
                    <w:rFonts w:asciiTheme="minorHAnsi" w:hAnsiTheme="minorHAnsi" />
                    <w:sz w:val="16" />
                    <w:szCs w:val="16" />
                  </w:rPr>
                </w:pPr>
                <w:r>
                  <w:rPr>
                    <w:rFonts w:asciiTheme="minorHAnsi" w:hAnsiTheme="minorHAnsi" />
                    <w:sz w:val="16" />
                    <w:szCs w:val="16" />
                  </w:rPr>
                  <w:t>
                    <xsl:value-of select="format-number(sum(rBestellungen/@*[local-name()= $endpreis]),'#.##0,00')" />
                  </w:t>
                </w:r>
              </w:p>
            </w:tc>
            <w:tc>
              <w:tcPr>
                <w:tcW w:w="1701" w:type="dxa" />
                <w:tcBorders>
                  <w:top w:val="single" w:sz="8" w:space="0" w:color="000000" />
                </w:tcBorders>
              </w:tcPr>
              <w:p>
                <w:pPr>
                  <w:rPr>
                    <w:rFonts w:asciiTheme="minorHAnsi" w:hAnsiTheme="minorHAnsi" />
                    <w:sz w:val="16" />
                    <w:szCs w:val="16" />
                    <w:lang w:val="en-GB" />
                  </w:rPr>
                </w:pPr>
              </w:p>
            </w:tc>
            <w:tc>
              <w:tcPr>
                <w:tcW w:w="1134" w:type="dxa" />
                <w:tcBorders>
                  <w:top w:val="single" w:sz="8" w:space="0" w:color="000000" />
                </w:tcBorders>
              </w:tcPr>
              <w:p>
                <w:pPr>
                  <w:rPr>
                    <w:rFonts w:asciiTheme="minorHAnsi" w:hAnsiTheme="minorHAnsi" />
                    <w:sz w:val="16" />
                    <w:szCs w:val="16" />
                    <w:lang w:val="en-GB" />
                  </w:rPr>
                </w:pPr>
              </w:p>
            </w:tc>
            <w:tc>
              <w:tcPr>
                <w:tcW w:w="1304" w:type="dxa" />
                <w:tcBorders>
                  <w:top w:val="single" w:sz="8" w:space="0" w:color="000000" />
                </w:tcBorders>
              </w:tcPr>
              <w:p>
                <w:pPr>
                  <w:rPr>
                    <w:rFonts w:asciiTheme="minorHAnsi" w:hAnsiTheme="minorHAnsi" />
                    <w:sz w:val="16" />
                    <w:szCs w:val="16" />
                    <w:lang w:val="en-GB" />
                  </w:rPr>
                </w:pPr>
              </w:p>
            </w:tc>
            <w:tc>
              <w:tcPr>
                <w:tcW w:w="1756" w:type="dxa" />
                <w:tcBorders>
                  <w:top w:val="single" w:sz="8" w:space="0" w:color="000000" />
                </w:tcBorders>
              </w:tcPr>
              <w:p>
                <w:pPr>
                  <w:rPr>
                    <w:rFonts w:asciiTheme="minorHAnsi" w:hAnsiTheme="minorHAnsi" />
                    <w:sz w:val="16" />
                    <w:szCs w:val="16" />
                    <w:lang w:val="en-GB" />
                  </w:rPr>
                </w:pPr>
              </w:p>
            </w:tc>
          </w:tr>
        </w:tbl>
        <w:p>
          <w:pPr>
            <w:rPr>
              <w:lang w:val="en-GB" />
            </w:rPr>
          </w:pPr>
        </w:p>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
  <xsl:template match="rBestellungen">
    <w:tr xmlns:w="http://schemas.openxmlformats.org/wordprocessingml/2006/main">
      <w:tc>
        <w:tcPr>
          <w:tcW w:w="964" w:type="dxa" />
          <w:tcBorders>
            <w:bottom w:val="single" w:sz="8" w:space="0" w:color="000000" />
          </w:tcBorders>
        </w:tcPr>
        <w:p>
          <w:pPr>
            <w:rPr>
              <w:rFonts w:asciiTheme="minorHAnsi" w:hAnsiTheme="minorHAnsi" />
              <w:sz w:val="16" />
              <w:szCs w:val="16" />
              <w:lang w:val="en-GB" />
            </w:rPr>
          </w:pPr>
          <w:r>
            <w:rPr>
              <w:rFonts w:asciiTheme="minorHAnsi" w:hAnsiTheme="minorHAnsi" />
              <w:sz w:val="16" />
              <w:szCs w:val="16" />
            </w:rPr>
            <w:t>
              <xsl:value-of select="@*[local-name()= $bestellnr]" />
            </w:t>
          </w:r>
        </w:p>
      </w:tc>
      <w:tc>
        <w:tcPr>
          <w:tcW w:w="1191" w:type="dxa" />
          <w:tcBorders>
            <w:bottom w:val="single" w:sz="8" w:space="0" w:color="000000" />
          </w:tcBorders>
        </w:tcPr>
        <w:p>
          <w:pPr>
            <w:rPr>
              <w:rFonts w:asciiTheme="minorHAnsi" w:hAnsiTheme="minorHAnsi" />
              <w:sz w:val="16" />
              <w:szCs w:val="16" />
            </w:rPr>
          </w:pPr>
          <w:r>
            <w:rPr>
              <w:rFonts w:asciiTheme="minorHAnsi" w:hAnsiTheme="minorHAnsi" />
              <w:sz w:val="16" />
              <w:szCs w:val="16" />
            </w:rPr>
            <w:t>
              <xsl:value-of select="ms:format-date(@*[local-name()= $bestelldatum],'dd.MM.yyyy')" />
            </w:t>
          </w:r>
        </w:p>
      </w:tc>
      <w:tc>
        <w:tcPr>
          <w:tcW w:w="1134" w:type="dxa" />
          <w:tcBorders>
            <w:bottom w:val="single" w:sz="8" w:space="0" w:color="000000" />
          </w:tcBorders>
        </w:tcPr>
        <w:p>
          <w:pPr>
            <w:jc w:val="right" />
            <w:rPr>
              <w:rFonts w:asciiTheme="minorHAnsi" w:hAnsiTheme="minorHAnsi" />
              <w:sz w:val="16" />
              <w:szCs w:val="16" />
            </w:rPr>
          </w:pPr>
          <w:r>
            <w:rPr>
              <w:rFonts w:asciiTheme="minorHAnsi" w:hAnsiTheme="minorHAnsi" />
              <w:sz w:val="16" />
              <w:szCs w:val="16" />
            </w:rPr>
            <w:t>
              <xsl:value-of select="format-number(@*[local-name()= $endpreis],'#.##0,00')" />
            </w:t>
          </w:r>
        </w:p>
      </w:tc>
      <w:tc>
        <w:tcPr>
          <w:tcW w:w="1701" w:type="dxa" />
          <w:tcBorders>
            <w:bottom w:val="single" w:sz="8" w:space="0" w:color="000000" />
          </w:tcBorders>
        </w:tcPr>
        <w:p>
          <w:pPr>
            <w:rPr>
              <w:rFonts w:asciiTheme="minorHAnsi" w:hAnsiTheme="minorHAnsi" />
              <w:sz w:val="16" />
              <w:szCs w:val="16" />
            </w:rPr>
          </w:pPr>
          <w:r>
            <w:rPr>
              <w:rFonts w:asciiTheme="minorHAnsi" w:hAnsiTheme="minorHAnsi" />
              <w:sz w:val="16" />
              <w:szCs w:val="16" />
            </w:rPr>
            <w:t>
              <xsl:value-of select="concat(@*[local-name()= $vorname],' ',@*[local-name()= $nachname])" />
            </w:t>
          </w:r>
        </w:p>
      </w:tc>
      <w:tc>
        <w:tcPr>
          <w:tcW w:w="1134" w:type="dxa" />
          <w:tcBorders>
            <w:bottom w:val="single" w:sz="8" w:space="0" w:color="000000" />
          </w:tcBorders>
        </w:tcPr>
        <w:p>
          <w:pPr>
            <w:rPr>
              <w:rFonts w:asciiTheme="minorHAnsi" w:hAnsiTheme="minorHAnsi" />
              <w:sz w:val="16" />
              <w:szCs w:val="16" />
            </w:rPr>
          </w:pPr>
          <w:r>
            <w:rPr>
              <w:rFonts w:asciiTheme="minorHAnsi" w:hAnsiTheme="minorHAnsi" />
              <w:sz w:val="16" />
              <w:szCs w:val="16" />
            </w:rPr>
            <w:t>
              <xsl:value-of select="ms:format-date(@*[local-name()= $lieferdatum],'dd.MM.yyyy')" />
            </w:t>
          </w:r>
        </w:p>
      </w:tc>
      <w:tc>
        <w:tcPr>
          <w:tcW w:w="1304" w:type="dxa" />
          <w:tcBorders>
            <w:bottom w:val="single" w:sz="8" w:space="0" w:color="000000" />
          </w:tcBorders>
        </w:tcPr>
        <w:p>
          <w:pPr>
            <w:rPr>
              <w:rFonts w:asciiTheme="minorHAnsi" w:hAnsiTheme="minorHAnsi" />
              <w:sz w:val="16" />
              <w:szCs w:val="16" />
            </w:rPr>
          </w:pPr>
          <w:r>
            <w:rPr>
              <w:rFonts w:asciiTheme="minorHAnsi" w:hAnsiTheme="minorHAnsi" />
              <w:sz w:val="16" />
              <w:szCs w:val="16" />
            </w:rPr>
            <w:t>
              <xsl:value-of select="ms:format-date(@*[local-name()= $versanddatum],'dd.MM.yyyy')" />
            </w:t>
          </w:r>
        </w:p>
      </w:tc>
      <w:tc>
        <w:tcPr>
          <w:tcW w:w="1756" w:type="dxa" />
          <w:tcBorders>
            <w:bottom w:val="single" w:sz="8" w:space="0" w:color="000000" />
          </w:tcBorders>
        </w:tcPr>
        <w:p>
          <w:pPr>
            <w:rPr>
              <w:rFonts w:asciiTheme="minorHAnsi" w:hAnsiTheme="minorHAnsi" />
              <w:sz w:val="16" />
              <w:szCs w:val="16" />
              <w:lang w:val="en-GB" />
            </w:rPr>
          </w:pPr>
          <w:r>
            <w:rPr>
              <w:rFonts w:asciiTheme="minorHAnsi" w:hAnsiTheme="minorHAnsi" />
              <w:sz w:val="16" />
              <w:szCs w:val="16" />
            </w:rPr>
            <w:t>
              <xsl:value-of select="@*[local-name()= $bfirma]" />
            </w:t>
          </w:r>
        </w:p>
      </w:tc>
    </w:tr>
  </xsl:template>
</xsl:stylesheet>