﻿Imports Microsoft.Office.Tools.Ribbon
Imports Tools = Microsoft.Office.Tools.Word

Public Class Ribbon1

    Private Sub Ribbon1_Load(ByVal sender As System.Object, ByVal e As RibbonUIEventArgs) Handles MyBase.Load

    End Sub

    Private Sub tglDokumentAktionen_Click(ByVal sender As System.Object, ByVal e As Microsoft.Office.Tools.Ribbon.RibbonControlEventArgs) Handles tglDokumentAktionen.Click
        Globals.ThisDocument.Application.CommandBars.ExecuteMso("ViewDocumentActionsPane")
    End Sub

    Private Sub btnVSTOEntfernen_Click(ByVal sender As System.Object, ByVal e As Microsoft.Office.Tools.Ribbon.RibbonControlEventArgs) Handles btnVSTOEntfernen.Click
        Dim thisDoc As Tools.Document = Globals.ThisDocument
        Try
            'Entfernt die Custom XML-Teile...
            thisDoc.RemoveCustomization()
            '...und die Dokumenteigenschaften aus dem Dokument.
            Dim prop As Office.DocumentProperty
            For Each prop In Globals.ThisDocument.InnerObject.CustomDocumentProperties
                Select Case prop.Name
                    Case "_AssemblyName", "_AssemblyLocation", "Solution ID"
                        prop.Delete()
                    Case Else
                End Select
            Next
        Catch ex As Exception
            MessageBox.Show(ex.Message)
        Finally
            Me.grpBsp_VSTO.Visible = False
            ' Me.btnVSTOEntfernen.Enabled = False
            ' Me.tglDokumentAktionen.Enabled = False
        End Try
    End Sub
End Class
