using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Reflection;
//zustzliche Deklarationen am Projektanfang
using wd = Microsoft.Office.Interop.Word;
using wdMarschal = System.Runtime.InteropServices.Marshal;

namespace Kap05_CS
{
	/// <summary>
	/// Zusammenfassung fr Kap05_CSFind.
	/// </summary>
	public class Kap05Find : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Button btnFindSchliessen;
		/// <summary>
		/// Erforderliche Designervariable.
		/// </summary>
		private System.ComponentModel.Container components = null;
		private System.Windows.Forms.Button btnListing5_36;
        private System.Windows.Forms.Button btnListing5_40;
		private System.Windows.Forms.Button btnListing5_42;

		private wd.Application wdApp;

		public Kap05Find(wd.Application WdApp)
		{
			//
			// Erforderlich fr die Windows Form-Designeruntersttzung
			//
			InitializeComponent();

			//
			// TODO: Fgen Sie den Konstruktorcode nach dem Aufruf von InitializeComponent hinzu
			//
			wdApp= WdApp;
		}

		/// <summary>
		/// Die verwendeten Ressourcen bereinigen.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Vom Windows Form-Designer generierter Code
		/// <summary>
		/// Erforderliche Methode fr die Designeruntersttzung. 
		/// Der Inhalt der Methode darf nicht mit dem Code-Editor gendert werden.
		/// </summary>
		private void InitializeComponent()
		{
            this.btnListing5_36 = new System.Windows.Forms.Button();
            this.btnListing5_40 = new System.Windows.Forms.Button();
            this.btnFindSchliessen = new System.Windows.Forms.Button();
            this.btnListing5_42 = new System.Windows.Forms.Button();
            this.SuspendLayout();
            // 
            // btnListing5_36
            // 
            this.btnListing5_36.Location = new System.Drawing.Point(16, 16);
            this.btnListing5_36.Name = "btnListing5_36";
            this.btnListing5_36.Size = new System.Drawing.Size(296, 23);
            this.btnListing5_36.TabIndex = 0;
            this.btnListing5_36.Text = "Listing 5_36: Suche unterbrechen (Do...Loop)";
            this.btnListing5_36.Click += new System.EventHandler(this.btnListing5_36_Click);
            // 
            // btnListing5_40
            // 
            this.btnListing5_40.Location = new System.Drawing.Point(16, 64);
            this.btnListing5_40.Name = "btnListing5_40";
            this.btnListing5_40.Size = new System.Drawing.Size(296, 23);
            this.btnListing5_40.TabIndex = 1;
            this.btnListing5_40.Text = "Listing 5.40: Ganzes Dokument durchsuchen";
            this.btnListing5_40.Click += new System.EventHandler(this.btnListing5_40_Click);
            // 
            // btnFindSchliessen
            // 
            this.btnFindSchliessen.Location = new System.Drawing.Point(376, 16);
            this.btnFindSchliessen.Name = "btnFindSchliessen";
            this.btnFindSchliessen.Size = new System.Drawing.Size(75, 23);
            this.btnFindSchliessen.TabIndex = 2;
            this.btnFindSchliessen.Text = "Schlieen";
            this.btnFindSchliessen.Click += new System.EventHandler(this.btnFindSchliessen_Click);
            // 
            // btnListing5_42
            // 
            this.btnListing5_42.Location = new System.Drawing.Point(16, 109);
            this.btnListing5_42.Name = "btnListing5_42";
            this.btnListing5_42.Size = new System.Drawing.Size(296, 40);
            this.btnListing5_42.TabIndex = 4;
            this.btnListing5_42.Text = "Listing 5.42: Suchen/Ersetzen in AutoFormen von Kopf- und Futeilen";
            this.btnListing5_42.Click += new System.EventHandler(this.btnListing5_42_Click);
            // 
            // Kap05Find
            // 
            this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
            this.ClientSize = new System.Drawing.Size(472, 190);
            this.Controls.Add(this.btnListing5_42);
            this.Controls.Add(this.btnFindSchliessen);
            this.Controls.Add(this.btnListing5_40);
            this.Controls.Add(this.btnListing5_36);
            this.Name = "Kap05Find";
            this.Text = "Kapitel 5 Find";
            this.ResumeLayout(false);

		}
		#endregion

		private void btnFindSchliessen_Click(object sender, System.EventArgs e)
		{
			this.Hide();
		}

		#region FindDoLoop
		private void btnListing5_36_Click(object sender, System.EventArgs e)
		{
			if (wdApp.Documents.Count>0)
			{
				SpesenrechnungVervollstaendigen();
			}
		}
		private void SpesenrechnungVervollstaendigen()
		{
			//Sie mssen Bsp05_02_Find.txt ffnen, bevor das Makro ausgefhrt wird.
			wd.Document doc = wdApp.ActiveDocument;
			string suchBegriff = "### ";
			string dateiName = System.IO.Directory.GetCurrentDirectory();
			System.IO.DirectoryInfo di = new System.IO.DirectoryInfo(dateiName);
			object spesenVorlage = (object)
				(di.Parent.Parent.Parent.Parent.FullName + "\\Bsp05_01_Find.dot");
			object objMissing = System.Reflection.Missing.Value;
			int anzEintraege = 0;
			if (doc.Type == wd.WdDocumentType.wdTypeDocument)
			{
				//Die Benutzer-spezifische Vorlage der Spesenrechnung anhngen
				doc.set_AttachedTemplate(ref spesenVorlage);
				//Die mit AutoText zu ersetzenden Eintrge suchen
				anzEintraege = BenutzerInfoEinfuegen(doc, suchBegriff);
			}
			//Den Benutzer auffordern, das Dokument zu speichern
			wd.Dialog dlgSaveAs = wdApp.Dialogs[wd.WdWordDialog.wdDialogFileSaveAs];
			object[] parameters = new object[1];
			parameters[0] = (object) 0;
			  //Speichern unter Dialogfeld voreinstellen fr den Dateityp "Word-Dokument"
			dlgSaveAs.GetType().InvokeMember("Format", 
				System.Reflection.BindingFlags.SetProperty, 
				null, dlgSaveAs, parameters);
			dlgSaveAs.Show(ref objMissing);
			MessageBox.Show(anzEintraege + " AutoText-Eintrge wurden eingefgt.");
		}
			
		private int BenutzerInfoEinfuegen(wd.Document doc, string suchBegriff)
		{    
			int eintraegeZaehler=0;
			bool bFound = false;
			wd.Range suchBereich = doc.Content;
			wd.Range suchErgebnis = suchBereich.Duplicate;
			wd.Template tmplAutoTextBehaelter = (wd.Template) doc.get_AttachedTemplate();
			object objTrue = true;
			object objFalse = false;
			object objMissing = System.Reflection.Missing.Value;
			do 
			{
				object objFindText = (object) suchBegriff;
				object objFindWrap = (object) wd.WdFindWrap.wdFindStop;
				bFound = suchErgebnis.Find.Execute(ref objFindText, ref objFalse, ref objTrue, 
					ref objFalse, ref objFalse, ref objFalse, ref objTrue, ref objFindWrap, 
					ref objFalse, ref objMissing, ref objMissing, ref objFalse, ref objFalse,
					ref objFalse, ref objFalse);
				if (bFound)
				{	//Das Suchergebnis soll nicht im Dokument bleiben
					suchErgebnis.Delete(ref objMissing, ref objMissing);
					//Das Wort nach dem Ergebnis ist die Bezeichnung
					//des AutoText Eintrages
					object objWordUnit = wd.WdUnits.wdWord;
					object objCount1 = 1;
					suchErgebnis.MoveEnd(ref objWordUnit, ref objCount1);
					//Nach dem Einfgen beinhaltet der Bereich den Text des eingefgten AutoText-Eintrages
					//Falls der AutoText-Eintrag nicht vorhanden ist einfach fortzufahren
					try
					{
						object objAutoTextRange = (object) suchErgebnis;
						object objATName = (object) suchErgebnis.Text;
						wd.AutoTextEntry at = tmplAutoTextBehaelter.AutoTextEntries.get_Item(ref objATName);
						suchErgebnis = at.Insert(suchErgebnis, ref objTrue);
					}
					catch {}
					suchErgebnis.End = suchBereich.End;
					eintraegeZaehler += 1;
				}
			} while (bFound);
			return eintraegeZaehler;
		}
	
		#endregion FinddoLoop


		#region Ganzes Dokument durchsuchen
		private void btnListing5_40_Click(object sender, System.EventArgs e)
		{
			if (wdApp.Documents.Count > 0)
			{
				GanzesDokDurchsuchen_CS();
				MessageBox.Show("Fertig!");
			}
		}

		//Alle Vorkommen eines alten Pfadnamens durch den aktuellen ersetzen
		//Hauptschlich ntzlich fr Hyperlink, IncludeText, IncludePicture
		//und Link-Feldfunktionen.
		private void GanzesDokDurchsuchen_CS()
		{
			wd.Document doc = wdApp.ActiveDocument;
			//Fr Pfadnamen auerhalb einer Feldfunktion.
			//string suchBegriff = "\\\\AlterServer\\Dokumente\\Mein Projekt\\";
			//string ersatzBegriff = "\\\\NeuerServer\\Projekte\\Projekt1\\";
			//Fr Pfadnamen innerhalb Feldfunktionen (doppelte Backslashes!).
			string suchBegriff = "C:\\\\Test\\\\";
			string dateiName = System.IO.Directory.GetCurrentDirectory();
			System.IO.DirectoryInfo di = new System.IO.DirectoryInfo(dateiName);
			string ersatzBegriff =@di.Parent.Parent.Parent.Parent.FullName + @"\";
			ersatzBegriff = ersatzBegriff.Replace(@"\", @"\\");
			//@"C:\\WordBuch\\CD-ROM\\Kap05_CS\\";

			foreach (wd.Range sty in doc.StoryRanges)
			{
				AlleInstanzenErsetzen_CS(sty, suchBegriff, ersatzBegriff);
				while (sty.NextStoryRange != null)
				{
					wd.Range styFolgender = sty.NextStoryRange;
					AlleInstanzenErsetzen_CS(styFolgender, suchBegriff, ersatzBegriff);
					styFolgender = null;
				}
			}
		}

	private void AlleInstanzenErsetzen_CS(wd.Range rng, string suchBegriff, string ersatzBegriff)
	{
		rng.TextRetrievalMode.IncludeFieldCodes = true;
		rng.TextRetrievalMode.IncludeHiddenText = true;
		rng.Find.ClearFormatting();
		rng.Find.Replacement.ClearFormatting();
		object objMissing = System.Reflection.Missing.Value;
		object objTrue = (object) true;
		object objFalse = (object) false;
		object objFindText = (object) suchBegriff;
		object objReplaceText = (object) ersatzBegriff;
		object objWrapContinue = wd.WdFindWrap.wdFindContinue;
		object objReplaceAll = wd.WdReplace.wdReplaceAll;
		rng.Find.Execute(ref objFindText, ref objFalse, ref objFalse, ref objFalse, ref objFalse,
			ref objFalse, ref objTrue, ref objWrapContinue, ref objFalse, ref objReplaceText, 
			ref objReplaceAll, ref objFalse, ref objFalse, ref objFalse, ref objFalse);
		rng.Fields.Update();
	}
	#endregion Ganzes Dokument durchsuchen
	
		#region Alle Kopf- und Fuzeilen aktivieren
		
		private void btnListing5_X_Click(object sender, System.EventArgs e)
		{
			if (wdApp.Documents.Count > 0)
			{
				AlleKopfUndFusszeilenFuerInhaltTesten_CS();
			}
		}
		
		private void AlleKopfUndFusszeilenFuerInhaltTesten_CS()
		{
			wd.Document doc = wdApp.ActiveDocument;
			//Durch alle Abschnitte schleifen
			foreach (wd.Section section in doc.Sections)
			{
				//Alle Kopfzeilen des Abschnitts bearbeiten
				foreach (wd.HeaderFooter header in section.Headers)
				{
				if (header.Range.Text.Length<=1)
				{
					//Falls die Kopfzeile leer ist, ein Leerzeichen eingeben
					header.Range.Text = " ";
				}
			}
				//Alle Fuzeilen des Abschnitts bearbeiten
				foreach (wd.HeaderFooter footer in section.Footers)
				{
					if (footer.Range.Text.Length<=1)
					{
						//Falls die Fuzeile leer ist, ein Leerzeichen eingeben
						footer.Range.Text = " ";
					}
				}
		  }
		}

		#endregion Alle Kopf- und Fuzeilen aktivieren


		#region Suchen/Ersetzen in allen AutoFormen in Kopf- und Fusszeilen
		private void btnListing5_42_Click(object sender, System.EventArgs e)
		{
			if (wdApp.Documents.Count > 0)
			{
				EntwurfDurchFinalErsetzen_CS();
			}
		}
		
		private void EntwurfDurchFinalErsetzen_CS()
		{
			wd.Document doc = wdApp.ActiveDocument;
			string suchText = "Entwurfsversion vom [0-9]{1;2}.[0-9]{1;2}.[0-9]{2;4}";
			string ersatzText = "Finalversion vom " + DateTime.Now.ToLongDateString();
			int anzahlVorkommen = 0;

			foreach (wd.Range sty in doc.StoryRanges)
			{
				//handelt es sich um die normale Kopfzeile des ersten Abschnitts
				//werden alle grafischen Objekte mit Text bearbeitet
				if (sty.StoryType == wd.WdStoryType.wdPrimaryHeaderStory)
				{
					wd.WdHeaderFooterIndex hp = wd.WdHeaderFooterIndex.wdHeaderFooterPrimary;
					wd.HeaderFooter header = doc.Sections[1].Headers[hp];
					foreach (wd.Shape shp in header.Shapes)
						if (shp.TextFrame.HasText!=0)
						{
							wd.Range rngShapeTextRange = shp.TextFrame.TextRange;
							if (AlleInstanzenErsetzenMitMustervergleich_CS(
								rngShapeTextRange, suchText, ersatzText) )
							{
								anzahlVorkommen += 1;
							}
							wd.WdDefaultFilePath sup = wd.WdDefaultFilePath.wdStartupPath;
							string startupPfad = wdApp.Options.get_DefaultFilePath(sup);
						}
				}
				//den StoryRange bearbeiten
				if (AlleInstanzenErsetzenMitMustervergleich_CS(sty, suchText, ersatzText))
				{
					anzahlVorkommen += 1;
					//mit allen Unterbereichen
					while (! (sty.NextStoryRange==null))
					{
						wd.Range styFolgender = sty.NextStoryRange;
						if (AlleInstanzenErsetzenMitMustervergleich_CS(sty, suchText, ersatzText))
						{
							anzahlVorkommen += 1;
						}
					}
				}																						   
			}
			MessageBox.Show(String.Format("Der Suchbegriff wurde {0} Male ersetzt.", anzahlVorkommen.ToString()));
		}

		private bool AlleInstanzenErsetzenMitMustervergleich_CS(wd.Range rng,
		string suchBegriff, string ersatzBegriff)
		{
			rng.Find.ClearFormatting();
			rng.Find.Replacement.ClearFormatting();
			object objMissing = System.Reflection.Missing.Value;
			object objTrue = (object) true;
			object objFalse = (object) false;
			object objFindText = (object) suchBegriff;
			object objReplaceText = (object) ersatzBegriff;
			object objWrapContinue = wd.WdFindWrap.wdFindContinue;
			object objReplaceAll = wd.WdReplace.wdReplaceAll;
			rng.Find.Execute(ref objFindText, ref objFalse, ref objFalse, ref objTrue, ref objFalse,
				ref objFalse, ref objTrue, ref objWrapContinue, ref objFalse, ref objReplaceText, 
				ref objReplaceAll, ref objFalse, ref objFalse, ref objFalse, ref objFalse);
			return rng.Find.Found;
		}
		#endregion Suchen/Ersetzen in allen AutoFormen in Kopf- und Fusszeilen
	}
}
