using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Reflection;
//zustzliche Deklarationen am Projektanfang
using wd = Microsoft.Office.Interop.Word;
using wdMarschal = System.Runtime.InteropServices.Marshal;

namespace Kap05_CS
{
	/// <summary>
	/// Zusammenfassung fr Kap05_CSTemplate.
	/// </summary>
	public class Kap05Template : System.Windows.Forms.Form
	{
		private wd.Application wdApp;

		public Kap05Template(wd.Application WdApp)
		{
			//
			// Erforderlich fr die Windows Form-Designeruntersttzung
			//
			InitializeComponent();

			//
			// TODO: Fgen Sie den Konstruktorcode nach dem Aufruf von InitializeComponent hinzu
			//
			wdApp = WdApp;
        }

        #region Formularverwaltung
        /// <summary>
		/// Erforderliche Designervariable.
		/// </summary>
		private System.ComponentModel.Container components = null;
		private System.Windows.Forms.Button btnTemplateSchliessen;
		private System.Windows.Forms.Button btnListing5_20;
		private System.Windows.Forms.Button Listing5_22;
		private System.Windows.Forms.Button Listing5_24;



		/// <summary>
		/// Die verwendeten Ressourcen bereinigen.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
        }
        #endregion Formularverwaltung

        #region Vom Windows Form-Designer generierter Code
        /// <summary>
		/// Erforderliche Methode fr die Designeruntersttzung. 
		/// Der Inhalt der Methode darf nicht mit dem Code-Editor gendert werden.
		/// </summary>
		private void InitializeComponent()
		{
            this.btnTemplateSchliessen = new System.Windows.Forms.Button();
            this.btnListing5_20 = new System.Windows.Forms.Button();
            this.Listing5_22 = new System.Windows.Forms.Button();
            this.Listing5_24 = new System.Windows.Forms.Button();
            this.SuspendLayout();
            // 
            // btnTemplateSchliessen
            // 
            this.btnTemplateSchliessen.Location = new System.Drawing.Point(256, 24);
            this.btnTemplateSchliessen.Name = "btnTemplateSchliessen";
            this.btnTemplateSchliessen.Size = new System.Drawing.Size(75, 23);
            this.btnTemplateSchliessen.TabIndex = 3;
            this.btnTemplateSchliessen.Text = "Schlieen";
            this.btnTemplateSchliessen.Click += new System.EventHandler(this.btnTemplateSchliessen_Click);
            // 
            // btnListing5_20
            // 
            this.btnListing5_20.Location = new System.Drawing.Point(16, 24);
            this.btnListing5_20.Name = "btnListing5_20";
            this.btnListing5_20.Size = new System.Drawing.Size(224, 32);
            this.btnListing5_20.TabIndex = 4;
            this.btnListing5_20.Text = "Listing 5.20 Speicheraufforderung unterbinden";
            this.btnListing5_20.Click += new System.EventHandler(this.btnListing5_20_Click);
            // 
            // Listing5_22
            // 
            this.Listing5_22.Location = new System.Drawing.Point(16, 72);
            this.Listing5_22.Name = "Listing5_22";
            this.Listing5_22.Size = new System.Drawing.Size(224, 23);
            this.Listing5_22.TabIndex = 5;
            this.Listing5_22.Text = "Listing 5.22 Vorlage als Addin laden";
            this.Listing5_22.Click += new System.EventHandler(this.Listing5_22_Click);
            // 
            // Listing5_24
            // 
            this.Listing5_24.Location = new System.Drawing.Point(16, 112);
            this.Listing5_24.Name = "Listing5_24";
            this.Listing5_24.Size = new System.Drawing.Size(224, 23);
            this.Listing5_24.TabIndex = 6;
            this.Listing5_24.Text = "Listing 5.24 Vorlage als Dokument ffnen";
            this.Listing5_24.Click += new System.EventHandler(this.Listing5_24_Click);
            // 
            // Kap05Template
            // 
            this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
            this.ClientSize = new System.Drawing.Size(344, 174);
            this.Controls.Add(this.Listing5_24);
            this.Controls.Add(this.Listing5_22);
            this.Controls.Add(this.btnListing5_20);
            this.Controls.Add(this.btnTemplateSchliessen);
            this.Name = "Kap05Template";
            this.Text = "Kapitel 5 Template";
            this.ResumeLayout(false);

		}
		#endregion


		private void btnTemplateSchliessen_Click(object sender, System.EventArgs e)
		{
			this.Hide();
		}

		#region Template Beispiele
		private void btnListing5_20_Click(object sender, System.EventArgs e)
		{
            wdApp.NormalTemplate.Saved = true;
		}

		private void Listing5_22_Click(object sender, System.EventArgs e)
		{
			object objTrue = (object) true;
			string dateiName = System.IO.Directory.GetCurrentDirectory();
			System.IO.DirectoryInfo di = new System.IO.DirectoryInfo(dateiName);
			string pfad = (di.Parent.Parent.Parent.Parent.FullName + "\\Bsp05_02_Template.dot");
			string addinName = pfad;
			string makroName = "MakroInAddin";
			bool addinGeladen = false;
			foreach (wd.Template tmpl in wdApp.Templates)
			{
				if (tmpl.Name == addinName)
				{
					addinGeladen = true;
					RunWordMakro(makroName);
				}
			}
			if (! addinGeladen)
			{
				//Die Vorlage als Addin laden
				wd.AddIn adin = wdApp.AddIns.Add(addinName, ref objTrue);
				RunWordMakro(makroName);
				//Und wieder aus dem Speicher entfernen
				adin.Delete();
			}
		}

		private void RunWordMakro(string makroName)
		{
			object objMissing = System.Reflection.Missing.Value;
			wdApp.Run(makroName, ref objMissing,  ref objMissing, ref objMissing,
				ref objMissing, ref objMissing, ref objMissing, ref objMissing,
				ref objMissing, ref objMissing, ref objMissing, ref objMissing,
				ref objMissing, ref objMissing, ref objMissing, ref objMissing,
				ref objMissing, ref objMissing, ref objMissing, ref objMissing,
				ref objMissing, ref objMissing, ref objMissing, ref objMissing,
				ref objMissing, ref objMissing, ref objMissing, ref objMissing,
				ref objMissing, ref objMissing, ref objMissing);
		}

		private void Listing5_24_Click(object sender, System.EventArgs e)
		{
			wd.Document doc = wdApp.NormalTemplate.OpenAsDocument();
			doc.ActiveWindow.Visible = false;
			object objNoSaveChanges = (object) wd.WdSaveOptions.wdDoNotSaveChanges;
			object objMissing = System.Reflection.Missing.Value;
			doc.Close(ref objNoSaveChanges, ref objMissing, ref objMissing);
		}
		#endregion Template Beispiele

	}
}
