using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using wd = Microsoft.Office.Interop.Word;

namespace Kap07_CS
{
	/// <summary>
	/// Zusammenfassung fr Form1.
	/// </summary>
	public class Kap07Forms : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Button btnSchliessen;
		/// <summary>
		/// Erforderliche Designervariable.
		/// </summary>
		private System.ComponentModel.Container components = null;
		private System.Windows.Forms.Button Listing7_19;
		private System.Windows.Forms.Button Listing7_19_2;
		private System.Windows.Forms.Button Listing7_21;
		private System.Windows.Forms.Button Listing7_21_2;

		private wd.Application wdApp;

		public Kap07Forms(wd.Application WdApp)
		{
			//
			// Erforderlich fr die Windows Form-Designeruntersttzung
			//
			InitializeComponent();
			wdApp = WdApp;
		}

		/// <summary>
		/// Die verwendeten Ressourcen bereinigen.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Vom Windows Form-Designer generierter Code
		/// <summary>
		/// Erforderliche Methode fr die Designeruntersttzung. 
		/// Der Inhalt der Methode darf nicht mit dem Code-Editor gendert werden.
		/// </summary>
		private void InitializeComponent()
		{
            this.Listing7_19 = new System.Windows.Forms.Button();
            this.btnSchliessen = new System.Windows.Forms.Button();
            this.Listing7_21 = new System.Windows.Forms.Button();
            this.Listing7_19_2 = new System.Windows.Forms.Button();
            this.Listing7_21_2 = new System.Windows.Forms.Button();
            this.SuspendLayout();
            // 
            // Listing7_19
            // 
            this.Listing7_19.Location = new System.Drawing.Point(24, 16);
            this.Listing7_19.Name = "Listing7_19";
            this.Listing7_19.Size = new System.Drawing.Size(240, 23);
            this.Listing7_19.TabIndex = 0;
            this.Listing7_19.Text = "Listing 7.19: Ist Kontrollkstchen (1)";
            this.Listing7_19.Click += new System.EventHandler(this.Listing7_19_1_Click);
            // 
            // btnSchliessen
            // 
            this.btnSchliessen.Location = new System.Drawing.Point(104, 168);
            this.btnSchliessen.Name = "btnSchliessen";
            this.btnSchliessen.Size = new System.Drawing.Size(75, 23);
            this.btnSchliessen.TabIndex = 1;
            this.btnSchliessen.Text = "Schlieen";
            this.btnSchliessen.Click += new System.EventHandler(this.btnSchliessen_Click);
            // 
            // Listing7_21
            // 
            this.Listing7_21.Location = new System.Drawing.Point(26, 104);
            this.Listing7_21.Name = "Listing7_21";
            this.Listing7_21.Size = new System.Drawing.Size(240, 23);
            this.Listing7_21.TabIndex = 2;
            this.Listing7_21.Text = "Listing 7.21: Markierung fett formatieren (1)";
            this.Listing7_21.Click += new System.EventHandler(this.Listing7_21_1_Click);
            // 
            // Listing7_19_2
            // 
            this.Listing7_19_2.Location = new System.Drawing.Point(26, 48);
            this.Listing7_19_2.Name = "Listing7_19_2";
            this.Listing7_19_2.Size = new System.Drawing.Size(240, 23);
            this.Listing7_19_2.TabIndex = 3;
            this.Listing7_19_2.Text = "Listing 7.19: Ist Kontrollkstchen (2)";
            this.Listing7_19_2.Click += new System.EventHandler(this.Listing7_19_2_Click);
            // 
            // Listing7_21_2
            // 
            this.Listing7_21_2.Location = new System.Drawing.Point(24, 136);
            this.Listing7_21_2.Name = "Listing7_21_2";
            this.Listing7_21_2.Size = new System.Drawing.Size(240, 23);
            this.Listing7_21_2.TabIndex = 4;
            this.Listing7_21_2.Text = "Listing 7.21: Markierung fett formatieren (2)";
            this.Listing7_21_2.Click += new System.EventHandler(this.Listing7_21_2_Click);
            // 
            // Kap07Forms
            // 
            this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
            this.ClientSize = new System.Drawing.Size(292, 206);
            this.Controls.Add(this.Listing7_21_2);
            this.Controls.Add(this.Listing7_19_2);
            this.Controls.Add(this.Listing7_21);
            this.Controls.Add(this.btnSchliessen);
            this.Controls.Add(this.Listing7_19);
            this.Name = "Kap07Forms";
            this.Text = "Formular Beispiele";
            this.ResumeLayout(false);

		}
		#endregion
			
		private object objMissing = (object) System.Reflection.Missing.Value;
		private object objFalse = (object) false;
		private object objTrue = (object) true;

		private void Listing7_19_1_Click(object sender, System.EventArgs e)
		{
			System.IO.DirectoryInfo di;
			string dateiName = System.IO.Directory.GetCurrentDirectory();
			di = new System.IO.DirectoryInfo(dateiName);
			object objFileName = (object) (di.Parent.Parent.Parent.FullName + "\\Bsp07_01_Form.docm");
			wd.Document doc = wdApp.Documents.Open(ref objFileName, ref objMissing, 
				ref objMissing, ref objMissing, ref objMissing, ref objMissing, ref objMissing, ref objMissing, ref objMissing,
				ref objMissing, ref objMissing, ref objMissing, ref objMissing, ref objMissing, ref objMissing, ref objMissing);
			MessageBox.Show("Ein Formularfeld markieren, dann die Schaltflche (2) anklicken, um weiterzufahren.");
		}
		private void Listing7_19_2_Click(object sender, System.EventArgs e)
		{
			wd.Range rng = wdApp.Selection.Range;
			MessageBox.Show(IstKontrollkstchen(rng).ToString());		
		}
		private bool IstKontrollkstchen(wd.Range rng)
		{
			bool test = false;
			//Prfen, ob eine Textmarke vorhanden ist.
			if(rng.Bookmarks.Count >= 1)
			{
				//Wenn ja, enthlt sie ein Formularfeld?
				object objIndex1 = (object) 1;
				if (rng.Bookmarks.get_Item(ref objIndex1).Range.FormFields.Count == 1)
				{
					//Denn ist der Textmarkenname der Feldname
					string feldName = rng.Bookmarks.get_Item(ref objIndex1).Name;
					object objFeldName = (object) feldName;
					wd.FormField ffld = rng.Document.FormFields.get_Item(ref objFeldName);
					if (ffld.CheckBox.Valid)
					{test = true;}
				}
			}
			return test;
		}

		private void Listing7_21_1_Click(object sender, System.EventArgs e)
		{
			System.IO.DirectoryInfo di;
			string dateiName = System.IO.Directory.GetCurrentDirectory();
			di = new System.IO.DirectoryInfo(dateiName);
			object objFileName = (object) (di.Parent.Parent.Parent.Parent.FullName + "\\Bsp07_01_Form.docm");
			wd.Document doc = wdApp.Documents.Open(ref objFileName, ref objMissing, 
				ref objMissing, ref objMissing, ref objMissing, ref objMissing, ref objMissing, ref objMissing, ref objMissing,
				ref objMissing, ref objMissing, ref objMissing, ref objMissing, ref objMissing, ref objMissing, ref objMissing);
			MessageBox.Show("Text in ein Formularfeld eingeben, einige Zeichen markieren, dann die Schaltflche (2) anklicken, um weiterzufahren.");
		}

		private void Listing7_21_2_Click(object sender, System.EventArgs e)
		{
			wd.Range rng = wdApp.Selection.Range;
			FettFormatieren(rng);		
		}

		private void FettFormatieren(wd.Range rng)
		{
			wd.Document doc = (wd.Document) rng.Parent;
			object objKennwort = "";
			if (doc.ProtectionType != wd.WdProtectionType.wdNoProtection)
			{  doc.Unprotect(ref objKennwort); }
			rng.Font.Bold = -1;
			doc.Protect(wd.WdProtectionType.wdAllowOnlyFormFields, ref objTrue, 
				ref objKennwort, ref objFalse, ref objFalse);
			//Aktivierung des Dokumentschutzes markiert das ganze Formularfeld.
			//Am Schluss die ursprngliche Markierung wieder herstellen.
			rng.Select();
		}
		
		private void btnSchliessen_Click(object sender, System.EventArgs e)
		{
			this.Hide();
		}

	}
}
