using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Reflection;
//zustzliche Deklarationen am Projektanfang
using wd = Microsoft.Office.Interop.Word;
using wdMarschal = System.Runtime.InteropServices.Marshal;

namespace Kap07_CS
{
	/// <summary>
	/// Zusammenfassung fr Kap6Main.
	/// </summary>
	public class Kap07Main : System.Windows.Forms.Form
	{
        private System.Windows.Forms.Button btnMainSchliessen;
		private System.Windows.Forms.Button btnMainTable;
		private System.Windows.Forms.Button btnMainBookmarkObject;
		private System.Windows.Forms.Button btnMainMailMerge;
        private System.Windows.Forms.Button btnFieldMain;
        private System.Windows.Forms.Button btnFormsMain;
		/// <summary>
		/// Erforderliche Designervariable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Kap07Main()
		{
			//
			// Erforderlich fr die Windows Form-Designeruntersttzung
			//
			InitializeComponent();
		}

		/// <summary>
		/// Die verwendeten Ressourcen bereinigen.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}
		/// <summary>
		/// Der Haupteinstiegspunkt fr die Anwendung.
		/// </summary>
		/// 

		//wird im Load Ereignis zugewiesen
		private wd.Application wdApp; 

		[STAThread]
		static void Main() 
		{
			Application.Run(new Kap07Main());
		}

		#region Vom Windows Form-Designer generierter Code
		/// <summary>
		/// Erforderliche Methode fr die Designeruntersttzung. 
		/// Der Inhalt der Methode darf nicht mit dem Code-Editor gendert werden.
		/// </summary>
		private void InitializeComponent()
		{
            this.btnMainSchliessen = new System.Windows.Forms.Button();
            this.btnMainTable = new System.Windows.Forms.Button();
            this.btnMainBookmarkObject = new System.Windows.Forms.Button();
            this.btnMainMailMerge = new System.Windows.Forms.Button();
            this.btnFieldMain = new System.Windows.Forms.Button();
            this.btnFormsMain = new System.Windows.Forms.Button();
            this.SuspendLayout();
            // 
            // btnMainSchliessen
            // 
            this.btnMainSchliessen.Location = new System.Drawing.Point(214, 16);
            this.btnMainSchliessen.Name = "btnMainSchliessen";
            this.btnMainSchliessen.Size = new System.Drawing.Size(96, 23);
            this.btnMainSchliessen.TabIndex = 3;
            this.btnMainSchliessen.Text = "Schlieen";
            this.btnMainSchliessen.Click += new System.EventHandler(this.btnMainSchliessen_Click);
            // 
            // btnMainTable
            // 
            this.btnMainTable.Location = new System.Drawing.Point(12, 45);
            this.btnMainTable.Name = "btnMainTable";
            this.btnMainTable.Size = new System.Drawing.Size(152, 23);
            this.btnMainTable.TabIndex = 7;
            this.btnMainTable.Text = "Tabellen Bespiele";
            this.btnMainTable.Click += new System.EventHandler(this.btnMainTable_Click);
            // 
            // btnMainBookmarkObject
            // 
            this.btnMainBookmarkObject.Location = new System.Drawing.Point(12, 16);
            this.btnMainBookmarkObject.Name = "btnMainBookmarkObject";
            this.btnMainBookmarkObject.Size = new System.Drawing.Size(152, 23);
            this.btnMainBookmarkObject.TabIndex = 8;
            this.btnMainBookmarkObject.Text = "Bookmark Beispiele";
            this.btnMainBookmarkObject.Click += new System.EventHandler(this.btnMainBookmark_Click);
            // 
            // btnMainMailMerge
            // 
            this.btnMainMailMerge.Location = new System.Drawing.Point(12, 132);
            this.btnMainMailMerge.Name = "btnMainMailMerge";
            this.btnMainMailMerge.Size = new System.Drawing.Size(152, 23);
            this.btnMainMailMerge.TabIndex = 9;
            this.btnMainMailMerge.Text = "Seriendruck Bespiele";
            this.btnMainMailMerge.Click += new System.EventHandler(this.btnMainMailMerge_Click);
            // 
            // btnFieldMain
            // 
            this.btnFieldMain.Location = new System.Drawing.Point(12, 74);
            this.btnFieldMain.Name = "btnFieldMain";
            this.btnFieldMain.Size = new System.Drawing.Size(152, 23);
            this.btnFieldMain.TabIndex = 10;
            this.btnFieldMain.Text = "Feldfunktion Beispiele";
            this.btnFieldMain.Click += new System.EventHandler(this.btnFieldMain_Click);
            // 
            // btnFormsMain
            // 
            this.btnFormsMain.Location = new System.Drawing.Point(12, 103);
            this.btnFormsMain.Name = "btnFormsMain";
            this.btnFormsMain.Size = new System.Drawing.Size(152, 23);
            this.btnFormsMain.TabIndex = 13;
            this.btnFormsMain.Text = "Formular Beispiele";
            this.btnFormsMain.Click += new System.EventHandler(this.btnFormsMain_Click);
            // 
            // Kap07Main
            // 
            this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
            this.ClientSize = new System.Drawing.Size(351, 175);
            this.Controls.Add(this.btnFormsMain);
            this.Controls.Add(this.btnFieldMain);
            this.Controls.Add(this.btnMainMailMerge);
            this.Controls.Add(this.btnMainBookmarkObject);
            this.Controls.Add(this.btnMainTable);
            this.Controls.Add(this.btnMainSchliessen);
            this.Name = "Kap07Main";
            this.Text = "Kapitel 7 Hauptformular";
            this.Load += new System.EventHandler(this.Kap6Main_Load);
            this.ResumeLayout(false);

		}
		#endregion

		#region Formularschaltflchen

		private void btnMainSchliessen_Click(object sender, System.EventArgs e)
		{	
			try
			{
				wdApp = null;
			}
			catch
			{
			}
			finally
			{
				GC.Collect();
				GC.WaitForPendingFinalizers();
				GC.Collect();
				GC.WaitForPendingFinalizers();
				Application.Exit();
			}
		}

        private void btnMainBookmark_Click(object sender, System.EventArgs e)
        {
            System.Windows.Forms.Form frmApp = new Kap07_CS.Kap07Bookmark(wdApp);
            DisplaySubForm(frmApp);
            frmApp = null;
        }

		private void btnMainTable_Click(object sender, System.EventArgs e)
		{
			System.Windows.Forms.Form frmApp = new Kap07_CS.Kap07Table(wdApp);
			DisplaySubForm(frmApp);
			frmApp = null;				
		}

		private void btnFieldMain_Click(object sender, System.EventArgs e)
		{
            System.Windows.Forms.Form frmApp = new Kap07_CS.Kap07Field(wdApp);
			DisplaySubForm(frmApp);
			frmApp = null;						
		}

		private void btnMainMailMerge_Click(object sender, System.EventArgs e)
		{
            System.Windows.Forms.Form frmApp = new Kap07_CS.Kap07Merge(wdApp);
			DisplaySubForm(frmApp);
			frmApp = null;						
		}

        private void btnFormsMain_Click(object sender, System.EventArgs e)
		{
            System.Windows.Forms.Form frmApp = new Kap07_CS.Kap07Forms(wdApp);
			DisplaySubForm(frmApp);
			frmApp = null;			
		}
		
		private void DisplaySubForm(System.Windows.Forms.Form frmApp)
		{
			try
			{
				//If wdApp has been closed, will cause an error
				string info = wdApp.Caption;
				frmApp.Show();
			}

			catch (System.Runtime.InteropServices.COMException ex)
			{
				DialogResult auswahl;
				auswahl = MessageBox.Show("Word luft nicht mehr. Mchten Sie es erneut starten?","",MessageBoxButtons.YesNo);
				if (auswahl== DialogResult.Yes)
				{
					WordRestart();
				}
			}
			catch (System.Exception ex)
			{
				MessageBox.Show(String.Format("{0}\n{1}\n{2}", ex.Message, ex.InnerException, ex.Source));
			}	
		}

		#endregion Formularschaltflchen

		#region Formularverwaltung
		private void Kap6Main_Load(object sender, System.EventArgs e)
		{
			if (! StartWord()) 
			{MessageBox.Show("Word wurde nicht aufgestartet."); }
			else
			{
				wdApp.Caption = "Microsoft Word - Dev Handbuch";
				wdApp.Visible = true;
				wdApp.Activate();
			}		
		}


		private void WordRestart()
		{
			wdApp = null;
			if (! StartWord()) 
			{MessageBox.Show("Word konnte nicht aufgestartet werden."); }
			else
			{
				wdApp.Caption = "Microsoft Word - Dev Handbuch";
				wdApp.Visible = true;
				wdApp.Activate();
			}		
		}
		//Wird beim Load-Ereignis aufgerufen
		private bool StartWord ()
		{
			bool aufgestartet = false;
			try
			{
				wdApp = new wd.Application();
				aufgestartet = true;
			}
			catch (System.Exception ex)
			{
				MessageBox.Show(ex.Message);
				aufgestartet = false;
			}
			finally
			{
				MessageBox.Show("Die Beispiel-Anwendung ist geladen.");
			}
			return aufgestartet;
		}

		#endregion Formularereignisse


	}
}
