using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
//zustzliche Deklarationen am Projektanfang
using wd = Microsoft.Office.Interop.Word;
using xl = Microsoft.Office.Interop.Excel;
using grph = Microsoft.Office.Interop.Graph;
using wdMarshal = System.Runtime.InteropServices.Marshal;

namespace Kap12
{
	/// <summary>
	/// Zusammenfassung fr Form11.
	/// </summary>
	public class Form12 : System.Windows.Forms.Form
    {
        object missing = System.Type.Missing;
        object oTrue = true;
        #region "Formular-Code"
        private System.Windows.Forms.Button Schliessen;
		private System.Windows.Forms.Button Listing12_4;
		private System.Windows.Forms.Button Listing12_9;
		private System.Windows.Forms.Button Listing12_11;
		/// <summary>
		/// Erforderliche Designervariable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Form12()
		{
			//
			// Erforderlich fr die Windows Form-Designeruntersttzung
			//
			InitializeComponent();

			//
			// TODO: Fgen Sie den Konstruktorcode nach dem Aufruf von InitializeComponent hinzu
			//
		}

		/// <summary>
		/// Die verwendeten Ressourcen bereinigen.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
        }
        #endregion //Formular-Code
        #region Vom Windows Form-Designer generierter Code
        /// <summary>
		/// Erforderliche Methode fr die Designeruntersttzung. 
		/// Der Inhalt der Methode darf nicht mit dem Code-Editor gendert werden.
		/// </summary>
		private void InitializeComponent()
		{
            this.Schliessen = new System.Windows.Forms.Button();
            this.Listing12_4 = new System.Windows.Forms.Button();
            this.Listing12_9 = new System.Windows.Forms.Button();
            this.Listing12_11 = new System.Windows.Forms.Button();
            this.SuspendLayout();
            // 
            // Schliessen
            // 
            this.Schliessen.Location = new System.Drawing.Point(272, 24);
            this.Schliessen.Name = "Schliessen";
            this.Schliessen.Size = new System.Drawing.Size(128, 32);
            this.Schliessen.TabIndex = 1;
            this.Schliessen.Text = "Schlieen";
            this.Schliessen.Click += new System.EventHandler(this.Schliessen_Click);
            // 
            // Listing12_4
            // 
            this.Listing12_4.Location = new System.Drawing.Point(16, 24);
            this.Listing12_4.Name = "Listing12_4";
            this.Listing12_4.Size = new System.Drawing.Size(216, 32);
            this.Listing12_4.TabIndex = 2;
            this.Listing12_4.Text = "Listing 12.4 Excel-Tabellenobjekt erstellen";
            this.Listing12_4.Click += new System.EventHandler(this.Listing12_4_Click);
            // 
            // Listing12_9
            // 
            this.Listing12_9.Location = new System.Drawing.Point(16, 72);
            this.Listing12_9.Name = "Listing12_9";
            this.Listing12_9.Size = new System.Drawing.Size(216, 32);
            this.Listing12_9.TabIndex = 3;
            this.Listing12_9.Text = "Listing 12.9 MSGraph-Diagramm erstellen";
            this.Listing12_9.Click += new System.EventHandler(this.Listing12_9_Click);
            // 
            // Listing12_11
            // 
            this.Listing12_11.Location = new System.Drawing.Point(16, 120);
            this.Listing12_11.Name = "Listing12_11";
            this.Listing12_11.Size = new System.Drawing.Size(216, 32);
            this.Listing12_11.TabIndex = 4;
            this.Listing12_11.Text = "Listing 12.11 WordArt";
            this.Listing12_11.Click += new System.EventHandler(this.Listing12_11_Click);
            // 
            // Form12
            // 
            this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
            this.ClientSize = new System.Drawing.Size(408, 166);
            this.Controls.Add(this.Listing12_11);
            this.Controls.Add(this.Listing12_9);
            this.Controls.Add(this.Listing12_4);
            this.Controls.Add(this.Schliessen);
            this.Name = "Form12";
            this.Text = "Kapitel 12 Code Beispiele";
            this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// Der Haupteinstiegspunkt fr die Anwendung.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form12());
		}

        private wd.Application GetWordApp()
        {
            wd.Application wdApp = null;
			//Feststellen, ob die Word-Anwendung schon luft.
            System.Diagnostics.Process[] wdPcs = System.Diagnostics.Process.GetProcessesByName("WinWord");
            //Wenn ja, die Instanz ansprechen...
            if (wdPcs.Length > 0)
            {
                System.Diagnostics.Process pcs = wdPcs[0];
                wdApp = (wd.Application)wdMarshal.GetActiveObject("Word.Application");
            }
            else
            //Sonst eine Instanz starten.
            {
                wdApp = new wd.Application();
            }
            if (wdApp.Documents.Count < 1)
            {
                wdApp.Documents.Add(ref missing, ref missing, ref missing, ref oTrue);
            }
            return wdApp;
        }
	
		#region Listing12_4 (Excel)
		private void Listing12_4_Click(object sender, System.EventArgs e)
		{
			ExcelTabellenObjektErstellen_CS();
		}
		private void ExcelTabellenObjektErstellen_CS()
		{	
			try
			{
				object objMissing = System.Reflection.Missing.Value;
                string arbeitsmappenPfad = @"C:\WordBuch\Beispiele\Kap12\Bsp12_01.xls";
				//Die Arbeitsmappe zuerst erstellen und speichern
				xl.Application xlApp = new xl.Application();
				//Aktivieren beim Testen, fr den Fall, dass etwas schief geht.
				//xlApp.Visible = true;
				xlApp.DisplayAlerts = false;
				xl.Workbook xlMappe = xlApp.Workbooks.Add(Type.Missing);
				xl.Worksheet xlBlatt = (xl.Worksheet) xlMappe.Sheets[1];
				xlBlatt.Name = "Testdaten";
				//Die Spalten mit Zahlen ausrichten.
				xlBlatt.get_Range("C1", Type.Missing).EntireColumn.HorizontalAlignment = 
					xl.XlHAlign.xlHAlignCenter;
				xlBlatt.get_Range("D1", Type.Missing).EntireColumn.HorizontalAlignment = 
					xl.XlHAlign.xlHAlignRight;
				xlBlatt.get_Range("E1", Type.Missing).EntireColumn.HorizontalAlignment = 
					xl.XlHAlign.xlHAlignRight;
				//Die Zahlenformatierung festlegen.
				xlBlatt.get_Range("D1", Type.Missing).EntireColumn.NumberFormat = "#,##0.00";
				xlBlatt.get_Range("E1", Type.Missing).EntireColumn.NumberFormat = "#,##0.00 ";
				//Die Spaltenberschriften eingeben...
				xlBlatt.get_Range("A1", Type.Missing).Value2 = "Artikel-Nr";
				xlBlatt.get_Range("B1", Type.Missing).Value2 = "Beschreibung";
				xlBlatt.get_Range("C1", Type.Missing).Value2 = "Anz";
				xlBlatt.get_Range("D1", Type.Missing).Value2 = "Preis";
				xlBlatt.get_Range("E1", Type.Missing).Value2 = "Total";
				//...und formatieren.
				xlBlatt.UsedRange.Font.Bold = true;
				//Um sicher zu gehen, dass die zweite Zeile sichtbar ist
				//mssen Daten darin stehen.
				xlBlatt.get_Range("A2", Type.Missing).Value2 ="Start";
				xlBlatt.get_Range("A2", Type.Missing).Select();
				//berflssige Arbeitsbltter entfernen.
				for (int zaehler = xlMappe.Sheets.Count; zaehler > 1; zaehler --)
				{
					xl.Worksheet xlVorigesBlatt = (xl.Worksheet) xlMappe.Worksheets[zaehler];
					xlVorigesBlatt.Delete();
					xlVorigesBlatt = null;
				}
				//Die Mappe speichern, schlieen, und Excel beenden.
				xlMappe.Close(true, arbeitsmappenPfad, Type.Missing);
				xlApp.Quit();
				xlBlatt = null;
				xlMappe = null;
				wdMarshal.ReleaseComObject(xlApp);
				xlApp = null;
  
                wd.Application wdApp = this.GetWordApp();

                //In Word das Tabellen-Objekt einfgen und aktivieren.
				wd.Range rng = wdApp.ActiveDocument.Content;
				rng.InsertAfter("\n");
				object objCollapseEnd = wd.WdCollapseDirection.wdCollapseEnd;
				rng.Collapse(ref objCollapseEnd);
				object fileName = arbeitsmappenPfad;
				object objFalse = false;
				object objRng = (object) rng;
				wd.InlineShape ils = rng.InlineShapes.AddOLEObject(ref objMissing, ref fileName, 
					ref objFalse, ref objMissing, ref objMissing, ref objMissing, 
					ref objMissing, ref objRng);
				object oleVerbPrimary = wd.WdOLEVerb.wdOLEVerbPrimary;
				rng = null;
				ils.OLEFormat.DoVerb(ref oleVerbPrimary);
				//Das Word-Fenster zuvorderst bringen.
                wdApp.Visible = true;
				wdApp.Activate();
				wdMarshal.ReleaseComObject(wdApp);
				wdApp = null;
			}
			catch (System.Exception ex)
			{
				MessageBox.Show("Fehlermeldung: " + ex.Message + " in " + ex.Source);
			}
		}
		#endregion Listing12_4 (Excel)

		#region Listing12_9 (MS Graph / Diagramme)

		private void Listing12_9_Click(object sender, System.EventArgs e)
		{
			DiagrammEinfuegen_CS();
		}
		
		private void DiagrammEinfuegen_CS()
		{
			try
			{
				wd.Application wdApp = this.GetWordApp();
                if (wdApp != null)
                {
                    wdApp.Visible = true;
                    object docName = @"C:\Beispiele\Kap12\Bsp12_03.docm";
                    wd.Document doc = wdApp.Documents.Open(ref docName, ref missing, ref missing,
                        ref missing, ref missing, ref missing, ref missing, ref missing,
                        ref missing, ref missing, ref missing, ref missing, ref missing,
                        ref missing, ref missing, ref missing);
                    wd.Table tbl = doc.Tables[1];
                    wd.Range rng = tbl.Range;
                    //Diagramm unter der Tabelle einfgen.
                    object objCollapseEnd = wd.WdCollapseDirection.wdCollapseEnd;
                    rng.Collapse(ref objCollapseEnd);
                    rng.InsertAfter("\n");
                    rng.Collapse(ref objCollapseEnd);

                    //Das Diagramm im Dokument erstellen...
                    object objClass = "MSGraph.Chart.8";
                    object objMissing = System.Reflection.Missing.Value;
                    object objFalse = false;
                    object objRange = (object)rng;
                    wd.OLEFormat oleF = doc.InlineShapes.AddOLEObject(ref objClass, ref objMissing, ref objFalse,
                        ref objMissing, ref objMissing, ref objMissing, ref objMissing, ref objRange).OLEFormat;
                    //...und aktivieren.
                    oleF.DoVerb(ref objMissing);

                    //Die Arbeitsmappe, Datenblatt, sowie Diagrammblatt Objektvariablen zuweisen.
                    grph.Chart grphDiagramm = (grph.Chart)oleF.Object;
                    grph.Application grphApp = grphDiagramm.Application;
                    grph.DataSheet grphDatenblatt = grphApp.DataSheet;
                    //Die vorhandenen Daten lschen.
                    grphDatenblatt.Cells.Clear();
                    //Die Spaltenberschriften auf Basis der Word-Tabelle erstellen.
                    int spaltenZaehler = 0;
                    foreach (wd.Cell cel in tbl.Rows[1].Cells)
                    {
                        spaltenZaehler++;
                        grph.Range rngZelle = (grph.Range)grphDatenblatt.Cells[1, spaltenZaehler];
                        rngZelle.set_Value(objMissing, TrimZelle(cel.Range.Text));
                    }
                    //Die Daten, ab der 2. Tabellenblattzeile, einfgen.
                    for (int zaehler = 2; zaehler <= tbl.Rows.Count; zaehler++)
                    {
                        for (spaltenZaehler = 1; spaltenZaehler <= tbl.Columns.Count; spaltenZaehler++)
                        {
                            grph.Range rngZelle = (grph.Range)grphDatenblatt.Cells[zaehler, spaltenZaehler];
                            rngZelle.set_Value(objMissing, TrimZelle(tbl.Rows[zaehler].Cells[spaltenZaehler].Range.Text));
                        }
                    }

                    //Das Diagramm formatieren
                    DiagrammFormatieren(grphDiagramm, grphDatenblatt);

                    //Aufrumungsarbeiten
                    grphApp.Quit();
                    grphDatenblatt = null;
                    grphApp = null;
                    grphDiagramm = null;
                    wdMarshal.ReleaseComObject(wdApp);
                    wdApp = null;
                }
                else
                {
                    MessageBox.Show("Die Word-Anwendung konnte nicht gestartet werden.");
                }
			}
			catch (System.Exception ex)
			{
				MessageBox.Show("Fehlermeldung: " + ex.Message + " in " + ex.Source);
			}
		}

		private void DiagrammFormatieren(grph.Chart grphDiagramm, grph.DataSheet grphDatenblatt)
		{
			grphDiagramm.Application.PlotBy = grph.XlRowCol.xlRows;
			grphDiagramm.ChartType = grph.XlChartType.xlLine;
			grphDiagramm.Width = 450;
			//Orangen sind orange.
			grph.Series datenSerie = (grph.Series) grphDiagramm.SeriesCollection(1);
			DatenserieFormatieren(datenSerie, 
				grph.XlMarkerStyle.xlMarkerStyleCircle, 5, System.Drawing.Color.MediumPurple); // .RGB(255, 153, 0));
			//Bananen sind gelb.
			datenSerie = (grph.Series) grphDiagramm.SeriesCollection(2);
			DatenserieFormatieren(datenSerie, 
				grph.XlMarkerStyle.xlMarkerStyleDiamond, 5, System.Drawing.Color.Aqua); // RGB(255, 255, 0)
			//Kiwis sind grn.
			datenSerie = (grph.Series) grphDiagramm.SeriesCollection(3);
			DatenserieFormatieren(datenSerie, 
				grph.XlMarkerStyle.xlMarkerStyleSquare, 5, System.Drawing.Color.Green); // RGB(0, 128, 0)
		}
	
		private void DatenserieFormatieren(grph.Series DatenSerie, grph.XlMarkerStyle xlDatenPunktStil,
			int xlDatenPunktGrsse, System.Drawing.Color colorDatenPunktFarbe)
		{
			DatenSerie.MarkerStyle = xlDatenPunktStil;
			DatenSerie.MarkerSize = xlDatenPunktGrsse;
			DatenSerie.Border.Color = (int) colorDatenPunktFarbe.ToArgb();
			DatenSerie.MarkerBackgroundColor = (int) colorDatenPunktFarbe.ToArgb();
			DatenSerie.MarkerForegroundColor = (int) colorDatenPunktFarbe.ToArgb();
		}

		private string TrimZelle(string s)
		{
			s = s.Substring(0, s.Length - 2);
			return s;
		}
		#endregion Listing12_9 (MS Graph / Diagramme)

		#region WordArt
		private void Listing12_11_Click(object sender, System.EventArgs e)
		{
			AlleWordArtTextEffectsAuflisten_CS();
		}
		private void AlleWordArtTextEffectsAuflisten_CS()
		{
			Microsoft.Office.Core.MsoTriState offFalse = Microsoft.Office.Core.MsoTriState.msoFalse;
			wd.Application wdApp = this.GetWordApp();
			wd.Document doc = wdApp.ActiveDocument;
			wd.Range rng = doc.Content;
			rng.ParagraphFormat.LineSpacingRule = wd.WdLineSpacing.wdLineSpaceAtLeast;
			rng.ParagraphFormat.LineSpacing = 50f;
			for (int effect = 0; effect<= 29; effect++)
			{
				rng = doc.Paragraphs[effect + 1].Range;
				object objRange = rng;
				Microsoft.Office.Core.MsoPresetTextEffect objEffect = (Microsoft.Office.Core.MsoPresetTextEffect) effect;
				doc.Shapes.AddTextEffect(objEffect, "Effect" + effect.ToString(), "Arial", 20, 
					offFalse, offFalse, 0, 0, ref objRange);
				rng.InsertAfter("\n");
			}

			//Dafr sorgen, dass gengend Abstze fr alle MsoPresetTextEffectShape
			//Variationen vorhanden sind.
			string newLine = "\n";
			int i = 40 - doc.Paragraphs.Count;
			char[] cNewLine = newLine.ToCharArray();
			char c = cNewLine[0];
			string s = new String(c, i);
			rng.InsertAfter(s);
			for (int effectShape = 1; effectShape <= 40; effectShape++)
			{
				rng = doc.Paragraphs[effectShape].Range;
				object objRange = rng;
				Microsoft.Office.Core.MsoPresetTextEffect effect7 = Microsoft.Office.Core.MsoPresetTextEffect.msoTextEffect7;
				wd.Shape shp = doc.Shapes.AddTextEffect(effect7, "Shape Effect" + effectShape.ToString(), 
					"Arial", 20, offFalse, offFalse, 200, 0, ref objRange);
				shp.TextEffect.PresetShape = (Microsoft.Office.Core.MsoPresetTextEffectShape) effectShape;
			}
            wdApp.Visible = true;
		}
		#endregion WordArt

		private void Schliessen_Click(object sender, System.EventArgs e)
		{
			Application.Exit();
		}

	
	}
}
