using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using System.Reflection;
//zustzliche Deklarationen am Projektanfang
using wd = Microsoft.Office.Interop.Word;
using office = Microsoft.Office.Core;
using wdMarschal = System.Runtime.InteropServices.Marshal;

namespace Kap13
{
	/// <summary>
	/// Zusammenfassung fr Form1.
	/// </summary>
	public class frmKap13 : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Button Schliessen;
		private System.Windows.Forms.Button Listing13_9;
		private System.Windows.Forms.Button Listing13_11;
		private System.Windows.Forms.Button Listing13_13;
		/// <summary>
		/// Erforderliche Designervariable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public frmKap13()
		{
			//
			// Erforderlich fr die Windows Form-Designeruntersttzung
			//
			InitializeComponent();

			//
			// TODO: Fgen Sie den Konstruktorcode nach dem Aufruf von InitializeComponent hinzu
			//
		}

		/// <summary>
		/// Die verwendeten Ressourcen bereinigen.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Vom Windows Form-Designer generierter Code
		/// <summary>
		/// Erforderliche Methode fr die Designeruntersttzung. 
		/// Der Inhalt der Methode darf nicht mit dem Code-Editor gendert werden.
		/// </summary>
		private void InitializeComponent()
		{
            this.Schliessen = new System.Windows.Forms.Button();
            this.Listing13_9 = new System.Windows.Forms.Button();
            this.Listing13_11 = new System.Windows.Forms.Button();
            this.Listing13_13 = new System.Windows.Forms.Button();
            this.SuspendLayout();
            // 
            // Schliessen
            // 
            this.Schliessen.Location = new System.Drawing.Point(256, 24);
            this.Schliessen.Name = "Schliessen";
            this.Schliessen.Size = new System.Drawing.Size(128, 32);
            this.Schliessen.TabIndex = 1;
            this.Schliessen.Text = "Schlieen";
            this.Schliessen.Click += new System.EventHandler(this.Schliessen_Click);
            // 
            // Listing13_9
            // 
            this.Listing13_9.Location = new System.Drawing.Point(24, 24);
            this.Listing13_9.Name = "Listing13_9";
            this.Listing13_9.Size = new System.Drawing.Size(208, 32);
            this.Listing13_9.TabIndex = 2;
            this.Listing13_9.Text = "Listing 13.9 Dokumenteigenschaften bearbeiten";
            this.Listing13_9.Click += new System.EventHandler(this.Listing13_9_Click);
            // 
            // Listing13_11
            // 
            this.Listing13_11.Location = new System.Drawing.Point(24, 80);
            this.Listing13_11.Name = "Listing13_11";
            this.Listing13_11.Size = new System.Drawing.Size(208, 32);
            this.Listing13_11.TabIndex = 3;
            this.Listing13_11.Text = "Listing 13.11 Dokumenteigenschaften vorhanden?";
            this.Listing13_11.Click += new System.EventHandler(this.Listing13_11_Click);
            // 
            // Listing13_13
            // 
            this.Listing13_13.Location = new System.Drawing.Point(24, 136);
            this.Listing13_13.Name = "Listing13_13";
            this.Listing13_13.Size = new System.Drawing.Size(208, 32);
            this.Listing13_13.TabIndex = 4;
            this.Listing13_13.Text = "Listing 13.13 Dokument Variablen Demo";
            this.Listing13_13.Click += new System.EventHandler(this.Listing13_13_Click);
            // 
            // frmKap13
            // 
            this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
            this.ClientSize = new System.Drawing.Size(400, 190);
            this.Controls.Add(this.Listing13_13);
            this.Controls.Add(this.Listing13_11);
            this.Controls.Add(this.Listing13_9);
            this.Controls.Add(this.Schliessen);
            this.Name = "frmKap13";
            this.Text = "Kapitel 13 Code Beispiele";
            this.Load += new System.EventHandler(this.frmKap12_Load);
            this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// Der Haupteinstiegspunkt fr die Anwendung.
		/// </summary>

		#region Formularverwaltung
		[STAThread]
		static void Main() 
		{
			Application.Run(new frmKap13());
		}

		private void frmKap12_Load(object sender, System.EventArgs e)
		{
			if(StartWord())
			{
				wdApp.Visible = true;
				wdApp.Activate();
			}
		}
		wd.Application wdApp;
		
		private bool StartWord()
		{
			bool gestartet = false;
			try
			{
				wdApp = new wd.Application();
				gestartet = true;
			}
			catch (System.Exception ex)
			{
				MessageBox.Show(String.Format(
				  "Folgender Fehler tratt beim Starten von Word auf: {0}\n{1}",
				  ex.Message, ex.InnerException));
			}
			return gestartet;
		}

		private void Schliessen_Click(object sender, System.EventArgs e)
		{
			wdApp = null;
			Application.Exit();
		}
		# endregion Formularverwaltung

		#region Listing 13.9
		private void Listing13_9_Click(object sender, System.EventArgs e)
		{
			CustomDocumentProperties_Demo_CS();
		}

		private void CustomDocumentProperties_Demo_CS()
		{	
			wd.Document docDemo = WordDocumentAdd();
			string prop1 = "DateinameLogoSW";
			string prop2 = "AnzahlKopien";
			//Dokumenteigenschaften anlegen
			CustomDocumentPropertyAdd(docDemo, prop1, (object) "Logo_SW.wmf", 
				false, office.MsoDocProperties.msoPropertyTypeString);
			CustomDocumentPropertyAdd(docDemo, prop2, (object) 1, false, 
				office.MsoDocProperties.msoPropertyTypeNumber);
  
			for (int propZhler = 1; propZhler <= CustomDocumentPropertiesCount(docDemo);propZhler++)
			{
				string propName = CustomDocumentPropertyName(docDemo, propZhler);
				object propValue = CustomDocumentPropertyValue(docDemo, propZhler);
				MessageBox.Show(String.Format("Name\t{0}\nWert\t{1}", propName, propValue.ToString()));
			}
 
			//Dokumenteigenschaften entfernen
			CustomDocumentPropertyDelete(docDemo, prop2);
			//Dokument als bearbeitet kennzeichnen
			docDemo.Saved = false;
			docDemo = null;
			MessageBox.Show("Fertig!");
		}

		private void CustomDocumentPropertyAdd(wd.Document doc, string propName, 
			object propValue, bool propLinkToContent, office.MsoDocProperties propType)
		{
			object oCustomDocProps = (object) doc.CustomDocumentProperties;
			Type customDocPropsType =  oCustomDocProps.GetType();
			object[] args = {propName, propLinkToContent, propType, propValue};
			customDocPropsType.InvokeMember("Add", BindingFlags.Default | BindingFlags.InvokeMethod,
				null, oCustomDocProps, args);
		}
		private int CustomDocumentPropertiesCount(wd.Document doc)
		{
			object oCustomDocProps = (object) doc.CustomDocumentProperties;
			Type customDocPropsType =  doc.CustomDocumentProperties.GetType();
			object[] args = {};
			object objRetVal = customDocPropsType.InvokeMember("Count", BindingFlags.Default | 
				BindingFlags.GetProperty, null, oCustomDocProps, args);
			return (int) objRetVal;
		}

		private string CustomDocumentPropertyName(wd.Document doc, int index)
		{
			object oCustomDocProps = (object) doc.CustomDocumentProperties;
			Type customDocPropsType =  doc.CustomDocumentProperties.GetType();
			object[] argsItem = {index};
			object oCustomProp = customDocPropsType.InvokeMember("Item", BindingFlags.Default | 
				BindingFlags.GetProperty, null, oCustomDocProps, argsItem);

			Type customPropType = oCustomProp.GetType(); 
			object[] args = {};
			object objRetVal = customPropType.InvokeMember("Name", BindingFlags.Default | 
				BindingFlags.GetProperty, null, oCustomProp, args);
			return (string) objRetVal;
		}

		private object CustomDocumentPropertyValue(wd.Document doc, int index)
		{
			object oCustomDocProps = (object) doc.CustomDocumentProperties;
			Type customDocPropsType =  doc.CustomDocumentProperties.GetType();
			object[] argsItem = {index};
			object oCustomProp = customDocPropsType.InvokeMember("Item", BindingFlags.Default | 
				BindingFlags.GetProperty, null, oCustomDocProps, argsItem);

			Type customPropType = oCustomProp.GetType(); 
			object[] args = {};
			object objRetVal = customPropType.InvokeMember("Value", BindingFlags.Default | 
				BindingFlags.GetProperty, null, oCustomProp, args);
			return objRetVal;
		}

		private void CustomDocumentPropertyDelete(wd.Document doc, string index)
		{
			object oCustomDocProps = (object) doc.CustomDocumentProperties;
			Type customDocPropsType =  doc.CustomDocumentProperties.GetType();
			object[] argsItem = {index};
			object oCustomProp = customDocPropsType.InvokeMember("Item", BindingFlags.Default | 
				BindingFlags.GetProperty, null, oCustomDocProps, argsItem);

			Type customPropType =  oCustomProp.GetType();
			object[] args = {};
			customPropType.InvokeMember("Delete", BindingFlags.Default | BindingFlags.InvokeMethod,
				null, oCustomProp, args);
		}

		private wd.Document WordDocumentAdd()
		{
			object objMissing = System.Reflection.Missing.Value;
			wd.Document doc = null;
			try
			{
				doc = wdApp.Documents.Add(ref objMissing, ref objMissing,
					ref objMissing, ref objMissing);
			}
			
			catch (System.Exception ex)
			{
				MessageBox.Show(String.Format(
				  "Folgender Fehler tratt beim Erstellen eines Dokuments auf: {0}\n{1}",
				  ex.Message, ex.InnerException));
			}
			return doc;
		}
		#endregion


		#region Listing 13.11
		private void Listing13_11_Click(object sender, System.EventArgs e)
		{
			if (wdApp.Documents.Count>0)
			{
				string propName = "AnzahlKopien";
				wd.Document doc = wdApp.ActiveDocument;
				string msgEigenschaftVorhanden = String.Format(
					"Die Dokumenteigenschaft {0} ist im Dokument vorhanden: {1}",
					propName, DokumentEigenschaftVorhanden_CS(doc, propName).ToString());
				MessageBox.Show(msgEigenschaftVorhanden);

				propName = "DateinameLogoSW";
				msgEigenschaftVorhanden = String.Format(
					"Die Dokumenteigenschaft {0} ist im Dokument vorhanden: {1}",
					propName, DokumentEigenschaftVorhanden_CS(doc, propName).ToString());
				MessageBox.Show(msgEigenschaftVorhanden);
			}
		}

		private bool DokumentEigenschaftVorhanden_CS(wd.Document doc, string kontrollName)
		{
			bool vorhanden = false;
			string propName = "";
			int anzahlDokEigenschaften = CustomDocumentPropertiesCount(doc);
			for (int propZhler = 1; propZhler <= anzahlDokEigenschaften; propZhler++)
			{
				propName = CustomDocumentPropertyName(doc, propZhler);
				if (propName == kontrollName)
				{
					vorhanden=true;
					anzahlDokEigenschaften = 0;
				}
			}
			return vorhanden;
		}
		#endregion Listing 13.11

		#region Listing 13.13 (Dokument Variablen)

		private void Listing13_13_Click(object sender, System.EventArgs e)
		{
			DokumentVariablen_Demo();
		}
		
			private void DokumentVariablen_Demo()
			{
				wd.Document docDemo = WordDocumentAdd();
	  
				//Dokumentvariable anlegen
				object objVariableWert_LogoDatei = (object) "Logo_SW.wmf";
				string VariableName_LogoDatei = "DateinameLogoSW";
				docDemo.Variables.Add(VariableName_LogoDatei, ref objVariableWert_LogoDatei);
				object objVariableWert_LogoColor = (object)"Logo_Color.wmf";
				string VariableName_LogoColor = "DateinameLogoFarb";
				docDemo.Variables.Add(VariableName_LogoColor, ref objVariableWert_LogoColor);
				object objVariableWert_Kopien = (object)1;
				string VariableName_Kopien ="AnzahlKopien";
				docDemo.Variables.Add(VariableName_Kopien, ref objVariableWert_Kopien);
	    
				//Dokumentvariable auflisten
				foreach (wd.Variable vrbl in docDemo.Variables)
				{
					MessageBox.Show(String.Format("Name\t{0}\nWert\t{1}", vrbl.Name, vrbl.Value));
				}
	  
				//Dokumentvariable entfernen
				object objVrblItem = (object) VariableName_Kopien;
				docDemo.Variables.get_Item(ref objVrblItem).Delete();
				objVrblItem = (object) VariableName_LogoColor;
				docDemo.Variables.get_Item(ref objVrblItem).Value = "";
				MessageBox.Show(String.Format(
					"Das Dokument enthlt {0} Variablen", docDemo.Variables.Count));
				docDemo = null;
			}
		#endregion Listing 13.13

	
	}
}
