DROP DATABASE Nordwind;
CREATE DATABASE Nordwind;
USE Nordwind;
DROP TABLE Bestellungen;
CREATE TABLE Bestellungen (
	BestellNr INT NOT NULL ,
	KundenCode VARCHAR(5) NULL ,
	PersonalNr INT NULL ,
	Bestelldatum DATETIME NULL ,
	Lieferdatum DATETIME NULL ,
	Versanddatum DATETIME NULL ,
	Versandber INT NULL ,
	Frachtkosten DEC(9,2) NULL ,
	Empfnger VARCHAR(40) NULL ,
	Strae VARCHAR(60) NULL ,
	Ort VARCHAR(15) NULL ,
	Region VARCHAR(15) NULL ,
	PLZ VARCHAR(10) NULL ,
	Bestimmungsland VARCHAR(15) NULL );
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10248,'VINET',5,'07/04/1996','08/01/1996','07/16/1996',3,32.38,'Vins et alcools Chevalier','59 rue de l''Abbaye','Reims',NULL,'51100','France');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10249,'TOMSP',6,'07/05/1996','08/16/1996','07/10/1996',1,11.61,'Toms Spezialitten','Luisenstr. 48','Mnster',NULL,'44087','Germany');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10250,'HANAR',4,'07/08/1996','08/05/1996','07/12/1996',2,65.83,'Hanari Carnes','Rua do Pao, 67','Rio de Janeiro','RJ','05454-876','Brazil');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10251,'VICTE',3,'07/08/1996','08/05/1996','07/15/1996',1,41.34,'Victuailles en stock','2, rue du Commerce','Lyon',NULL,'69004','France');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10252,'SUPRD',4,'07/09/1996','08/06/1996','07/11/1996',2,51.3,'Suprmes dlices','Boulevard Tirou, 255','Charleroi',NULL,'B-6000','Belgium');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10253,'HANAR',3,'07/10/1996','07/24/1996','07/16/1996',2,58.17,'Hanari Carnes','Rua do Pao, 67','Rio de Janeiro','RJ','05454-876','Brazil');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10254,'CHOPS',5,'07/11/1996','08/08/1996','07/23/1996',2,22.98,'Chop-suey Chinese','Hauptstr. 31','Bern',NULL,'3012','Switzerland');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10255,'RICSU',9,'07/12/1996','08/09/1996','07/15/1996',3,148.33,'Richter Supermarkt','Starenweg 5','Genve',NULL,'1204','Switzerland');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10256,'WELLI',3,'07/15/1996','08/12/1996','07/17/1996',2,13.97,'Wellington Importadora','Rua do Mercado, 12','Resende','SP','08737-363','Brazil');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10257,'HILAA',4,'07/16/1996','08/13/1996','07/22/1996',3,81.91,'HILARIN-Abastos','Carrera 22 con Ave. Carlos Soublette #8-35','San Cristbal','Tchira','5022','Venezuela');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10258,'ERNSH',1,'07/17/1996','08/14/1996','07/23/1996',1,140.51,'Ernst Handel','Kirchgasse 6','Graz',NULL,'8010','Austria');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10259,'CENTC',4,'07/18/1996','08/15/1996','07/25/1996',3,3.25,'Centro comercial Moctezuma','Sierras de Granada 9993','Mxico D.F.',NULL,'05022','Mexico');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10260,'OTTIK',4,'07/19/1996','08/16/1996','07/29/1996',1,55.09,'Ottilies Kseladen','Mehrheimerstr. 369','Kln',NULL,'50739','Germany');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10261,'QUEDE',4,'07/19/1996','08/16/1996','07/30/1996',2,3.05,'Que Delcia','Rua da Panificadora, 12','Rio de Janeiro','RJ','02389-673','Brazil');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10262,'RATTC',8,'07/22/1996','08/19/1996','07/25/1996',3,48.29,'Rattlesnake Canyon Grocery','2817 Milton Dr.','Albuquerque','NM','87110','USA');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10263,'ERNSH',9,'07/23/1996','08/20/1996','07/31/1996',3,146.06,'Ernst Handel','Kirchgasse 6','Graz',NULL,'8010','Austria');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10264,'FOLKO',6,'07/24/1996','08/21/1996','08/23/1996',3,3.67,'Folk och f HB','kergatan 24','Brcke',NULL,'S-844 67','Sweden');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10265,'BLONP',2,'07/25/1996','08/22/1996','08/12/1996',1,55.28,'Blondel pre et fils','24, place Klber','Strasbourg',NULL,'67000','France');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10266,'WARTH',3,'07/26/1996','09/06/1996','07/31/1996',3,25.73,'Wartian Herkku','Torikatu 38','Oulu',NULL,'90110','Finland');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10267,'FRANK',4,'07/29/1996','08/26/1996','08/06/1996',1,208.58,'Frankenversand','Berliner Platz 43','Mnchen',NULL,'80805','Germany');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10268,'GROSR',8,'07/30/1996','08/27/1996','08/02/1996',3,66.29,'GROSELLA-Restaurante','5 Ave. Los Palos Grandes','Caracas','DF','1081','Venezuela');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10269,'WHITC',5,'07/31/1996','08/14/1996','08/09/1996',1,4.56,'White Clover Markets','1029 - 12th Ave. S.','Seattle','WA','98124','USA');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10270,'WARTH',1,'08/01/1996','08/29/1996','08/02/1996',1,136.54,'Wartian Herkku','Torikatu 38','Oulu',NULL,'90110','Finland');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10271,'SPLIR',6,'08/01/1996','08/29/1996','08/30/1996',2,4.54,'Split Rail Beer & Ale','P.O. Box 555','Lander','WY','82520','USA');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10272,'RATTC',6,'08/02/1996','08/30/1996','08/06/1996',2,98.03,'Rattlesnake Canyon Grocery','2817 Milton Dr.','Albuquerque','NM','87110','USA');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10273,'QUICK',3,'08/05/1996','09/02/1996','08/12/1996',3,76.07,'QUICK-Stop','Taucherstrae 10','Cunewalde',NULL,'01307','Germany');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10274,'VINET',6,'08/06/1996','09/03/1996','08/16/1996',1,6.01,'Vins et alcools Chevalier','59 rue de l''Abbaye','Reims',NULL,'51100','France');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10275,'MAGAA',1,'08/07/1996','09/04/1996','08/09/1996',1,26.93,'Magazzini Alimentari Riuniti','Via Ludovico il Moro 22','Bergamo',NULL,'24100','Italy');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10276,'TORTU',8,'08/08/1996','08/22/1996','08/14/1996',3,13.84,'Tortuga Restaurante','Avda. Azteca 123','Mxico D.F.',NULL,'05033','Mexico');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10277,'MORGK',2,'08/09/1996','09/06/1996','08/13/1996',3,125.77,'Morgenstern Gesundkost','Heerstr. 22','Leipzig',NULL,'04179','Germany');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10278,'BERGS',8,'08/12/1996','09/09/1996','08/16/1996',2,92.69,'Berglunds snabbkp','Berguvsvgen  8','Stockholm',NULL,'S-958 22','Sweden');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10279,'LEHMS',8,'08/13/1996','09/10/1996','08/16/1996',2,25.83,'Lehmanns Marktstand','Magazinweg 7','Frankfurt a.M. ',NULL,'60528','Germany');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10280,'BERGS',2,'08/14/1996','09/11/1996','09/12/1996',1,8.98,'Berglunds snabbkp','Berguvsvgen  8','Stockholm',NULL,'S-958 22','Sweden');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10281,'ROMEY',4,'08/14/1996','08/28/1996','08/21/1996',1,2.94,'Romero y tomillo','Gran Va, 1','Madrid',NULL,'28001','Spain');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10282,'ROMEY',4,'08/15/1996','09/12/1996','08/21/1996',1,12.69,'Romero y tomillo','Gran Va, 1','Madrid',NULL,'28001','Spain');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10283,'LILAS',3,'08/16/1996','09/13/1996','08/23/1996',3,84.81,'LILA-Supermercado','Carrera 52 con Ave. Bolvar #65-98 Llano Largo','Barquisimeto','Lara','3508','Venezuela');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10284,'LEHMS',4,'08/19/1996','09/16/1996','08/27/1996',1,76.56,'Lehmanns Marktstand','Magazinweg 7','Frankfurt a.M. ',NULL,'60528','Germany');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10285,'QUICK',1,'08/20/1996','09/17/1996','08/26/1996',2,76.83,'QUICK-Stop','Taucherstrae 10','Cunewalde',NULL,'01307','Germany');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10286,'QUICK',8,'08/21/1996','09/18/1996','08/30/1996',3,229.24,'QUICK-Stop','Taucherstrae 10','Cunewalde',NULL,'01307','Germany');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10287,'RICAR',8,'08/22/1996','09/19/1996','08/28/1996',3,12.76,'Ricardo Adocicados','Av. Copacabana, 267','Rio de Janeiro','RJ','02389-890','Brazil');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10288,'REGGC',4,'08/23/1996','09/20/1996','09/03/1996',1,7.45,'Reggiani Caseifici','Strada Provinciale 124','Reggio Emilia',NULL,'42100','Italy');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10289,'BSBEV',7,'08/26/1996','09/23/1996','08/28/1996',3,22.77,'B''s Beverages','Fauntleroy Circus','London',NULL,'EC2 5NT','UK');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10290,'COMMI',8,'08/27/1996','09/24/1996','09/03/1996',1,79.7,'Comrcio Mineiro','Av. dos Lusadas, 23','So Paulo','SP','05432-043','Brazil');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10291,'QUEDE',6,'08/27/1996','09/24/1996','09/04/1996',2,6.4,'Que Delcia','Rua da Panificadora, 12','Rio de Janeiro','RJ','02389-673','Brazil');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10292,'TRADH',1,'08/28/1996','09/25/1996','09/02/1996',2,1.35,'Tradio Hipermercados','Av. Ins de Castro, 414','So Paulo','SP','05634-030','Brazil');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10293,'TORTU',1,'08/29/1996','09/26/1996','09/11/1996',3,21.18,'Tortuga Restaurante','Avda. Azteca 123','Mxico D.F.',NULL,'05033','Mexico');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10294,'RATTC',4,'08/30/1996','09/27/1996','09/05/1996',2,147.26,'Rattlesnake Canyon Grocery','2817 Milton Dr.','Albuquerque','NM','87110','USA');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10295,'VINET',2,'09/02/1996','09/30/1996','09/10/1996',2,1.15,'Vins et alcools Chevalier','59 rue de l''Abbaye','Reims',NULL,'51100','France');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10296,'LILAS',6,'09/03/1996','10/01/1996','09/11/1996',1,0.12,'LILA-Supermercado','Carrera 52 con Ave. Bolvar #65-98 Llano Largo','Barquisimeto','Lara','3508','Venezuela');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10297,'BLONP',5,'09/04/1996','10/16/1996','09/10/1996',2,5.74,'Blondel pre et fils','24, place Klber','Strasbourg',NULL,'67000','France');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10298,'HUNGO',6,'09/05/1996','10/03/1996','09/11/1996',2,168.22,'Hungry Owl All-Night Grocers','8 Johnstown Road','Cork','Co. Cork',NULL,'Ireland');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10299,'RICAR',4,'09/06/1996','10/04/1996','09/13/1996',2,29.76,'Ricardo Adocicados','Av. Copacabana, 267','Rio de Janeiro','RJ','02389-890','Brazil');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10300,'MAGAA',2,'09/09/1996','10/07/1996','09/18/1996',2,17.68,'Magazzini Alimentari Riuniti','Via Ludovico il Moro 22','Bergamo',NULL,'24100','Italy');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10301,'WANDK',8,'09/09/1996','10/07/1996','09/17/1996',2,45.08,'Die Wandernde Kuh','Adenauerallee 900','Stuttgart',NULL,'70563','Germany');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10302,'SUPRD',4,'09/10/1996','10/08/1996','10/09/1996',2,6.27,'Suprmes dlices','Boulevard Tirou, 255','Charleroi',NULL,'B-6000','Belgium');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10303,'GODOS',7,'09/11/1996','10/09/1996','09/18/1996',2,107.83,'Godos Cocina Tpica','C/ Romero, 33','Sevilla',NULL,'41101','Spain');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10304,'TORTU',1,'09/12/1996','10/10/1996','09/17/1996',2,63.79,'Tortuga Restaurante','Avda. Azteca 123','Mxico D.F.',NULL,'05033','Mexico');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10305,'OLDWO',8,'09/13/1996','10/11/1996','10/09/1996',3,257.62,'Old World Delicatessen','2743 Bering St.','Anchorage','AK','99508','USA');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10306,'ROMEY',1,'09/16/1996','10/14/1996','09/23/1996',3,7.56,'Romero y tomillo','Gran Va, 1','Madrid',NULL,'28001','Spain');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10307,'LONEP',2,'09/17/1996','10/15/1996','09/25/1996',2,0.56,'Lonesome Pine Restaurant','89 Chiaroscuro Rd.','Portland','OR','97219','USA');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10308,'ANATR',7,'09/18/1996','10/16/1996','09/24/1996',3,1.61,'Ana Trujillo Emparedados y helados','Avda. de la Constitucin 2222','Mxico D.F.',NULL,'05021','Mexico');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10309,'HUNGO',3,'09/19/1996','10/17/1996','10/23/1996',1,47.3,'Hungry Owl All-Night Grocers','8 Johnstown Road','Cork','Co. Cork',NULL,'Ireland');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10310,'THEBI',8,'09/20/1996','10/18/1996','09/27/1996',2,17.52,'The Big Cheese','89 Jefferson Way
Suite 2','Portland','OR','97201','USA');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10311,'DUMON',1,'09/20/1996','10/04/1996','09/26/1996',3,24.69,'Du monde entier','67, rue des Cinquante Otages','Nantes',NULL,'44000','France');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10312,'WANDK',2,'09/23/1996','10/21/1996','10/03/1996',2,40.26,'Die Wandernde Kuh','Adenauerallee 900','Stuttgart',NULL,'70563','Germany');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10313,'QUICK',2,'09/24/1996','10/22/1996','10/04/1996',2,1.96,'QUICK-Stop','Taucherstrae 10','Cunewalde',NULL,'01307','Germany');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10314,'RATTC',1,'09/25/1996','10/23/1996','10/04/1996',2,74.16,'Rattlesnake Canyon Grocery','2817 Milton Dr.','Albuquerque','NM','87110','USA');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10315,'ISLAT',4,'09/26/1996','10/24/1996','10/03/1996',2,41.76,'Island Trading','Garden House
Crowther Way','Cowes','Isle of Wight','PO31 7PJ','UK');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10316,'RATTC',1,'09/27/1996','10/25/1996','10/08/1996',3,150.15,'Rattlesnake Canyon Grocery','2817 Milton Dr.','Albuquerque','NM','87110','USA');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10317,'LONEP',6,'09/30/1996','10/28/1996','10/10/1996',1,12.69,'Lonesome Pine Restaurant','89 Chiaroscuro Rd.','Portland','OR','97219','USA');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10318,'ISLAT',8,'10/01/1996','10/29/1996','10/04/1996',2,4.73,'Island Trading','Garden House
Crowther Way','Cowes','Isle of Wight','PO31 7PJ','UK');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10319,'TORTU',7,'10/02/1996','10/30/1996','10/11/1996',3,64.5,'Tortuga Restaurante','Avda. Azteca 123','Mxico D.F.',NULL,'05033','Mexico');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10320,'WARTH',5,'10/03/1996','10/17/1996','10/18/1996',3,34.57,'Wartian Herkku','Torikatu 38','Oulu',NULL,'90110','Finland');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10321,'ISLAT',3,'10/03/1996','10/31/1996','10/11/1996',2,3.43,'Island Trading','Garden House
Crowther Way','Cowes','Isle of Wight','PO31 7PJ','UK');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10322,'PERIC',7,'10/04/1996','11/01/1996','10/23/1996',3,0.4,'Pericles Comidas clsicas','Calle Dr. Jorge Cash 321','Mxico D.F.',NULL,'05033','Mexico');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10323,'KOENE',4,'10/07/1996','11/04/1996','10/14/1996',1,4.88,'Kniglich Essen','Maubelstr. 90','Brandenburg',NULL,'14776','Germany');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10324,'SAVEA',9,'10/08/1996','11/05/1996','10/10/1996',1,214.27,'Save-a-lot Markets','187 Suffolk Ln.','Boise','ID','83720','USA');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10325,'KOENE',1,'10/09/1996','10/23/1996','10/14/1996',3,64.86,'Kniglich Essen','Maubelstr. 90','Brandenburg',NULL,'14776','Germany');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10326,'BOLID',4,'10/10/1996','11/07/1996','10/14/1996',2,77.92,'Blido Comidas preparadas','C/ Araquil, 67','Madrid',NULL,'28023','Spain');
INSERT INTO Bestellungen (BestellNr,KundenCode,PersonalNr,Bestelldatum,Lieferdatum,Versanddatum,Versandber,Frachtkosten,Empfnger,Strae,Ort,Region,PLZ,Bestimmungsland) VALUES(10327,'FOLKO',2,'10/11/1996','11/08/1996','10/14/1996',1,63.36,'Folk och f HB','kergatan 24','Brcke',NULL,'S-844 67','Sweden');
