using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Reflection;
//zustzliche Deklarationen am Projektanfang
using wd = Microsoft.Office.Interop.Word;
using wdMarschal = System.Runtime.InteropServices.Marshal;

namespace Kap05_CS
{
	/// <summary>
	/// Zusammenfassung fr Kap05_CSRange.
	/// </summary>
	public class Kap05Range : System.Windows.Forms.Form
	{
		private wd.Application wdApp;

		public Kap05Range(wd.Application WdApp)
		{
			//
			// Erforderlich fr die Windows Form-Designeruntersttzung
			//
			InitializeComponent();
			wdApp = WdApp;
        }


		private void btnRangeSchliessen_Click(object sender, System.EventArgs e)
		{
			this.Hide();
		}

        #region Formularverwaltung
        private System.Windows.Forms.Button btnRangeSchliessen;
		/// <summary>
		/// Erforderliche Designervariable.
		/// </summary>
		private System.ComponentModel.Container components = null;
		private System.Windows.Forms.Button Listing5_26;
		private System.Windows.Forms.Button Listing5_28;
		private System.Windows.Forms.Button Listing5_32;
		private System.Windows.Forms.Label lblFormel;
		private System.Windows.Forms.TextBox txtFormel;
		private System.Windows.Forms.Button btnFormel;


		/// <summary>
		/// Die verwendeten Ressourcen bereinigen.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
        }
        #endregion Forumlarverwaltung

        #region Vom Windows Form-Designer generierter Code
        /// <summary>
		/// Erforderliche Methode fr die Designeruntersttzung. 
		/// Der Inhalt der Methode darf nicht mit dem Code-Editor gendert werden.
		/// </summary>
		private void InitializeComponent()
		{
            this.Listing5_26 = new System.Windows.Forms.Button();
            this.Listing5_28 = new System.Windows.Forms.Button();
            this.btnRangeSchliessen = new System.Windows.Forms.Button();
            this.Listing5_32 = new System.Windows.Forms.Button();
            this.lblFormel = new System.Windows.Forms.Label();
            this.txtFormel = new System.Windows.Forms.TextBox();
            this.btnFormel = new System.Windows.Forms.Button();
            this.SuspendLayout();
            // 
            // Listing5_26
            // 
            this.Listing5_26.Location = new System.Drawing.Point(16, 16);
            this.Listing5_26.Name = "Listing5_26";
            this.Listing5_26.Size = new System.Drawing.Size(176, 23);
            this.Listing5_26.TabIndex = 0;
            this.Listing5_26.Text = "Listing 5.26 Bereich verkleinern";
            this.Listing5_26.Click += new System.EventHandler(this.Listing5_26_Click);
            // 
            // Listing5_28
            // 
            this.Listing5_28.Location = new System.Drawing.Point(16, 56);
            this.Listing5_28.Name = "Listing5_28";
            this.Listing5_28.Size = new System.Drawing.Size(176, 23);
            this.Listing5_28.TabIndex = 1;
            this.Listing5_28.Text = "Listing 5.28 Bereich erweitern";
            this.Listing5_28.Click += new System.EventHandler(this.Listing5_28_Click);
            // 
            // btnRangeSchliessen
            // 
            this.btnRangeSchliessen.Location = new System.Drawing.Point(288, 16);
            this.btnRangeSchliessen.Name = "btnRangeSchliessen";
            this.btnRangeSchliessen.Size = new System.Drawing.Size(75, 23);
            this.btnRangeSchliessen.TabIndex = 2;
            this.btnRangeSchliessen.Text = "Schlieen";
            this.btnRangeSchliessen.Click += new System.EventHandler(this.btnRangeSchliessen_Click);
            // 
            // Listing5_32
            // 
            this.Listing5_32.Location = new System.Drawing.Point(16, 96);
            this.Listing5_32.Name = "Listing5_32";
            this.Listing5_32.Size = new System.Drawing.Size(200, 23);
            this.Listing5_32.TabIndex = 3;
            this.Listing5_32.Text = "Listing 5.32 im Bereich berechnen";
            this.Listing5_32.Click += new System.EventHandler(this.Listing5_32_Click);
            // 
            // lblFormel
            // 
            this.lblFormel.Location = new System.Drawing.Point(24, 144);
            this.lblFormel.Name = "lblFormel";
            this.lblFormel.Size = new System.Drawing.Size(100, 23);
            this.lblFormel.TabIndex = 4;
            this.lblFormel.Text = "Formel eingeben";
            this.lblFormel.Visible = false;
            // 
            // txtFormel
            // 
            this.txtFormel.Location = new System.Drawing.Point(24, 176);
            this.txtFormel.Name = "txtFormel";
            this.txtFormel.Size = new System.Drawing.Size(176, 20);
            this.txtFormel.TabIndex = 5;
            this.txtFormel.Visible = false;
            // 
            // btnFormel
            // 
            this.btnFormel.Location = new System.Drawing.Point(24, 208);
            this.btnFormel.Name = "btnFormel";
            this.btnFormel.Size = new System.Drawing.Size(176, 23);
            this.btnFormel.TabIndex = 6;
            this.btnFormel.Text = "Die Formel berechnen";
            this.btnFormel.Visible = false;
            this.btnFormel.Click += new System.EventHandler(this.btnFormel_Click);
            // 
            // Kap05Range
            // 
            this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
            this.ClientSize = new System.Drawing.Size(376, 266);
            this.Controls.Add(this.btnFormel);
            this.Controls.Add(this.txtFormel);
            this.Controls.Add(this.lblFormel);
            this.Controls.Add(this.Listing5_32);
            this.Controls.Add(this.btnRangeSchliessen);
            this.Controls.Add(this.Listing5_28);
            this.Controls.Add(this.Listing5_26);
            this.Name = "Kap05Range";
            this.Text = "Kapitel 5 Range";
            this.ResumeLayout(false);
            this.PerformLayout();

		}
		#endregion

		#region Range Verwaltung

		private void Listing5_26_Click(object sender, System.EventArgs e)
		{
			string dateiName = System.IO.Directory.GetCurrentDirectory();
			System.IO.DirectoryInfo di = new System.IO.DirectoryInfo(dateiName);
			string pfad = (di.Parent.Parent.Parent.Parent.FullName + "\\Bsp05_01Range_Test.docx");
			wd.Document doc = Kap05_CS.Kap05Document.WordDokumentOeffnen_CS(wdApp, pfad);
			wd.Range rng = doc.Content;
			//Der neue Text erscheint am Dokumentende
			object objEndPunkt = (object) wd.WdCollapseDirection.wdCollapseEnd;
			rng.Collapse(ref objEndPunkt);
			rng.Text = "Fetter Text am Ende";
			rng.Bold = -1;
			rng = doc.Content;
			//Der neue Text erscheint am Dokumentanfang
			object objStartPunkt = (object) wd.WdCollapseDirection.wdCollapseStart;
			rng.Collapse(ref objStartPunkt);
			rng.Text = "Kursiver Text am Anfang";
			rng.Italic = -1;
		}

		private void Listing5_28_Click(object sender, System.EventArgs e)
		{
			if (wdApp.Documents.Count > 0)
			{
				ZahlPlusWaehrungssymbol_CS();
			}
		}
		private void ZahlPlusWaehrungssymbol_CS()
		{
			//Markieren Sie zuerst ein Zeichen rechts neben einer Zahl
		    wd.Range rng = wdApp.Selection.Range;
			object objCSet = (object) " ";
			object objCount = (object) -1;
			rng.MoveStartWhile(ref objCSet, ref objCount);
			objCSet="1234567890.,";
			objCount= (object) wd.WdConstants.wdBackward;
			rng.MoveStartWhile(ref objCSet, ref objCount);
			MessageBox.Show(rng.Text);	
		}

		private void Listing5_32_Click(object sender, System.EventArgs e)
		{
			CalculateTest_CS();
		}
		private void CalculateTest_CS()
		{
			try
			{
				wdApp.ScreenUpdating = false;
				string dateiName = System.IO.Directory.GetCurrentDirectory();
				System.IO.DirectoryInfo di = new System.IO.DirectoryInfo(dateiName);
				string pfad = (di.Parent.Parent.Parent.Parent.FullName + "\\Bsp05_04Range_Test.docx");
				wd.Document doc = Kap05_CS.Kap05Document.WordDokumentOeffnen_CS(wdApp, pfad);
				wd.Range rng = doc.Content.Paragraphs[2].Range;
				object objCollapseEnd = wd.WdCollapseDirection.wdCollapseEnd;
				MessageBox.Show(rng.Text + " = " + rng.Calculate());
				rng.Collapse(ref objCollapseEnd);
				//Den Benutzer zur Eingabe einer Formel auffordern
				lblFormel.Visible =true;
				txtFormel.Visible = true;
				btnFormel.Visible = true;
			}
			finally
			{
				wdApp.ScreenUpdating = true;
			}
		}

		private void btnFormel_Click(object sender, System.EventArgs e)
		{
			try
			{
				wdApp.ScreenUpdating = false;
				wd.Document doc = wdApp.ActiveDocument;
				wd.Range rng = doc.Content.Paragraphs[1].Range;
				object objCollapseEnd = wd.WdCollapseDirection.wdCollapseEnd;
				rng.Collapse(ref objCollapseEnd);
				string formel = txtFormel.Text;
				//Diese am Ende des Bereichs einfgen
				rng.Text = formel;
				//Die Berechnung ausfhren
				MessageBox.Show("Das Ergebnis ist: " + rng.Calculate());
				//Die Formel wieder entfernen
				object objMissing = System.Reflection.Missing.Value;
				rng.Delete(ref objMissing, ref objMissing);
			}
			finally
			{
				lblFormel.Visible = false;
				txtFormel.Visible = false;  
				btnFormel.Visible = false;
				wdApp.ScreenUpdating = true;
			}
		}

		#endregion Range Verwaltung


	}
}
