Imports Word = Microsoft.Office.Interop.Word
Imports Office = Microsoft.Office.Core

public class ThisAddIn

    Private m_ActiveDoc As Word.Document
    Private Sub ThisAddIn_Startup(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Startup
        Try
            m_ActiveDoc = Me.Application.ActiveDocument
            Me.Application.NormalTemplate.Saved = True
        Catch ex As Exception
            MessageBox.Show(ex.Message, "Startup")
        End Try
    End Sub

    Private Sub ThisAddIn_Shutdown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shutdown

    End Sub

    Private Sub Application_DocumentChange() Handles Application.DocumentChange
        'Die Steuerelemente des Ribbons anhand des Dokumenttyps (Seriendruck oder nicht) einstellen
        Try
            'Beim Beenden nicht ausfhren
            If Me.Application.Documents.Count < 1 Then
                Exit Sub
            End If

            Dim currentDoc As Word.Document
            currentDoc = Application.ActiveDocument
            If (Not currentDoc Is m_ActiveDoc) Then
                ribbon.RibbonNeuInitialisieren(currentDoc)
                m_ActiveDoc = currentDoc
            End If
        Catch ex As Exception
            MessageBox.Show(ex.Message, "DocumentChange")
        End Try
    End Sub
End Class
