﻿Imports Microsoft.Office.Tools.Ribbon
Imports Tools = Microsoft.Office.Tools.Word

Public Class Ribbon1

    Private Sub Ribbon1_Load(ByVal sender As System.Object, ByVal e As RibbonUIEventArgs) Handles MyBase.Load

    End Sub

    Private Sub tglDokumentAktionen_Click(ByVal sender As System.Object, ByVal e As Microsoft.Office.Tools.Ribbon.RibbonControlEventArgs) Handles tglDokumentAktionen.Click
        Globals.ThisDocument.Application.CommandBars.ExecuteMso("ViewDocumentActionsPane")
    End Sub

  
    Private Sub btnVSTOEntfernen_Click(ByVal sender As System.Object, ByVal e As Microsoft.Office.Tools.Ribbon.RibbonControlEventArgs) Handles btnVSTOEntfernen.Click
        Dim thisDoc As Tools.Document = Globals.ThisDocument.Base
        Try
            'Entfernt das VSTO ActiveX-Steuerelement aus dem Dokument.
            thisDoc.RemoveCustomization()
            'Den Aufgabenbereich aus der Liste entfernen, 
            Globals.ThisDocument.ActionsPane.Clear()
            'sowie das Schema-Referenz aus dem Dokument, 
            'sofern der Aufgabenbereich eingeblendet wurde.
            Dim xmlSchema As Word.XMLSchemaReference
            For Each xmlSchema In thisDoc.XMLSchemaReferences
                If xmlSchema.NamespaceURI = "ActionsPane" Then
                    xmlSchema.Delete()
                    Exit For
                End If
            Next
        Catch ex As Exception
            MessageBox.Show(ex.Message)
        Finally
            Me.grpBsp_VSTO.Visible = False
            ' Me.btnVSTOEntfernen.Enabled = False
            ' Me.tglDokumentAktionen.Enabled = False
        End Try
    End Sub
End Class
