using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
//zustzliche Deklarationen am Projektanfang
using wd = Microsoft.Office.Interop.Word;
using wdMarschal = System.Runtime.InteropServices.Marshal;

namespace Kap01
{
	/// <summary>
	/// Zusammenfassung fr Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
    {
        #region "Formular-Code"
        private System.Windows.Forms.Button Schliessen;
		private System.Windows.Forms.Button Listing1_3;
		/// <summary>
		/// Erforderliche Designervariable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Form1()
		{
			//
			// Erforderlich fr die Windows Form-Designeruntersttzung
			//
			InitializeComponent();

			//
			// TODO: Fgen Sie den Konstruktorcode nach dem Aufruf von InitializeComponent hinzu
			//
		}

		/// <summary>
		/// Die verwendeten Ressourcen bereinigen.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Vom Windows Form-Designer generierter Code
		/// <summary>
		/// Erforderliche Methode fr die Designeruntersttzung. 
		/// Der Inhalt der Methode darf nicht mit dem Code-Editor gendert werden.
		/// </summary>
		private void InitializeComponent()
		{
			this.Schliessen = new System.Windows.Forms.Button();
			this.Listing1_3 = new System.Windows.Forms.Button();
			this.SuspendLayout();
			// 
			// Schliessen
			// 
			this.Schliessen.Location = new System.Drawing.Point(64, 88);
			this.Schliessen.Name = "Schliessen";
			this.Schliessen.Size = new System.Drawing.Size(128, 32);
			this.Schliessen.TabIndex = 1;
			this.Schliessen.Text = "Schliessen";
			this.Schliessen.Click += new System.EventHandler(this.Schliessen_Click);
			// 
			// Listing1_3
			// 
			this.Listing1_3.Location = new System.Drawing.Point(44, 32);
			this.Listing1_3.Name = "Listing1_3";
			this.Listing1_3.Size = new System.Drawing.Size(168, 23);
			this.Listing1_3.TabIndex = 2;
			this.Listing1_3.Text = "Listing 1.3 Tabelle formatieren";
			this.Listing1_3.Click += new System.EventHandler(this.Listing1_3_Click);
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(256, 150);
			this.Controls.Add(this.Listing1_3);
			this.Controls.Add(this.Schliessen);
			this.Name = "Form1";
			this.Text = "Kapitel 1 Code Beispiele";
			this.ResumeLayout(false);

		}
		#endregion
        #endregion //Forumlar-Code
        /// <summary>
		/// Der Haupteinstiegspunkt fr die Anwendung.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
        }

        #region "Steuerelement-Ereignisse"
        private void Listing1_3_Click(object sender, System.EventArgs e)
		{
			TabelleVorbereiten2_CS();
		}

        private void TabelleVorbereiten2_CS()
        {
            wd.Application wdApp = null;
            try
            {
                //GetActiveObject verursacht einen Fehler, falls die Anwendung noch nicht luft. 
                wdApp = (wd.Application)wdMarschal.GetActiveObject("Word.Application");
            }
            catch (System.Runtime.InteropServices.COMException cex)
            {
                string exception = cex.ToString();
                string notRunning = "HRESULT: 0x800401E3 (MK_E_UNAVAILABLE)";
                if (exception.Contains(notRunning))
                {
                    Type t = Type.GetTypeFromProgID("Word.Application");
                    wdApp = (wd.Application)Activator.CreateInstance(t);
                }
                else
                {
                    MessageBox.Show(exception);
                    return;
                }
            }
            try
            {
                 if (wdApp == null)
                {
                    MessageBox.Show("Word luft nicht.");
                    return;
                }
               if (!wdApp.Visible) wdApp.Visible = true;
                if (wdApp.Documents.Count == 0)
                {
                    MessageBox.Show("Kein geffnetes Dokument gefunden.");
                    return;
                }
                object objDirectionStart = wd.WdCollapseDirection.wdCollapseStart;
                wd.Selection sel = wdApp.Selection;
                if ((bool)sel.Range.get_Information(wd.WdInformation.wdWithInTable))
                {
                    wd.Table tbl = sel.Tables[1];
                    wd.Row row = tbl.Rows[1];
                    row.Range.Bold = 1;
                    for (int i = 1; i <= row.Cells.Count; i++)
                    {
                        row.Cells[i].Range.Text = "Spalte " + i;
                    }
                    tbl.Cell(2, 0).Range.Select();
                    sel.Collapse(ref objDirectionStart);
                    sel = null;
                    tbl = null;
                    row = null;
                }
               
                //Das Word-Fenster anzeigen
                MessageBox.Show("Fertig!");
                wdApp.Activate();
                }
                catch (System.Runtime.InteropServices.COMException ex)
                {
                    MessageBox.Show(ex.Message);
                }
            finally
            {                
                wdMarschal.ReleaseComObject(wdApp);
                wdApp = null;
            }
        }

		private void Schliessen_Click(object sender, System.EventArgs e)
		{
			Application.Exit();
        }
        #endregion //Steuerelement-Ereignisse
    }
}
