using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using System.Reflection;
//zustzliche Deklarationen am Projektanfang
using wd = Microsoft.Office.Interop.Word;
using wdMarschal = System.Runtime.InteropServices.Marshal;

namespace Kap05_CS
{
	/// <summary>
	/// Zusammenfassung fr Kap05_CSApplication.
	/// </summary>
	public class Kap05Application : System.Windows.Forms.Form
    {
        #region Formularsteuerung
        private System.Windows.Forms.Button Schliessen;
		private System.Windows.Forms.Button Listing5_4;
		private System.Windows.Forms.Button Listing5_6;
		/// <summary>
		/// Erforderliche Designervariable.
		/// </summary>
		private System.ComponentModel.Container components = null;
 
		/// <summary>
		/// Die verwendeten Ressourcen bereinigen.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}
#endregion Formularsteuerung


		#region Vom Windows Form-Designer generierter Code
		/// <summary>
		/// Erforderliche Methode fr die Designeruntersttzung. 
		/// Der Inhalt der Methode darf nicht mit dem Code-Editor gendert werden.
		/// </summary>
		private void InitializeComponent()
		{
            this.Schliessen = new System.Windows.Forms.Button();
            this.Listing5_4 = new System.Windows.Forms.Button();
            this.Listing5_6 = new System.Windows.Forms.Button();
            this.SuspendLayout();
            // 
            // Schliessen
            // 
            this.Schliessen.Location = new System.Drawing.Point(336, 24);
            this.Schliessen.Name = "Schliessen";
            this.Schliessen.Size = new System.Drawing.Size(128, 32);
            this.Schliessen.TabIndex = 1;
            this.Schliessen.Text = "Schlieen";
            this.Schliessen.Click += new System.EventHandler(this.Schliessen_Click);
            // 
            // Listing5_4
            // 
            this.Listing5_4.Location = new System.Drawing.Point(44, 32);
            this.Listing5_4.Name = "Listing5_4";
            this.Listing5_4.Size = new System.Drawing.Size(236, 23);
            this.Listing5_4.TabIndex = 2;
            this.Listing5_4.Text = "Listing 5.4 Word Optionen";
            this.Listing5_4.Click += new System.EventHandler(this.Listing5_4_Click);
            // 
            // Listing5_6
            // 
            this.Listing5_6.Location = new System.Drawing.Point(44, 72);
            this.Listing5_6.Name = "Listing5_6";
            this.Listing5_6.Size = new System.Drawing.Size(236, 23);
            this.Listing5_6.TabIndex = 3;
            this.Listing5_6.Text = "Listing 5.6 WordBasic Beispiel";
            this.Listing5_6.Click += new System.EventHandler(this.Listing5_6_Click);
            // 
            // Kap05Application
            // 
            this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
            this.ClientSize = new System.Drawing.Size(480, 134);
            this.Controls.Add(this.Listing5_6);
            this.Controls.Add(this.Listing5_4);
            this.Controls.Add(this.Schliessen);
            this.Name = "Kap05Application";
            this.Text = "Kapitel 5 Anwendungs Code Beispiele";
            this.ResumeLayout(false);

		}
		#endregion


        private wd.Application wdApp;

        public Kap05Application(wd.Application WdApp)
        {
            //
            // Erforderlich fr die Windows Form-Designeruntersttzung
            //
            InitializeComponent();
            wdApp = WdApp;
        }
        
        private void Schliessen_Click(object sender, System.EventArgs e)
		{
			this.Hide();
		}

		#region Application.Options
		private void Listing5_4_Click(object sender, System.EventArgs e)
		{
			wdApp.AutomationSecurity = Microsoft.Office.Core.MsoAutomationSecurity.msoAutomationSecurityForceDisable;
			try
			{
                MiniSymbolleistenAusschalten_CS();
				wdApp.Activate();
			}
			catch (System.Exception ex)
			{
				MessageBox.Show(ex.Message);
			}
		}

        private void MiniSymbolleistenAusschalten_CS()
        {
            //Bei Rechtsanklicken
            wdApp.Options.ShowMenuFloaties = false;
            //Bei Markierung
            wdApp.Options.ShowSelectionFloaties = false;
        }

		#endregion Application.Options

		#region Application.WordBasic
		private void Listing5_6_Click(object sender, System.EventArgs e)
		{
			try
			{
				Pfadangaben("C:\\test\\test.ini");
				wdApp.Activate();
			}
			catch (System.Exception ex)
			{
				MessageBox.Show(ex.Message + "\n" + ex.Source);
			}		
		}

		private void Pfadangaben(string pfadangabe)
		{
			object oWdBsc = InvokeHelper("WordBasic", GetProp, null, wdApp, null);	
			object oFN = (object) pfadangabe;
			object oFI1;
			object oFI3;
			object oFI4;
			object oFI5;
			object oFI6;
			int dateiPfad = 1;
			int dateiNameMitEndung = 3;
			int dateiName = 4;
			int nurPfad = 5;
			int pfadUNC = 6;
			oFI1 = InvokeHelper("FileNameInfo$",InvMethod | GetProp,null,oWdBsc,oFN,dateiPfad);
			oFI3 = InvokeHelper("FileNameInfo$",InvMethod | GetProp,null,oWdBsc,oFN,dateiNameMitEndung);
			oFI4 = InvokeHelper("FileNameInfo$",InvMethod | GetProp,null,oWdBsc,oFN,dateiName);
			oFI5 = InvokeHelper("FileNameInfo$",InvMethod | GetProp,null,oWdBsc,oFN,nurPfad);
			oFI6 = InvokeHelper("FileNameInfo$",InvMethod | GetProp,null,oWdBsc,oFN,pfadUNC);
			MessageBox.Show(
				String.Format("Die volle Pfadangabe: {0}\nDer Dateiname mit Endung: {1}\n" +
				"Nur der Dateiname: {2}\nNur der Pfadname: {3}\nDer UNC-Pfadangabe: {4}", 
				oFI1.ToString(),oFI3.ToString(),oFI4.ToString(),oFI5.ToString(),oFI6.ToString()));
			oWdBsc = null;
		}

		private BindingFlags InvMethod = BindingFlags.InvokeMethod; 
		private BindingFlags GetProp = BindingFlags.GetProperty;

		private object InvokeHelper(string prop, System.Reflection.BindingFlags flgs, 
			System.Reflection.Binder bndr, object oTrgt, params object[] args) 
		{
			return oTrgt.GetType().InvokeMember(prop,flgs,bndr,oTrgt,args);
		}

		#endregion Application.WordBasic



    }
}