using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Reflection;
//zustzliche Deklarationen am Projektanfang
using wd = Microsoft.Office.Interop.Word;
using wdMarschal = System.Runtime.InteropServices.Marshal;

namespace Kap05_CS
{
    /// <summary>
	/// Zusammenfassung fr Kap05_CSMain.
	/// </summary>
	public class Kap05Main : System.Windows.Forms.Form
	{
        [STAThread]
        static void Main()
        {
            Application.Run(new Kap05Main());
        }
        #region Forumlarsteuerung
 		private System.Windows.Forms.Button btnMainSchliessen;
		private System.Windows.Forms.Button btnMainApplicationObject;
		private System.Windows.Forms.Button btnMainDocumentObject;
		private System.Windows.Forms.Button btnMainRangeObject;
		private System.Windows.Forms.Button btnMainFindEigenschaft;
        private System.Windows.Forms.Button btnMainTemplate;

       /// <summary>
		/// Erforderliche Designervariable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Kap05Main()
		{
			//
			// Erforderlich fr die Windows Form-Designeruntersttzung
			//
			InitializeComponent();
		}

		/// <summary>
		/// Die verwendeten Ressourcen bereinigen.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}
		/// <summary>
		/// Der Haupteinstiegspunkt fr die Anwendung.
		/// </summary>
        /// 
        #endregion //Formularsteuerung


		#region Vom Windows Form-Designer generierter Code
		/// <summary>
		/// Erforderliche Methode fr die Designeruntersttzung. 
		/// Der Inhalt der Methode darf nicht mit dem Code-Editor gendert werden.
		/// </summary>
		private void InitializeComponent()
		{
            this.btnMainApplicationObject = new System.Windows.Forms.Button();
            this.btnMainDocumentObject = new System.Windows.Forms.Button();
            this.btnMainRangeObject = new System.Windows.Forms.Button();
            this.btnMainSchliessen = new System.Windows.Forms.Button();
            this.btnMainFindEigenschaft = new System.Windows.Forms.Button();
            this.btnMainTemplate = new System.Windows.Forms.Button();
            this.SuspendLayout();
            // 
            // btnMainApplicationObject
            // 
            this.btnMainApplicationObject.Location = new System.Drawing.Point(24, 16);
            this.btnMainApplicationObject.Name = "btnMainApplicationObject";
            this.btnMainApplicationObject.Size = new System.Drawing.Size(152, 23);
            this.btnMainApplicationObject.TabIndex = 0;
            this.btnMainApplicationObject.Text = "Application Beispiele";
            this.btnMainApplicationObject.Click += new System.EventHandler(this.btnMainApplication_Click);
            // 
            // btnMainDocumentObject
            // 
            this.btnMainDocumentObject.Location = new System.Drawing.Point(24, 56);
            this.btnMainDocumentObject.Name = "btnMainDocumentObject";
            this.btnMainDocumentObject.Size = new System.Drawing.Size(152, 23);
            this.btnMainDocumentObject.TabIndex = 1;
            this.btnMainDocumentObject.Text = "Document Beispiele";
            this.btnMainDocumentObject.Click += new System.EventHandler(this.btnMainDocumentObject_Click);
            // 
            // btnMainRangeObject
            // 
            this.btnMainRangeObject.Location = new System.Drawing.Point(24, 136);
            this.btnMainRangeObject.Name = "btnMainRangeObject";
            this.btnMainRangeObject.Size = new System.Drawing.Size(152, 23);
            this.btnMainRangeObject.TabIndex = 2;
            this.btnMainRangeObject.Text = "Range Beispiele";
            this.btnMainRangeObject.Click += new System.EventHandler(this.btnMainRangeObject_Click);
            // 
            // btnMainSchliessen
            // 
            this.btnMainSchliessen.Location = new System.Drawing.Point(254, 176);
            this.btnMainSchliessen.Name = "btnMainSchliessen";
            this.btnMainSchliessen.Size = new System.Drawing.Size(96, 23);
            this.btnMainSchliessen.TabIndex = 3;
            this.btnMainSchliessen.Text = "Schlieen";
            this.btnMainSchliessen.Click += new System.EventHandler(this.btnMainSchliessen_Click);
            // 
            // btnMainFindEigenschaft
            // 
            this.btnMainFindEigenschaft.Location = new System.Drawing.Point(24, 176);
            this.btnMainFindEigenschaft.Name = "btnMainFindEigenschaft";
            this.btnMainFindEigenschaft.Size = new System.Drawing.Size(152, 23);
            this.btnMainFindEigenschaft.TabIndex = 4;
            this.btnMainFindEigenschaft.Text = "Find Beispiele";
            this.btnMainFindEigenschaft.Click += new System.EventHandler(this.btnMainFindEigenschaft_Click);
            // 
            // btnMainTemplate
            // 
            this.btnMainTemplate.Location = new System.Drawing.Point(24, 96);
            this.btnMainTemplate.Name = "btnMainTemplate";
            this.btnMainTemplate.Size = new System.Drawing.Size(152, 23);
            this.btnMainTemplate.TabIndex = 5;
            this.btnMainTemplate.Text = "Template Beispiele";
            this.btnMainTemplate.Click += new System.EventHandler(this.btnMainTemplate_Click);
            // 
            // Kap05_CSMain
            // 
            this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
            this.ClientSize = new System.Drawing.Size(386, 222);
            this.Controls.Add(this.btnMainTemplate);
            this.Controls.Add(this.btnMainFindEigenschaft);
            this.Controls.Add(this.btnMainSchliessen);
            this.Controls.Add(this.btnMainRangeObject);
            this.Controls.Add(this.btnMainDocumentObject);
            this.Controls.Add(this.btnMainApplicationObject);
            this.Name = "Kap05_CSMain";
            this.Text = "Kapitel 5 Hauptformular";
            this.Load += new System.EventHandler(this.Kap05Main_Load);
            this.ResumeLayout(false);

		}
		#endregion

        //wird im Load Ereignis zugewiesen
		private wd.Application wdApp;

		#region Formularschaltflchen

		private void btnMainSchliessen_Click(object sender, System.EventArgs e)
		{	
			try
			{
				wdApp = null;
			}
			catch
			{
			}
			finally
			{
				GC.Collect();
				GC.WaitForPendingFinalizers();
				GC.Collect();
				GC.WaitForPendingFinalizers();
				Application.Exit();
			}
		}
		
		private void btnMainApplication_Click(object sender, System.EventArgs e)
		{
			System.Windows.Forms.Form frmApp = new Kap05_CS.Kap05Application(wdApp);
			DisplaySubForm(frmApp);
			frmApp=null;
		}

		private void btnMainDocumentObject_Click(object sender, System.EventArgs e)
		{
			System.Windows.Forms.Form frmApp = new Kap05_CS.Kap05Document(wdApp);
			DisplaySubForm(frmApp);
			frmApp = null;
		}
		
        private void btnMainRangeObject_Click(object sender, System.EventArgs e)
		{
			System.Windows.Forms.Form frmApp = new Kap05_CS.Kap05Range(wdApp);
			DisplaySubForm(frmApp);
			frmApp =null;
		}

		private void btnMainFindEigenschaft_Click(object sender, System.EventArgs e)
		{
			System.Windows.Forms.Form frmApp = new Kap05_CS.Kap05Find(wdApp);
			DisplaySubForm(frmApp);
			frmApp = null;
		}
			
		private void btnMainTemplate_Click(object sender, System.EventArgs e)
		{
			System.Windows.Forms.Form frmApp = new Kap05_CS.Kap05Template(wdApp);
			DisplaySubForm(frmApp);
			frmApp = null;		
		}
		
		private void DisplaySubForm(System.Windows.Forms.Form frmApp)
		{
			try
			{
				//If wdApp has been closed, will cause an error
				string info = wdApp.Caption;
				frmApp.Show();
			}

			catch (System.Runtime.InteropServices.COMException ex)
			{
				DialogResult auswahl;
				auswahl = MessageBox.Show("Word luft nicht mehr. Mchten Sie es erneut starten?","",MessageBoxButtons.YesNo);
				if (auswahl== DialogResult.Yes)
				{
					WordRestart();
				}
			}
			catch (System.Exception ex)
			{
				MessageBox.Show(String.Format("{0}\n{1}\n{2}", ex.Message, ex.InnerException, ex.Source));
			}	
		}

		#endregion Formularschaltflchen

		#region Formularverwaltung
		private void Kap05Main_Load(object sender, System.EventArgs e)
		{
			if (! StartWord()) 
			{MessageBox.Show("Word wurde nicht aufgestartet."); }
			else
			{
				wdApp.Caption = "Microsoft Word - Dev Handbuch";
				wdApp.Visible = true;
				wdApp.Activate();
			}		
		}

		private void WordRestart()
		{
			wdApp = null;
			if (! StartWord()) 
			{MessageBox.Show("Word konnte nicht aufgestartet werden."); }
			else
			{
				wdApp.Caption = "Microsoft Word - Dev Handbuch";
				wdApp.Visible = true;
				wdApp.Activate();
			}		
		}

		//Wird beim Load-Ereignis aufgerufen
		private bool StartWord ()
		{
			bool aufgestartet = false;
			try
			{
				wdApp = new wd.Application();
				aufgestartet = true;
			}
			catch (System.Exception ex)
			{
				MessageBox.Show(ex.Message);
				aufgestartet = false;
			}
			finally
			{
				MessageBox.Show("Die Beispiel-Anwendung ist geladen.");
			}
			return aufgestartet;
		}

		#endregion Formularverwaltung

	}
}
