using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using wd = Microsoft.Office.Interop.Word;

namespace Kap07_CS
{
	/// <summary>
	/// Zusammenfassung fr Form1.
	/// </summary>
	public class Kap07Field : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Button btnSchliessen;
		/// <summary>
		/// Erforderliche Designervariable.
		/// </summary>
		private System.ComponentModel.Container components = null;
		private System.Windows.Forms.Button btnField;

		private wd.Application wdApp;

		public Kap07Field(wd.Application WdApp)
		{
			//
			// Erforderlich fr die Windows Form-Designeruntersttzung
			//
			InitializeComponent();
			wdApp = WdApp;
		}

		/// <summary>
		/// Die verwendeten Ressourcen bereinigen.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Vom Windows Form-Designer generierter Code
		/// <summary>
		/// Erforderliche Methode fr die Designeruntersttzung. 
		/// Der Inhalt der Methode darf nicht mit dem Code-Editor gendert werden.
		/// </summary>
		private void InitializeComponent()
		{
			this.btnField = new System.Windows.Forms.Button();
			this.btnSchliessen = new System.Windows.Forms.Button();
			this.SuspendLayout();
			// 
			// btnField
			// 
			this.btnField.Location = new System.Drawing.Point(32, 32);
			this.btnField.Name = "btnField";
			this.btnField.Size = new System.Drawing.Size(224, 23);
			this.btnField.TabIndex = 0;
			this.btnField.Text = "Feldfunktion: Feld einfgen";
			this.btnField.Click += new System.EventHandler(this.btnField_Click);
			// 
			// btnSchliessen
			// 
			this.btnSchliessen.Location = new System.Drawing.Point(104, 88);
			this.btnSchliessen.Name = "btnSchliessen";
			this.btnSchliessen.TabIndex = 1;
			this.btnSchliessen.Text = "Schlieen";
			this.btnSchliessen.Click += new System.EventHandler(this.btnSchliessen_Click);
			// 
			// Kap06Field
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(292, 150);
			this.Controls.Add(this.btnSchliessen);
			this.Controls.Add(this.btnField);
			this.Name = "Kap06Field";
			this.Text = "Feldfunktion Beispiele";
			this.ResumeLayout(false);

		}
		#endregion

		private void btnField_Click(object sender, System.EventArgs e)
		{
			object objMissing = (object) System.Reflection.Missing.Value;
			wd.Document doc = wdApp.Documents.Add(ref objMissing, ref objMissing, 
				ref objMissing, ref objMissing);
			doc.ActiveWindow.View.ShowFieldCodes = false;
			string quote = "\""; //Anfhrungszeichen;
			wd.Range rng = wdApp.Selection.Range;
			//Mit Angaben des Typs
			object objFieldType = (object) wd.WdFieldType.wdFieldIndex;
			object objFieldText = (object) ("\\e " + quote + "\t" + quote
				+ " \\c " + quote + "2" + quote + " \\z " + quote 
				+ "1031" + quote);
			object objFalse = false;
			wd.Field fld = rng.Fields.Add(rng, ref objFieldType, ref objFieldText, ref objFalse);
			rng = fld.Result;
			//Zweite Feldfunktion in einen eigenen Absatz einfgen
			rng.InsertAfter("\n");
			object objCollapseEnd = (object) wd.WdCollapseDirection.wdCollapseEnd;
			rng.Collapse(ref objCollapseEnd);
			fld = null;
			//Ohne Angabe des Typs
			objFieldText = (object) ("Index \\e " + quote + "\t" + quote
				+ " \\c " + quote + "2" + quote + " \\z " + quote 
				+ "1031" + quote);
			fld = rng.Fields.Add(rng, ref objMissing, ref objFieldText, ref objFalse);
			doc.Activate();
		}

		private void btnSchliessen_Click(object sender, System.EventArgs e)
		{
			this.Hide();
		}
	}
}
