using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using wd = Microsoft.Office.Interop.Word;

namespace Kap07_CS
{
	/// <summary>
	/// Zusammenfassung fr Form1.
	/// </summary>
	public class Kap07Merge : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Button btnMerge;
		private System.Windows.Forms.Button btnSchliessen;
		/// <summary>
		/// Erforderliche Designervariable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		private wd.Application wdApp;

		public Kap07Merge(wd.Application WdApp)
		{
			//
			// Erforderlich fr die Windows Form-Designeruntersttzung
			//
			InitializeComponent();

			//
			// TODO: Fgen Sie den Konstruktorcode nach dem Aufruf von InitializeComponent hinzu
			//
			wdApp = WdApp;
		}

		/// <summary>
		/// Die verwendeten Ressourcen bereinigen.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Vom Windows Form-Designer generierter Code
		/// <summary>
		/// Erforderliche Methode fr die Designeruntersttzung. 
		/// Der Inhalt der Methode darf nicht mit dem Code-Editor gendert werden.
		/// </summary>
		private void InitializeComponent()
		{
			this.btnMerge = new System.Windows.Forms.Button();
			this.btnSchliessen = new System.Windows.Forms.Button();
			this.SuspendLayout();
			// 
			// btnMerge
			// 
			this.btnMerge.Location = new System.Drawing.Point(32, 32);
			this.btnMerge.Name = "btnMerge";
			this.btnMerge.Size = new System.Drawing.Size(224, 23);
			this.btnMerge.TabIndex = 0;
			this.btnMerge.Text = "Seriendruck: ActiveRecord";
			this.btnMerge.Click += new System.EventHandler(this.btnMerge_Click);
			// 
			// btnSchliessen
			// 
			this.btnSchliessen.Location = new System.Drawing.Point(104, 88);
			this.btnSchliessen.Name = "btnSchliessen";
			this.btnSchliessen.TabIndex = 1;
			this.btnSchliessen.Text = "Schlieen";
			this.btnSchliessen.Click += new System.EventHandler(this.btnSchliessen_Click);
			// 
			// Kap06Merge
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(292, 150);
			this.Controls.Add(this.btnSchliessen);
			this.Controls.Add(this.btnMerge);
			this.Name = "Kap06Merge";
			this.Text = "Seriendruck Beispiele";
			this.ResumeLayout(false);

		}
		#endregion

		private void btnMerge_Click(object sender, System.EventArgs e)
		{
			try
			{
				object objMissing = System.Reflection.Missing.Value;
				wdApp.DisplayAlerts = wd.WdAlertLevel.wdAlertsAll;
				wdApp.Visible = true;
				wdApp.Activate();
				System.IO.DirectoryInfo di;
				string dateiName = System.IO.Directory.GetCurrentDirectory();
				di = new System.IO.DirectoryInfo(dateiName);
				object objFileName = (object) (di.Parent.Parent.Parent.Parent.FullName + "\\Bsp07_03_SD.doc");
				wd.Document doc = wdApp.Documents.Open(ref objFileName, ref objMissing, 
					ref objMissing, ref objMissing, ref objMissing, ref objMissing, ref objMissing, ref objMissing, ref objMissing,
					ref objMissing, ref objMissing, ref objMissing, ref objMissing, ref objMissing, ref objMissing, ref objMissing);
				if (doc.MailMerge.MainDocumentType != wd.WdMailMergeMainDocType.wdNotAMergeDocument)
				{
					wd.MailMergeDataSource ds = doc.MailMerge.DataSource;
					int records = ds.RecordCount;
					if (records < 2)
						MessageBox.Show("Too few records for demo");
					else if (records > 3)
						ds.ActiveRecord =(wd.WdMailMergeActiveRecord) records - 2;
						//	MessageBox.Show(ds.RecordCount.ToString());
					else
						ds.ActiveRecord =(wd.WdMailMergeActiveRecord) 2;
				}
			}
			catch (System.Exception ex)
			{
				MessageBox.Show(ex.Message + "\n" + ex.Source);
			}
		}

		private void btnSchliessen_Click(object sender, System.EventArgs e)
		{
			this.Hide();
		}
	}
}
