Imports System
Imports System.Text
Imports System.Windows.Forms

Imports System.Diagnostics
Imports System.Runtime.InteropServices
Imports wd = Microsoft.Office.Interop.Word

Public Class Kap10_Formular
    Dim wdApp As wd.Application
    Dim pcs As Process
    Dim missing As Object = System.Reflection.Missing.Value

    Private Sub btnWordStart_1_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btnWordStarten_1.Click
        If (GetWordInstance_1()) Then
            Try
                wdApp.ActiveWindow.WindowState = wd.WdWindowState.wdWindowStateMaximize
            Catch ex As Exception

                MessageBox.Show(ex.Message)
            End Try
        End If
    End Sub

    Private Function GetWordInstance_1() As Boolean
        Dim retVal As Boolean = False
        Try
            Dim wdPcs() As Process = Process.GetProcessesByName("WinWord")
            If (wdPcs.Length > 0) Then
                pcs = wdPcs(0)
                wdApp = CType(Marshal.GetActiveObject("Word.Application"), wd.Application)
            End If
            If (wdApp Is Nothing) Then
                Dim wdProcess As Process = Process.Start("winword.exe")
                Dim t As Timer = New Timer()
                t.Start()
                Do While (wdApp Is Nothing) And (t.Interval < 10000)
                    Try

                        'Es braucht Zeit, bis die Anwendung luft und angesprochen werden kann.
                        wdApp = CType(Marshal.GetActiveObject("Word.Application"), wd.Application)
                    Catch
                    End Try
                Loop
                t.Stop()
                t = Nothing
            End If
        Catch ex As Exception
            MessageBox.Show(ex.Message)
        Finally
            If Not (wdApp Is Nothing) Then retVal = True
        End Try
        Return retVal
    End Function

    Private Sub btnWordStart_2_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btnWordStarten_2.Click
        Dim wdDoc As wd.Document
        If (GetWordInstance_2()) Then
            Try
                wdApp.Visible = True
                wdDoc = wdApp.Documents.Add(Visible:=True)
            Catch ex As Exception
                MessageBox.Show(ex.Message)
            End Try
        End If
    End Sub

    Private Function GetWordInstance_2() As Boolean
        Dim retVal As Boolean = False
        Try
            Dim wdPcs() As Process = Process.GetProcessesByName("WinWord")
            If (wdPcs.Length > 0) Then
                pcs = wdPcs(0)
                wdApp = CType(Marshal.GetActiveObject("Word.Application"), wd.Application)
            End If
            If (wdApp Is Nothing) Then
                'Die folgende Zeile startet Word und weist es der wdApp-Variabel zu
                wdApp = New wd.Application()
            End If
        Catch ex As Exception
            MessageBox.Show(ex.Message)
        Finally
            If (Not wdApp Is Nothing) Then retVal = True
        End Try
        Return retVal
    End Function

    Private Sub btnWordFreigeben_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btnWordFreigeben.Click
        Try
            'Auf der Klassenebene deklarierte Variablen freigeben
            wdApp = Nothing
        Catch
        Finally
            GC.Collect()
            GC.WaitForPendingFinalizers()
            GC.Collect()
            GC.WaitForPendingFinalizers()
        End Try
    End Sub

    Private Sub btnWordBeenden_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btnWordBeenden.Click
        Try
            'Speicheraufforderung bei Bedarf einblenden lassen
            wdApp.Quit(wd.WdSaveOptions.wdPromptToSaveChanges)
        Catch
        End Try
        Try
            'Auf der Klassenebene deklarierte Variablen freigeben
            wdApp = Nothing
        Catch
        Finally
            GC.Collect()
            GC.WaitForPendingFinalizers()
            GC.Collect()
            GC.WaitForPendingFinalizers()
            'Application.Exit()
        End Try
    End Sub

    Private Sub btnSchlieen_Click(ByVal sender As Object, ByVal es As EventArgs) Handles btnSchlieen.Click
        Me.Close()
    End Sub
End Class

'using System;
'using System.Collections.Generic;
'using System.ComponentModel;
'using System.Data;
'using System.Drawing;
'using System.Text;
'using System.Windows.Forms;

'using System.Diagnostics;
'using System.Runtime.InteropServices;
'using wd = Microsoft.Office.Interop.Word;

'Namespace Kap09_CS
'{
'    public partial class Kap09_Formular : Form
'    {
'        Public Kap09_Formular()
'        {
'            InitializeComponent();
'        }

' ''wd.Application wdApp;
' ''Process pcs;
' ''object missing = System.Reflection.Missing.Value;
' ''object objTrue = true;

' ''private void btnWordStart_1_Click(object sender, EventArgs e)
' ''{
' ''    if (GetWordInstance_1())
' ''    {
' ''        try
' ''        {
' ''            wdApp.ActiveWindow.WindowState = Microsoft.Office.Interop.Word.WdWindowState.wdWindowStateMaximize;
' ''        }
' ''        catch (Exception ex)
' ''        {
' ''            MessageBox.Show(ex.Message);
' ''        }
' ''    }
' ''}

' ''        private void btnWordStart_2_Click(object sender, EventArgs e)
' ''        {
' ''            wd.Document wdDoc;
' ''            if (GetWordInstance_2())
' ''            {
' ''                try
' ''                {
' ''                    wdApp.Visible = true;
' ''                    wdDoc = wdApp.Documents.Add(ref missing, ref missing, ref missing, ref objTrue);
' ''                }
' ''                catch (Exception ex)
' ''                {
' ''                    MessageBox.Show(ex.Message);
' ''                }
' ''            }
' ''        }

'        private bool GetWordInstance_1()
'        {
'            bool retVal = false;
'            try
'            {
'                Process[] wdPcs = Process.GetProcessesByName("WinWord");
'                if (wdPcs.Length > 0)
'                {
'                    pcs = wdPcs[0];
'                    wdApp = (wd.Application)Marshal.GetActiveObject("Word.Application");
'                }
'                if (wdApp == null)
'                {
'                    Process wdProcess = Process.Start("winword.exe");
'                    Timer t = new Timer();
'                    t.Start();
'                    while (wdApp == null && (t.Interval < 10000))
'                    {
'                        try
'                        {
'                            //Es braucht Zeit, bis die Anwendung luft und angesprochen werden kann.
'                            wdApp = (wd.Application)Marshal.GetActiveObject("Word.Application");
'                        }
'                        catch { }
'                    }
'                    t.Stop();
'                    t = null;
'                }
'            }
'            catch (Exception ex)
'            {
'                MessageBox.Show(ex.Message);
'            }
'            finally
'            {
'                if (wdApp != null) retVal = true;
'            }
'            return retVal;
'        }

' ''        private bool GetWordInstance_2()
' ''        {
' ''            bool retVal = false;
' ''            try
' ''            {
' ''                Process[] wdPcs = Process.GetProcessesByName("WinWord");
' ''                if (wdPcs.Length > 0)
' ''                {
' ''                    pcs = wdPcs[0];
' ''                    wdApp = (wd.Application)Marshal.GetActiveObject("Word.Application");
' ''                }
' ''                if (wdApp == null)
' ''                {
' ''                    //Die folgende Zeile startet Word und weist es der wdApp-Variabel zu
' ''                    wdApp = new wd.Application();
' ''                }
' ''            }
' ''            catch (Exception ex)
' ''            {
' ''                MessageBox.Show(ex.Message);
' ''            }
' ''            finally
' ''            {
' ''                if (wdApp != null) retVal = true;
' ''            }
' ''            return retVal;
'        }

' ''        private void btnWordFreigeben_Click(object sender, System.EventArgs e)
' ''        {
' ''            try
' ''            {
' ''                //Auf der Klassenebene deklarierte Variablen freigeben
' ''                wdApp = null;
' ''            }
' ''            catch
' ''            {
' ''            }
' ''            finally
' ''            {
' ''                GC.Collect();
' ''                GC.WaitForPendingFinalizers();
' ''                GC.Collect();
' ''                GC.WaitForPendingFinalizers();
' ''                //Application.Exit();
' ''            }
' ''        }

' ''        private void btnWordBeenden_Click(object sender, EventArgs e)
' ''        {
' ''            try
' ''            {
' ''                //Speicheraufforderung bei Bedarf einblenden lassen
' ''                object objPromptSaveChanges = wd.WdSaveOptions.wdPromptToSaveChanges;
' ''                wdApp.Quit(ref objPromptSaveChanges, ref missing,ref missing);
' ''            }
' ''            catch
' ''            {
' ''            }
' ''            try
' ''            {   //Auf der Klassenebene deklarierte Variablen freigeben
' ''                wdApp = null;
' ''            }
' ''            catch { }
' ''            finally
' ''            {
' ''                GC.Collect();
' ''                GC.WaitForPendingFinalizers();
' ''                GC.Collect();
' ''                GC.WaitForPendingFinalizers();
' ''                //Application.Exit();
' ''            }
' ''        }

' ''        private void btnSchlieen_Click(object sender, EventArgs e)
' ''        {
' ''            this.Close();
' ''        }


'}
'}

