Imports System
Imports System.Text
Imports System.Windows.Forms

Imports System.Diagnostics
Imports System.Runtime.InteropServices
Imports wd = Microsoft.Office.Interop.Word

Public Class Kap10_Formular
    Dim wdApp As wd.Application
    Dim pcs As Process
    Dim missing As Object = System.Reflection.Missing.Value

    Private Sub btnWordStart_1_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btnWordStarten_1.Click
        If (GetWordInstance_1()) Then
            Try
                If CInt(wdApp.Version) >= 15 Then
                    wdApp.Documents.Add()
                End If
                wdApp.ActiveWindow.WindowState = wd.WdWindowState.wdWindowStateMaximize
            Catch ex As Exception

                MessageBox.Show(ex.Message)
            End Try
        End If
    End Sub

    Private Function GetWordInstance_1() As Boolean
        Dim retVal As Boolean = False
        Try
            Dim wdPcs() As Process = Process.GetProcessesByName("WinWord")
            If (wdPcs.Length > 0) Then
                pcs = wdPcs(0)
                wdApp = CType(Marshal.GetActiveObject("Word.Application"), wd.Application)
            End If
            If (wdApp Is Nothing) Then
                Dim wdProcess As Process = Process.Start("winword.exe")
                Dim t As Timer = New Timer()
                t.Start()
                Do While (wdApp Is Nothing) And (t.Interval < 10000)
                    Try

                        'Es braucht Zeit, bis die Anwendung luft und angesprochen werden kann.
                        wdApp = CType(Marshal.GetActiveObject("Word.Application"), wd.Application)
                    Catch
                    End Try
                Loop
                t.Stop()
                t = Nothing
            End If
        Catch ex As Exception
            MessageBox.Show(ex.Message)
        Finally
            If Not (wdApp Is Nothing) Then retVal = True
        End Try
        Return retVal
    End Function

    Private Sub btnWordStart_2_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btnWordStarten_2.Click
        Dim wdDoc As wd.Document
        If (GetWordInstance_2()) Then
            Try
                wdApp.Visible = True
                wdDoc = wdApp.Documents.Add(Visible:=True)
            Catch ex As Exception
                MessageBox.Show(ex.Message)
            End Try
        End If
    End Sub

    Private Function GetWordInstance_2() As Boolean
        Dim retVal As Boolean = False
        Try
            Dim wdPcs() As Process = Process.GetProcessesByName("WinWord")
            If (wdPcs.Length > 0) Then
                pcs = wdPcs(0)
                wdApp = CType(Marshal.GetActiveObject("Word.Application"), wd.Application)
            End If
            If (wdApp Is Nothing) Then
                'Die folgende Zeile startet Word und weist es der wdApp-Variabel zu
                wdApp = New wd.Application()
            End If
        Catch ex As Exception
            MessageBox.Show(ex.Message)
        Finally
            If (Not wdApp Is Nothing) Then retVal = True
        End Try
        Return retVal
    End Function

    Private Sub btnWordFreigeben_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btnWordFreigeben.Click
        Try
            'Auf der Klassenebene deklarierte Variablen freigeben
            wdApp = Nothing
        Catch
        Finally
            GC.Collect()
            GC.WaitForPendingFinalizers()
            GC.Collect()
            GC.WaitForPendingFinalizers()
        End Try
    End Sub

    Private Sub btnWordBeenden_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btnWordBeenden.Click
        Try
            'Speicheraufforderung bei Bedarf einblenden lassen
            wdApp.Quit(wd.WdSaveOptions.wdPromptToSaveChanges)
        Catch
        End Try
        Try
            'Auf der Klassenebene deklarierte Variablen freigeben
            wdApp = Nothing
        Catch
        Finally
            GC.Collect()
            GC.WaitForPendingFinalizers()
            GC.Collect()
            GC.WaitForPendingFinalizers()
            'Application.Exit()
        End Try
    End Sub

    Private Sub btnSchlieen_Click(ByVal sender As Object, ByVal es As EventArgs) Handles btnSchlieen.Click
        Me.Close()
    End Sub
End Class

