﻿
Module OpenXMLSDK_01

    Sub Main()
        TeilenInhaltAuswechseln()
    End Sub

    Sub TeilenInhaltAuswechseln()
        Dim pfad As String = "C:\Beispiele\Kap23\"
        Dim dateiQuelle As String = pfad & "Bsp23_02.dotx"
        Dim dateiZiel As String = pfad & "Bsp23_01.dotx"

        Using pkgDokQuelle As WordprocessingDocument = WordprocessingDocument.Open(dateiQuelle, False)

            Dim mainDokQuelle As MainDocumentPart = pkgDokQuelle.MainDocumentPart
            Dim styleQuelle As StyleDefinitionsPart = mainDokQuelle.GetPartsOfType( _
                Of StyleDefinitionsPart).FirstOrDefault()
            Dim Dok As Document = mainDokQuelle.Document
            Dim blpQuelle As DocumentFormat.OpenXml.Drawing.Blip = _
                Dok.Descendants(Of DocumentFormat.OpenXml.Drawing.Blip).FirstOrDefault()
            Dim logoQuelle As ImagePart = mainDokQuelle.GetPartById(blpQuelle.Embed)
            Using pkgDokZiel As WordprocessingDocument = WordprocessingDocument.Open(dateiZiel, True)

                Dim mainDokZiel As MainDocumentPart = pkgDokZiel.MainDocumentPart
                Dim styleZiel As StyleDefinitionsPart = mainDokZiel.GetPartsOfType( _
                    Of StyleDefinitionsPart).FirstOrDefault()
                styleZiel.FeedData(styleQuelle.GetStream())

                Dim blpZiel As DocumentFormat.OpenXml.Drawing.Blip = _
                    mainDokZiel.Document.Descendants( _
                        Of DocumentFormat.OpenXml.Drawing.Blip).FirstOrDefault()
                Dim logoZiel As ImagePart = mainDokZiel.GetPartById(blpZiel.Embed)
                logoZiel.FeedData(logoQuelle.GetStream())

            End Using

        End Using
    End Sub

End Module
